<!-- BUFFER -->
<div id="thisFile"></div>

<?php $breadcrumb = 4; include($themePath.'/include.breadcrumbs.php'); ?>

<ul id="folder-tree">
	<?php
	$folders = array(
		new Object(array('id' => 0, 'name' => 'Uncategorised'))
	);
	Registry::store('folder-tree', $folders);
	function displayParent($folder) {
		global $evp;
		$folders = Registry::retrieve('folder-tree');
		$folder = $evp->getFolder($folder);
		array_push($folders, $folder);
		Registry::store('folder-tree', $folders);
		if(!empty($folder->parent_id)) displayParent($folder->parent_id);
	}
	$parentFolder = grab(getRow("SELECT `folder_id` FROM {$evp->options->prefix}folders_relationships WHERE `file_id` = '{$file->id}'"), 'folder_id');
	if(!empty($parentFolder)) {
		displayParent($parentFolder);
	}
	$folders = Registry::retrieve('folder-tree');
	$max = sizeof($folders) - 1;
	foreach($folders as $idx => $folder) {
		if($idx == $max) {
			echo '<li class="folder-tree-final"><a href="'.url('admin/list.files.php').'#folder-'.$folder->id.'">'.$folder->name.'</a></li>';
		} else {
			echo '<li><a href="'.url('admin/list.files.php').'#folder-'.$folder->id.'">'.$folder->name.'</a>&nbsp;&raquo;</li>';
		}
	}
	?>
</ul>

<script type="text/javascript">
<?php include($config['locations']['themePath'].'include.attach.php'); ?>
window.addEvent('domready', function() {
	EVP_Help.setContext({
		'content': '<p>From this page, you can get your embed code to place your video on your websites. We offer a variety of advanced options too, to include extra metadata or insert into Flash directly!</p><p>You can also configure video security and sales tracking from the bottom of this page.</p>',
		'video': 'basic-embed.mp4'
	});
	
	if($('breadcrumbs')) $('breadcrumbs').setStyles({'display': 'block'});
	
	var ts = new TabSwapper({
		'tabs': $('code').getChildren('ul.tabs li'),
		'sections': $('code').getChildren('div.panels > .tab-panel'),
		'smooth': true,
		'rearrangeDOM': false
	});
	
	if($('ui-embed-centre')) {
		$('ui-embed-centre').addEvent('change', function() {
			var show_centre = this.get('checked');
			var code = $('ui-embed-textarea').get('value');
			if(show_centre) {
				code = '<center>'+code+'</center>';
			} else {
				code = code.replace('<center>', '').replace('</center>', '');
			}
			$('ui-embed-textarea').set('value', code);
		});
	}
	
	var its = new TabSwapper({
		'tabs': $('code-other').getChildren('ul.tabs li'),
		'sections': $('code-other').getChildren('div.panels > .tab-panel'),
		'smooth': true,
		'rearrangeDOM': false
	});
	
	(function() {
		if(!$('ui-embed-responsive-mobile')) return false;
		var orig = $('ui-embed-textarea-responsive').get('value');
		$('ui-embed-responsive-mobile').addEvent('change', function() {
			var checked = !!this.get('checked');
			var code;
			if(checked) {
				code = ''+orig.replace('autoResponsive=1', 'autoResponsive=1&responsiveOnlyMobile=1');
			} else {
				code = ''+orig;
			}
			$('ui-embed-textarea-responsive').set('value', code);
		});
	})();
	
	(function() {
		if(!$('ui-embed-textarea-microformat')) return false;
		
		window.store('embed_code_unedited', '<?php echo htmlentities($embed_code); ?>');
		window.store('embed_code', '<?php echo htmlentities($embed_code); ?>');
		
		var fn = function() {
			var basic_code = window.retrieve('embed_code');
			
			var title = $('ui-embed-microformat-title').get('value').trim();
			var description = $('ui-embed-microformat-description').get('value').trim();
			var embed_code = '<div itemscope itemtype="http://schema.org/VideoObject">';
			embed_code += '<meta itemprop="name" content="'+title+'" />';
			embed_code += '<meta itemprop="description" content="'+description+'" />';
			embed_code += '<meta itemprop="width" content="<?php echo $file_settings->options['width']; ?>" />';
			embed_code += '<meta itemprop="height" content="<?php echo $file_settings->options['height']; ?>" />';
			embed_code += '<meta itemprop="thumbnailUrl" content="<?php echo $evp->getThumbnailUrl($file, '0'); ?>" />';
			embed_code += '<meta itemprop="embedUrl" content="<?php echo $embed_code_url; ?>" />';
			embed_code += html_entity_decode(basic_code);
			embed_code += '</div>';
			$('ui-embed-textarea-microformat').set('value', embed_code);
		}
		fn();
		$('ui-embed-microformat-title').addEvent('keyup', fn);
		$('ui-embed-microformat-description').addEvent('keyup', fn);
		
		var xhr = new Request.JSON({
			'url': '<?php echo url('admin/xhr.php'); ?>',
			'method': 'post',
			'link': 'cancel'
		});
		
		var save = function() {
			var title = $('ui-embed-microformat-title').get('value').trim();
			var description = $('ui-embed-microformat-description').get('value').trim();
			
			var data = $('thisFile').retrieve('data');
			data.seo = {'title': title, 'description': description};
			$('thisFile').store('data', data);
			
			xhr.send({
				'method': 'post',
				'data': {
					'method': 'file_setdata',
					'file_ref': $('thisFile').retrieve('file_ref'),
					'data': {
						'options': $('thisFile').retrieve('data')
					},
					'relevant': ['options']
				}
			});
		}
		
		$('ui-embed-textarea-microformat').addEvent('click', save);
	})();
	
	(function() {
		if(!$('ui-embed-microformat-responsive')) return;
		$('ui-embed-microformat-responsive').addEvent('change', function() {
			var checked = !!this.get('checked'), code = $('ui-embed-textarea-microformat').get('value');
			if(checked) {
				window.store('embed_code', '<?php echo htmlentities($embed_code_responsive); ?>');
				$('ui-embed-microformat-title').fireEvent('keyup');
			} else {
				window.store('embed_code', window.retrieve('embed_code_unedited'));
				$('ui-embed-microformat-title').fireEvent('keyup');
				$('ui-embed-microformat-responsive').set('checked', false);
			}
		});
	})();
	
	(function() {
		if(!$('ui-embed-microformat-responsive-mobile')) return;
		$('ui-embed-microformat-responsive-mobile').addEvent('change', function() {
			var checked = !!this.get('checked'), code = $('ui-embed-textarea-microformat').get('value');
			if(checked) {
				$('ui-embed-microformat-responsive').set('checked', true).fireEvent('change');
				window.store('embed_code', '<?php echo htmlentities($embed_code_responsive); ?>'.replace('autoResponsive=1', 'autoResponsive=1&responsiveOnlyMobile=1'));
				$('ui-embed-microformat-title').fireEvent('keyup');
			} else {
				window.store('embed_code', window.retrieve('embed_code').replace('autoResponsive=1&responsiveOnlyMobile=1', 'autoResponsive=1'));
				$('ui-embed-microformat-title').fireEvent('keyup');
			}
		});
	})();
	
	(function() {
		if(!$('ui-embed-textarea-popup')) return false;
		var fn = function() {
			var text = $('ui-embed-popup-trigger').get('value').trim();
			var embed_code = '<a onclick="var w = window.open(this.href,\'evp-pop\',\'width=<?php echo $file_settings->options['width']; ?>,height=<?php $height = $file_settings->options['height']; if(!empty($file_settings->widgets)) { $height += 48; if(!empty($file_settings->options['widgets_row_2'])) $height += 32; } echo $height; ?>\');if(w.focus){w.focus();}return (!w);" href="<?php echo url('player/console/'.$file_ref.'/'); ?>" target="_blank">'+text+'</a>';
			$('ui-embed-textarea-popup').set('value', embed_code);
		}
		fn();
		$('ui-embed-popup-trigger').addEvent('keyup', function(event) {
			fn();
		});
	})();
	
	(function() {
		if(!($('sales-track'))) return false;
		
		var build_upsell = function(name, price) {
			var box = $('sales-track-upsell-skeleton').clone();
			
			var existing = $$('.ui-sales-track-upsell');
			
			var idx = existing.length; // Always starts at 1 due to the skeleton - this is good
			
			box.setStyles({
				'display': 'block'
			});
			
			box.getElement('input[name$="upsell"]').set('value', name).set('name', 'sales_track_product_upsell_'+idx).setData('behavior', 'EvpTieToElement');
			box.getElement('input[name$="price"]').set('value', price).set('name', 'sales_track_product_upsell_price_'+idx).setData('behavior', 'EvpTieToElement InputMask').setData('meiomask', 'reverse.Currency');
			
			box.getElements('.ui-icon-delete').addEvent('click', function() {
				this.getParent('.ui-sales-track-upsell').kill(function() {
					var data = $('thisFile').retrieve('data');
					data['sales_track_product_upsell_'+idx] = '';
					data['sales_track_product_upsell_price_'+idx] = '';
					$('thisFile').store('data', data);
				});
			});
			
			box.inject(existing.pop(), 'after');
			
			new Behavior().apply(box);
		}
		
		$$('.sales-track-upsell-add').addEvent('click', function() {
			build_upsell('', '');
		});
		
		var xhr = new Request.JSON({
			'url': '<?php echo url('admin/xhr.php'); ?>',
			'method': 'post',
			'onRequest': function() {
			//$('sales-track-wrap').spin({'message': 'Saving...'});//'Generating sales tracking code...'});
			},
			'onSuccess': function(response) {
				$('sales-track-options').unspin();
				if($('thisFile').retrieve('data').sales_track) $('sales-track-options').reveal();
				else $('sales-track-options').dissolve();
				
				// Remove any existing sales tracking code
				$('sales-track-code').empty();
				
				if(response.sales_track != true) return;
				
				var w = $('sales-track-code');
				if(Object.getLength(response.sales_tracking_upsells) >= 1) {
					new Element('label', {'class': 'descend margin-bottom', 'styles': {'line-height': '20px'}, 'text': 'Each of the following pieces of code should be entered on the pages where the respective products have been confirmed as added'}).inject(w);
					Object.each(response.sales_tracking_upsells, function(code, name) {
						new Element('label', {
							'text': 'Upsell: '+name,
							'class': 'margin-bottom margin-right text-align-right',
							'styles': {
								'width': '190px'
							}
						}).inject(w);
						new Element('input', {
							'type': 'text',
							'class': 'ui_clickselect align-left',
							'styles': {
								'width': '205px'
							},
							'value': code
						}).inject(w);
						new Element('br', {'class': 'clear'}).inject(w);
					});
				}
				
				// Show the final piece of tracking code
				new Element('label', {'class': 'clear descend', 'text': 'Paste this code on your cart\'s success page, displayed after the user has paid'}).inject(w);
				new Element('input', {
					'type': 'text',
					'class': 'ui_clickselect',
					'styles': {
						'width': '405px'
					},
					'value': response.sales_tracking_main
				}).inject(w);
				
				// Reveal
			//w.reveal();
			},
			'onFailure': function() {
				$('sales-track-options').unspin();
			}
		});
		
		var save = function() {
			var data = $('thisFile').retrieve('data');
			data.sales_track = $('sales-track').get('checked');
			$('thisFile').store('data', data);

			xhr.send({
				'method': 'post',
				'data': {
					'method': 'file_setdata',
					'file_ref': $('thisFile').retrieve('file_ref'),
					'data': {
						'options': $('thisFile').retrieve('data')
					},
					'relevant': ['options']
				}
			});
		}
		
		$('sales-track-save').addEvent('click', function() {
			$('sales-track-code').reveal();
			$('sales-track-options').spin({'message': 'Generating sales tracking code...'});
			save();
		});
		
		if($('sales-track').get('checked')) $('sales-track-options').reveal();
		else $('sales-track-options').setStyle('display', 'none');
		
		$('sales-track').addEvent('change', save);
		
		$('sales-track-save').addEvent('click', function() {
			$('sales-track-code').reveal();
			save();
		});
		
		// Recreate existing upsells
		var data = $('thisFile').retrieve('data');
		var i = 1;
		while(typeof data['sales_track_product_upsell_'+i] !== 'undefined' && data['sales_track_product_upsell_'+i].length >= 1) {
			var name = data['sales_track_product_upsell_'+i];
			var price = data['sales_track_product_upsell_price_'+i];
			build_upsell(name, price);
			i++;
		}
	})();
	
	(function() {
		if(!($('security-enabled'))) return false;
		
		var xhr = new Request.JSON({
			'url': '<?php echo url('admin/xhr.php'); ?>',
			'method': 'post',
			'onRequest': function() {
				//
			},
			'onSuccess': function(response) {
				$('security-options').unspin();
				if($('thisFile').retrieve('data').security_enabled) $('security-options').reveal();
				else $('security-options').dissolve();
			},
			'onFailure': function() {
				$('security-options').unspin();
			}
		});
		
		var save = function() {
			var data = $('thisFile').retrieve('data');
			data.security_enabled = $('security-enabled').get('checked');
			data.security_restrict_urls = $('security-urls-list').getElements('option').map(function(el) { return el.get('text'); });
			$('thisFile').store('data', data);

			xhr.send({
				'method': 'post',
				'data': {
					'method': 'file_setdata',
					'file_ref': $('thisFile').retrieve('file_ref'),
					'data': {
						'options': $('thisFile').retrieve('data')
					},
					'relevant': ['options']
				}
			});
		}
		
		$$('.security-urls-add').addEvent('click', function() {
			new StickyWin.Prompt('Add a new domain', 'Enter a new domain to allow this file to be played on:', {
				onConfirm: function(value){
					var value = value.toLowerCase().replace('www.', '');
					var prefix = value.substr(0, 7);
					if(prefix != 'http://' && prefix != 'https:/') value = 'http://'+value;
					$('security-urls-list').adopt(new Element('option', {'value': value, 'text': value}));
				},
				defaultValue: 'http://'
			});
		});
		
		$$('.security-urls-remove').addEvent('click', function() {
			var checked = $('security-urls-list').getElements('option:selected');
			if(checked.length >= 1) {
				checked.destroy();
			}
		});
		
		$('security-save').addEvent('click', function() {
			$('security-options').spin({'message': 'Saving...'});
			save();
		});
		
		if($('security-enabled').get('checked')) $('security-options').reveal();
		else $('security-options').setStyle('display', 'none');
		
		$('security-enabled').addEvent('change', save);
	})();
	
	// Let's do client-side Element generation
	(function() {
		if(!$('elements-wrap')) return false;
		var elements = $('elements-wrap').getChildren('div');
		
	//elements.spin();
		
		// Let's get a reference to this player
		var this_evp = false;
		var tevp_int = setInterval(function() {
			var tevp;
			try {
				tevp = EVP3.files['<?php echo $file_ref; ?>'];
			} catch(e) {}
			if(typeof tevp != 'undefined') {
				this_evp = tevp;
				clearInterval(tevp_int);
				fn.delay(500);
			}
		}, 10);
		
		var fn = function() {
			elements.unspin();
			
			elements.each(function(el, idx) {
				var event = this_evp.events[el.getData('event-name')];
				var html = this_evp.evp.build_event_html(event);
				
				// temporary patch to support forms in external embed code
				// until the useIframe property is set correctly
				if(html.contains('<iframe id="evp-widget-parentiframe-')) {
					EVP3.query.each(event.data.widgets, function(idx, widget) {
						var tmp = EVP3.query(html), tmp_new = EVP3.query(stripslashes(widget.body));
						tmp.find('iframe').replaceWith(tmp_new);
						html = tmp.html();
					});
				}
				
				html = '<div id="evp-element-<?php echo $file_ref; ?>-'+el.getData('event-name').makeSeed()+'" class="evp-element" style="display:none;position:relative;width:'+event.data['event-width'].toInt()+'px;height:'+event.data['event-height'].toInt()+'px;">'+html+'</div>';
				
				el.getElement('input[type="text"]').set('value', html);
			});
		};
		
	})();
	
	// Facebook sharing
	(function() {
		if(!$('ui-sharing-facebook')) return false;
		
		var appID = '<?php echo $evp->settings->facebook_app_id; ?>', shareEmbed = function() {
			window.open('https://www.facebook.com/sharer.php?t=<?php echo urlencode($file_settings->options['page-seo-title']); ?>&u=<?php echo urlencode(url($file->page_url, array('og' => 1))); ?>', 'evp-facebook-window', 'width=720,height=370,status=1,toolbar=1');
		}, sharePage = function() {
			window.open('https://www.facebook.com/sharer.php?t=<?php echo urlencode($file_settings->options['page-seo-title']); ?>&u=<?php echo urlencode(url($file->page_url, array('og' => 0))); ?>', 'evp-facebook-window', 'width=720,height=370,status=1,toolbar=1');
		};
		
		if(appID.length > 0) {
			shareEmbed = function() {
				window.open('https://www.facebook.com/dialog/feed?app_id='+appID+'&display=popup&name=<?php echo urlencode($file_settings->options['page-seo-title']); ?>&caption=<?php echo urlencode($file_settings->options['page-seo-description']); ?>&link=<?php echo urlencode(url($file->page_url)); ?>&redirect_uri=<?php echo urlencode(url('admin/util.facebook.close.php')); ?>', 'evp-facebook-window', 'width=720,height=370,status=1,toolbar=1');
			};
			
			sharePage = function() {
				window.open('https://www.facebook.com/dialog/feed?app_id='+appID+'&display=popup&name=<?php echo urlencode($file_settings->options['page-seo-title']); ?>&caption=<?php echo urlencode($file_settings->options['page-seo-description']); ?>&link=<?php echo urlencode(url($file->page_url)); ?>&redirect_uri=<?php echo urlencode(url('admin/util.facebook.close.php')); ?>', 'evp-facebook-window', 'width=720,height=370,status=1,toolbar=1');
			};
		}
		
		$('ui-sharing-facebook').addEvent('click', function() {
			new StickyWin.Modal({
				'content': StickyWin.ui('Share this video on Facebook', 'Choose below whether you would like to embed the video itself into Facebook, to play right there inside the Timeline, or if you would like to share a link to the page itself so that they go to your page and view all of the content on it!', {
					width: '465px',
					buttons: [{
						text: 'Embed video into Facebook', 
						onClick: shareEmbed,
						properties: {'class': 'closeSticky'}
					}, {
						text: 'Share link to video page', 
						onClick: sharePage,
						properties: {
						 'class': 'closeSticky'
						}
					}]
				})
			});
		});
		
	})();
	
	(function() {
		if(!$('disable-video-page')) return false;
		
		var xhr = new Request.JSON({
			'url': '<?php echo url('admin/xhr.php'); ?>',
			'method': 'post',
			'onRequest': function() {
				$('video-page-wrapper').spin();
			},
			'onSuccess': function(response) {
				$('video-page-wrapper').unspin();
				if(response.file.options.video_page_disabled == true) {
					$('disable-video-page').getElement('.moobutton_text').set('text', 'Enable');
					$('ui-page-url').set('value', 'This video page is disabled.').set('disabled', true).setData('disabled', 'true');
					$('video-page-controls').dissolve();
				} else {
					$('disable-video-page').getElement('.moobutton_text').set('text', 'Disable');
					$('ui-page-url').set('value', $('ui-page-url').getData('realurl')).set('disabled', false).setData('disabled', 'false');
					$('video-page-controls').reveal();
				}
			},
			'onFailure': function() {
				$('video-page-wrapper').unspin();
			}
		});
		
		var enable = function() {
			var data = $('thisFile').retrieve('data');
			data.video_page_disabled = false;
			$('thisFile').store('data', data);
			
			xhr.send({
				'method': 'post',
				'data': {
					'method': 'file_setdata',
					'file_ref': $('thisFile').retrieve('file_ref'),
					'data': {
						'options': $('thisFile').retrieve('data')
					},
					'relevant': ['options']
				}
			});
		};
		
		var disable = function() {
			var data = $('thisFile').retrieve('data');
			data.video_page_disabled = true;
			$('thisFile').store('data', data);
			
			xhr.send({
				'method': 'post',
				'data': {
					'method': 'file_setdata',
					'file_ref': $('thisFile').retrieve('file_ref'),
					'data': {
						'options': $('thisFile').retrieve('data')
					},
					'relevant': ['options']
				}
			});
		};
		
		$('disable-video-page').addEvent('click', function() {
			var disabled = ($('ui-page-url').getData('disabled') == 'true');
			if(disabled) {
				StickyWin.confirm('Are you sure?', 'Are you sure you want to enable this video page? People will be able to access your video through its\' own URL.', function() {
					enable();
				});
			} else {
				StickyWin.confirm('Are you sure?', 'This will disable the automatically created page for your video. Disabling this is usually used for members-only or secure videos!', function() {
					disable();
				});
			}
		});
		
		var data = $('thisFile').retrieve('data');
		if(data.video_page_disabled == true) {
			$('disable-video-page').getElement('.moobutton_text').set('text', 'Enable');
			$('ui-page-url').set('value', 'This video page is disabled.').set('disabled', true).setData('disabled', 'true');
			$('video-page-controls').dissolve();
		}
	})();
	
	(function() {
		if($('real-code-wrap')) {
			if($('real-code-wrap').getElement('.evp-shadow')) $('real-code-wrap').addClass('ui-has-shadow');
			else $('real-code-wrap').removeClass('ui-has-shadow');
		}
	}).delay(500);
	
	(function() {
		if(!$('ui-layer-list')) return false;
		
		var xhr = new Request.JSON({
			'url': '<?php echo url('admin/xhr.php'); ?>',
			'method': 'post'
		});
		
		var save = function() {
			xhr.send({
				'method': 'post',
				'data': {
					'method': 'file_setdata',
					'file_ref': $('thisFile').retrieve('file_ref'),
					'data': {
						'options': $('thisFile').retrieve('data')
					},
					'relevant': ['options']
				}
			});
		};
		
		var fn = function(url) {
			if(url.length == 0) return;
			
			var layer = '<?php echo url('v/'.$file_ref); ?>/'+base64_encode(url)+'/';
			<?php if(!$evp->mod_rewrite) echo 'var layer = \''.url('v/index.php?file_ref='.$file_ref).'&url=\'+base64_encode(url);'; ?>
			var idx = $('ui-layer-list').getElements('.layer-row').length + 1;
			
			var el = new Element('div', {'class': 'layer-row clear self-clear margin-bottom'}).setData('idx', idx);
			var input = new Element('input', {'type': 'text', 'class': 'align-left margin-right ui_code ui_clickselect', 'rel': url, 'value': layer, 'styles': {'width': '267px'}}).setData('behavior', 'BetterTip').setData('tip-direction', '6').setData('tip-class', 'centre').inject(el);
			new Element('a', {'text': 'View', 'href': layer, 'target': '_blank', 'class': 'margin-top-3 align-left'}).setData('behavior', 'Button').setData('button-width', '50px').setData('button-type', 'small').inject(el);
			new Element('span', {'class': 'ui-icon ui-icon-delete align-left', 'styles': {
				'position': 'relative',
				'top': 8,
				'left': 5,
				'cursor': 'pointer'
			}}).addEvent('click', function() {
				var data = $('thisFile').retrieve('data');
				data.layers = data.layers || [];
				delete data.layers[idx];
				$('thisFile').store('data', data);
				
				this.getParent('.layer-row').kill(function() {
					save();
				});
			}).inject(el);
			
			$('ui-layer-url').set('value', '');
			
			new Behavior().apply(el);
			
			var data = $('thisFile').retrieve('data');
			data.layers = data.layers || [];
			data.layers[idx] = url;
			$('thisFile').store('data', data);
			save();
			
			el.inject($('ui-layer-list'));
		};
		
		$('ui-layer-add').addEvent('click', function() { fn($('ui-layer-url').get('value').trim()); });
		$('ui-layer-url').addEvent('keypress', function(event) {
			if(event && event.key == 'enter') fn($('ui-layer-url').get('value').trim());
		});
		
		<?php if(!empty($file_settings->options['layers'])) : foreach($file_settings->options['layers'] as $layer) : ?>
		fn('<?php echo $layer; ?>');
		<?php endforeach; endif; ?>
		
	})();
});
</script>

<div id="real-code-wrap" class="<?php echo (!empty($file_settings->options['shadow']) && $file_settings->options['shadow'] !== 'no-shadow' ? 'ui-has-shadow' : ''); ?>" style="margin: 0 0 20px 0; position: relative; <?php if($file->options['width'] > 900) : ?>left: 50%; margin-left: -<?php echo ($file->options['width'] / 2); ?>px; width: <?php echo $file->options['width']; ?>px;<?php endif; ?>">
	<center><?php echo $embed_code_internal; ?></center>
</div>

<div class="box"><div class="wrap self-clear">
	<div data-behavior="Grid" data-grid-padding="10">
		<div data-column-width="140">
			<?php if(!$xs->isMemberOf($xs->userData->id, 'Users')) : ?>
				<a href="<?php echo url('admin/files.settings.php', array('id' => $file->id, 'profile' => $profile)); ?>" data-behavior="Button" data-button-icon="back" data-button-iconpos="top" data-button-width="100">Edit settings</a>
				<div class="ui-divide ui-divide-horizontal"></div>
				<a href="<?php echo url('admin/files.timeline.php', array('id' => $file->id, 'profile' => $profile)); ?>" data-behavior="Button" data-button-icon="forward" data-button-iconpos="top" data-button-width="100">Edit Timeline</a>
			<?php endif; ?>
		</div>
		<div data-column-width="720" class="styled" id="code">
			
			<?php if(false) ://!empty($file->thumbnail_count)) : ?>
				<div data-behavior="ThumbnailCycle" data-thumbnailcycle-base="<?php echo $file->config['location']; ?>" data-thumbnailcycle-length="<?php echo $file->thumbnail_count; ?>"  data-thumbnailcycle-width="250" data-thumbnailcycle-height="141"></div>
			<?php endif; ?>
			
			<ul class="tabs tabs-small" style="margin-bottom:0;">
				<li style="float:left;width:323px;font-size:17px;padding:13px 12px;">Embed code<span>Fully featured embedding</span></li>
				<li style="float:left;width:324px;font-size:17px;padding:13px 12px;border-right:none;">Responsive code<span>For responsive layouts &amp; small screens</span></li>
				<li style="width:673px;border-right:none;font-weight:normal;font-size:11px;padding:4px 12px;">Click here for advanced embed code options</li>
			</ul>
			<div class="panels">
				<div class="tab-panel">
					<textarea readonly="readonly" id="ui-embed-textarea" class="ui_code ui_clickselect ui_noresize" style="width:682px;height:100px;"><?php echo htmlentities($embed_code); ?></textarea>
					<div class="align-right margin-top margin-bottom" style="font-size: 13px;">Center my <?php echo $file->type; ?>?&nbsp;<input type="checkbox" id="ui-embed-centre" style="margin-top:-4px;" /></div>
					
					<?php if($xs->isMemberOf($xs->userData->id, 'Administrators')) : ?>
						<div class="help-wordpress">
							<p><a href="http://easyvideosuite.com/members/getting-started/using-evs-wordpress/" target="_blank">Using WordPress with <?php echo $evp->options->project_name; ?>? Download our plugin to make it point-and-click simple!</a></p>
						</div>
					<?php endif; ?>
					
					<?php if(!empty($file_settings->events)) : ?>
					<div class="clear margin-top" id="elements-wrap">
						<?php
						$element_code = $evp->buildElementCode($file_settings->events, $file_ref);
						if(!empty($element_code)) {
							foreach($element_code as $name => $elc) {
								$opt = $file_settings->events[$name];
								echo '<div class=" margin-bottom" data-event-slug="'.makeSeed($name).'" data-event-name="'.escape($name).'">';
								echo '<label for="evp-element-'.makeSeed($name).'-code" style="width: 140px; text-align: right;">'.$name.'</label>';
								echo '<input readonly="readonly" type="text" class="ui_code ui_clickselect" style="width: 532px; margin-bottom: 5px;" id="evp-element-'.makeSeed($name).'-code" value="" />';
								echo '<div class="clear text-align-right" style="font-size:11px;">Starting at '.$opt['start-string'].' and showing for '.$opt['duration-string'].'.</div>';
								echo '</div>';
							}
						}
						?>
					</div>
					<?php endif; ?>
				</div>
				
				<div class="tab-panel">
					<textarea readonly="readonly" id="ui-embed-textarea-responsive" class="ui_code ui_clickselect ui_noresize" style="width:682px;height:80px;"><?php echo htmlentities($embed_code_responsive); ?></textarea>
					<div class="align-right margin-top margin-bottom" style="font-size: 13px;">Responsive only on mobile devices?&nbsp;<input type="checkbox" id="ui-embed-responsive-mobile" style="margin-top:-4px;" /></div>
				</div>
				
				<div class="tab-panel" id="code-other">
					<ul class="tabs tabs-small" style="margin-bottom:0;">
						<li style="width: 142px; overflow: hidden;">Microformat<span>Extra SEO data</span></li>
						<li style="width: 142px; overflow: hidden;">Iframe<span>For use in eBay</span></li>
						<li style="width: 160px; overflow: hidden;">Popup<span>Pop the video into a window</span></li>
						<li style="width: 150px; overflow: hidden;">Object<span>Embedding into Flash</span></li>
					</ul>
					<div class="panels">
						<div class="tab-panel margin-top">
							<label for="ui-embed-microformat-title">Title of the video</label><input type="text" id="ui-embed-microformat-title" value="<?php echo $file_settings->options['seo']['title']; ?>" class="margin-bottom align-right" style="width:338px;" /><br class="clear" />
							<label for="ui-embed-microformat-description">Brief description of the video</label><input type="text" id="ui-embed-microformat-description" value="<?php echo $file_settings->options['seo']['description']; ?>" class="margin-bottom align-right" style="width:338px;" />
							<textarea readonly="readonly" id="ui-embed-textarea-microformat" class="ui_code ui_clickselect ui_noresize" style="width:682px;height:80px;"><?php echo htmlentities($embed_code_microformat); ?></textarea>
							<div class="align-right margin-top margin-bottom" style="font-size: 13px;">Responsive only on mobile devices?&nbsp;<input type="checkbox" id="ui-embed-microformat-responsive-mobile" style="margin-top:-4px;" /></div>
							<div class="align-right margin-top margin-bottom margin-right" style="font-size: 13px;">Responsive?&nbsp;<input type="checkbox" id="ui-embed-microformat-responsive" style="margin-top:-4px;" /></div>
						</div>
					</div>
					<div class="panels">
						<div class="tab-panel">
							<textarea readonly="readonly" id="ui-embed-textarea-iframe" class="ui_code ui_clickselect ui_noresize" style="width:682px;height:80px;"><?php echo htmlentities($embed_code_iframe); ?></textarea>
						</div>
					</div>
					<div class="panels">
						<div class="tab-panel margin-top">
							<label for="ui-embed-popup-trigger" style="font-size:12px;">Enter some trigger text people will click to open up the video</label><input type="text" id="ui-embed-popup-trigger" value="Click here to watch the video" class="margin-bottom align-right" style="width:338px;" />
							<textarea readonly="readonly" id="ui-embed-textarea-popup" class="ui_code ui_clickselect ui_noresize" style="width:682px;height:40px;"></textarea>
						</div>
					</div>
					<div class="panels">
						<div class="tab-panel">
							<textarea readonly="readonly" id="ui-embed-textarea-object" class="ui_code ui_clickselect ui_noresize" style="width:682px;height:80px;"><?php echo htmlentities($embed_code_object); ?></textarea>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<div data-behavior="Grid" data-grid-padding="0" id="video-page-wrapper">
		<div data-column-width="160"></div>
		<div data-column-width="690" class="styled">

			<div class="align-right" style="margin:5px 0;">
				<a id="ui-sharing-facebook" data-behavior="Button" data-button-width="240" data-button-icon="facebook" data-button-iconpos="right">Share this video on Facebook</a>
			</div>
			
			<div class="clear"></div>
			
			<label style="background:url(<?php echo assets('assets/icons-custom/embed-page.png'); ?>) no-repeat 0 0;padding-left:42px;">Your <?php echo $file->type; ?>'s share URL</label>
			<input readonly="readonly" type="text" class="align-left margin-right ui_code ui_clickselect" data-realurl="<?php echo $file->page_url; ?>" data-disabled="<?php echo ($file_settings->options['video_page_disabled'] ? 'true' : 'false'); ?>" value="<?php echo $file->page_url; ?>" id="ui-page-url" style="width:390px;" />
			<?php if(!$xs->isMemberOf($xs->userData->id, 'Users')) : ?>
				<div class="align-left" style="margin-top:3px;">
					<a data-behavior="Button" data-button-width="60" data-button-type="action_small" id="disable-video-page"><?php echo ($file_settings->options['video_page_disabled'] == '1' ? 'Enable' : 'Disable'); ?></a>
				</div>
			<?php endif; ?>
			
			<div class="align-right margin-top" id="video-page-controls" style="margin-bottom:30px;">
				<?php if(!$xs->isMemberOf($xs->userData->id, 'Users')) : ?>
				<div class="align-left margin-right">
					<a href="<?php echo url('admin/files.page.php', array('id' => $file->id, 'profile' => $profile)); ?>" data-behavior="Button" data-button-type="action_small" data-button-width="185">Edit your <?php echo $file->type; ?>'s page</a>
				</div>
				<?php endif; ?>
				<?php if(class_exists('ZipArchive')) : ?>
					<div class="align-left margin-right">
						<a href="<?php echo url('api.php', array('method' => 'files-download-page', 'responseType' => 'json', 'file_id' => $file_ref, 'username' => $xs->userData->username, 'password' => $xs->userData->password), true); ?>" target="_blank" data-behavior="Button" data-button-type="small" data-button-width="125">Download as .zip</a>
					</div>
				<?php endif; ?>
				<div class="align-left">
					<a href="<?php echo $file->page_url; ?>" target="_blank" data-behavior="Button" data-button-type="small" data-button-width="185">View your <?php echo $file->type; ?>'s page</a>
				</div>
			</div>
			
			<div class="clear"></div>
			
			<label style="background:url(<?php echo assets('assets/icons-custom/embed-page.png'); ?>) no-repeat 0 0;padding-left:42px;">Overlay your video on a website</label>
			<input type="text" class="align-left margin-right ui_code" value="" id="ui-layer-url" style="width:267px;" />
			<div class="align-left" style="margin-top:3px;">
				<a data-behavior="Button" data-button-width="130" data-button-type="action_small" id="ui-layer-add">Overlay on this page</a>
			</div>
			
			<div id="ui-layer-list"></div>
			
		</div>
	</div>
</div></div>

<?php if(!$xs->isMemberOf($xs->userData->id, 'Users')) : ?>
	<div class="box"><div class="wrap">
	
		<div class="align-left styled" style="width:425px;">
		
				<label style="margin-left:0;width:375px;font-size:17px;padding:0 0 0 40px;text-align:left;background:url(<?php echo assets('assets/icons-custom/embed-security.png'); ?>) no-repeat 0 0;">Do you want to add security to your <?php echo $file->type; ?>?</label>
				<div class="align-right margin-right">
					<input type="checkbox" id="security-enabled" name="security_enabled" value="1" data-behavior="EvpTieToElement iPhoneCheckbox" />
				</div>
				
				<div id="security-options" class="clear self-clear" style="display:none;margin-top:10px;">
					
					<div class="margin-bottom" style="width:425px;">
						<?php
						if(empty($file_settings->options['security_restrict_urls'])) $file_settings->options['security_restrict_urls'] = array(currentDomain());
						echo build_select('security-urls-list', '', $file_settings->options['security_restrict_urls'], false, array('size' => 5));
						?>
					</div>
					<div class="">
						<div class="security-urls-add align-left margin-right margin-bottom" data-behavior="Button" data-button-width="100" data-button-type="action">+ Add URL</div>
						<div class="security-urls-remove align-left margin-right margin-bottom" data-behavior="Button" data-button-width="100" data-button-type="action">- Remove URL</div>
						<a class=" align-left margin-right" id="security-save" data-behavior="Button" data-button-width="125">Save</a>
					</div>
					
				</div>
				
		</div>
		
		<div class="align-left styled" style="width:425px;padding-left:10px;" id="sales-track-wrap">

				<label style="margin-left:0;padding:0 0 0 40px;width:375px;font-size:17px;text-align:left;background:url(<?php echo assets('assets/icons-custom/embed-sales.png'); ?>) no-repeat 0 0;">Do you want to track sales from this video?</label>
				<div class="align-right margin-right">
					<input type="checkbox" id="sales-track" name="sales_track" value="1" data-behavior="EvpTieToElement iPhoneCheckbox" />
				</div>
				
				<div id="sales-track-options" class="clear self-clear" style="display:none;margin-top:10px;">
					<div class="group descend align-left margin-right margin-bottom">
						<label for="sales-track-product-main">Main product name</label>
						<input type="text" id="sales-track-product-main" name="sales_track_product_main" data-behavior="EvpTieToElement" style="width:275px" />
					</div>
					
					<div class="group descend align-left">
						<label for="sales-track-product-main-price" class="text-align-right">Price</label>
						<input type="text" id="sales-track-product-main-price" name="sales_track_product_main_price" data-behavior="EvpTieToElement InputMask" data-meiomask="reverse.Currency" style="width:70px" />
					</div>
					
					<div class="clear"></div>
					
					<div style="display:none;" class="self-clear margin-bottom ui-sales-track-upsell" id="sales-track-upsell-skeleton">
						<div class="group descend align-left margin-right">
							<label>Upsell product name</label>
							<input type="text" name="sales_track_product_upsell" style="width:275px" />
						</div>
						<div class="group descend align-left">
							<label class="text-align-right">Price</label>
							<input type="text" name="sales_track_product_upsell_price" style="width:70px" />
						</div>
						<div class="align-left"><span class="ui-icon ui-icon-delete" style="position:relative;top:30px;left:12px;cursor:pointer;"></span></div>
					</div>
					
					<div class="align-right" style="margin-right:32px;">
						<div class="align-left margin-right sales-track-upsell-add" data-behavior="Button" data-button-width="100" data-button-type="action">+ Add upsell</div>
						<a class="align-left" id="sales-track-save" data-behavior="Button" data-button-width="65">Get code</a>
					</div>
				</div>
				
				<div id="sales-track-code" class="" style="display:none;"></div>

		</div>
		
		<div class="clear"></div>
	
	</div></div>
<?php endif; ?>