<?php if(empty($file->metadata)) : ?>
(function() {
	<?php
	$supportedVideoFiles = $evp->options->supported_video_files;
	$supportedAudioFiles = $evp->options->supported_video_files;
	if($evp->local) {
		$supportedVideoFiles = array_merge($supportedVideoFiles, $evp->local->options->supported_video_files);
		$supportedAudioFiles = array_merge($supportedVideoFiles, $evp->local->options->supported_audio_files);
	}
	if($evp->s3) {
		$supportedVideoFiles = array_merge($supportedVideoFiles, $evp->s3->options->supported_video_files);
		$supportedAudioFiles = array_merge($supportedAudioFiles, $evp->s3->options->supported_audio_files);
	}

	if(!empty($file->extension) && in_array($file->extension, $supportedVideoFiles) === false && in_array($file->extension, $supportedAudioFiles) === false) {
		// Is this a legacy file? If so, we should show an alert and prompt to go to the app
		?>
		if($('profile-selector')) $('profile-selector').unspin.delay(100, $('profile-selector'));
		var leg = StickyWin.ui('Legacy file', 'The file that you have chosen is a legacy a file type. This is no longer supported! You can use our brand new drag-and-drop converter to get your video into a web-ready format!', {
			'width': '390px',
			'buttons': [
				{
					'text': 'Return to the Files list',
					'onClick': function() {
						window.location = 'list.files.php';
					},
					'properties': {'class': ''}
				},
				{
					'text': 'Get the desktop app!',
					'onClick': function() {
						window.location = 'upload.php';
					},
					'properties': {'class': ''}
				},
			]
		});

		new StickyWin.Modal({
			'content': leg
		});
		return false;
		<?php
	}
	?>

	window.evpAssetsReady = function() { // This will get called once the assets are ready
		(function() {
			var width = 500, height = 500, posLeft = '-10000px', posType = 'absolute';

			// Safari doesn't initialise hidden ones, so let's make it tiny but not hidden for Safari (But not Chrome, which works properly)
			if(/safari/ig.test(navigator.userAgent) && !/chrome/ig.test(navigator.userAgent)) var width = 1, height = 1, posLeft = 0, posType = 'relative';

			// So let's make our placeholder
			var p = new Element('div', {
				'styles': {
					'width': width,
					'height': height,
					'position': posType,
					'left': posLeft
				}
			}).adopt(
				new Element('div').setData('role', 'evp-video').setData('evp-file-id', '<?php echo $file->id; ?>').setData('evp-location', '<?php echo $file->location; ?>').setData('evp', JSON.encode({'disable_stat_tracking': true, 'width': width, 'height': height, 'auto_play': true, 'volume': 0}))
			);
		//p.inject(document.body);
			p.inject('header', 'after');

			// Attach the player
			var evp = EVP3.attach()[0];

			// Once the metadata is saved..
			evp.addEvent('onMetaData', window.evpMetaDataReady);
		}).delay(250); // Wait until after the initial, domready 'attach' call
	}
})();
<?php endif; ?>
