<script type="text/javascript" src="<?php echo url('player/assets/jwplayer-5.10/jwplayer.js'); ?>"></script>

<!-- BUFFER -->

<style type="text/css">
#form .deviantMenu-menu-item { width: 331px; }
#form .back { width: 282px; }
</style>

<script type="text/javascript">
window.addEvent('domready', function() {

	EVP_Help.setContext({
		'content': '<p>Video sitemaps are a great tool to get your videos indexed by search engines such as Google. You can create a sitemap by entering in your domain name (For example, easyvideosuite.com).</p><p>Then tick the box next to each video you want to include. In the right-hand pane, you can customise the URL the video is posted on, the title of the video and it\'s description.</p><p>After creating the sitemap, you will receive some XML code which you can download and send to search engines so they can easily index your videos!</p>'
	});


	var showEmbedCode = function(id, domain, el) {
	//$('embed_code').dissolve();
		
		var xhr = new Request.JSON({
			'url': '<?php echo url('api.php'); ?>',
			'onRequest': function() {
				if($(el)) $(el).spin();
			},
			'onSuccess': function(response) {
				if($(el)) $(el).unspin();
				$('embed_code').getElement('h2').set('text', 'Embed code: '+unescape(domain));
				$('embed_code').getElement('.ui_code').set('value', response.xml);
				
				if(typeof response.xml != 'string') {
					$('embed_code').getElement('.ui_code').setStyle('display', 'none');
				}
				
				$('ui-sitemaps-xml').removeEvents('click').addEvent('click', function() {
					window.open('<?php echo url('admin/list.sitemaps.xml.php'); ?>?id='+response.sitemap.id);
				});
				$('embed_code').reveal();
			}
		});
		
		xhr.send({
			'method': 'post',
			'data': {
				'username': '<?php echo $currentUser->username; ?>',
				'password': '<?php echo $currentUser->password; ?>',
				'method': 'sitemaps-xml',
				'id': id
			}
		});
	}
	
	var hideEmbedCode = function() {
		$('embed_code').dissolve();
	}
	
	var buildMetaContainer = function(file_ref, sitemap_id, sitemap_files) {
		// Let's make the metadata
		var wrap = $(file_ref+'-metadata');
		if(!wrap) {
			wrap = new Element('div', {'id': file_ref+'-metadata', 'styles': {'display': 'none'}}).inject($('sitemap-meta-wrap'));
		
			// Create the elements
			new Element('label', {'html': 'Page URL <span style="font-weight:normal;font-size:11px;">(Do not include the domain name itself; only enter mypage.php or videos/ for example, or leave this field blank for the root of your domain!)</span>'}).inject(wrap);
			var url = new Element('input', {'type': 'text', 'name': 'data[url]['+file_ref+']', 'class': 'margin-bottom', 'styles': {'width': '458px'}}).inject(wrap);
			new Element('br').inject(wrap);
			
			new Element('label', {'text': 'Video title'}).inject(wrap);
			var title = new Element('input', {'type': 'text', 'name': 'data[title]['+file_ref+']', 'class': 'margin-bottom', 'styles': {'width': '458px'}}).inject(wrap);
			new Element('br').inject(wrap);
			
			new Element('label', {'text': 'Video description'}).inject(wrap);
			var description = new Element('textarea', {'type': 'text', 'name': 'data[description]['+file_ref+']', 'class': 'margin-bottom', 'styles': {'width': '458px', 'height': '60px'}}).inject(wrap);
			new Element('br').inject(wrap);
			
			// Set their data
			if(typeof sitemap_id !== 'undefined' && typeof sitemap_files == 'object' && typeof sitemap_files[file_ref] == 'object') {
				url.set('value', sitemap_files[file_ref].url);
				title.set('value', sitemap_files[file_ref].title);
				description.set('value', sitemap_files[file_ref].description);
			}
			
			if(title.get('value') == '') title.set('value', $$('#deviantMenu-wrapper [data-file_ref="'+file_ref+'"]').get('text'));
			
			// Behavior
			new Behavior().apply(wrap);
		}
		
		return wrap;
	}
	
	$$('.ui-sitemap-code').addEvent('click', function() {
		var data = JSON.decode(this.getParent('tr').get('data'));
		showEmbedCode(data.id, data.domain, $('sitemaps'));
	});
	
	if($('save')) {
		$('save').addEvent('click', function(event) {
			if(event) event.stop();
			var files = $$('#form input[name="files[]"]:checked').length;
			if(files < 1) {
				StickyWin.alert('Sitemaps', 'Please select at least 1 files to add to this sitemap first!');
			} else {
				$('form').submit();
			}
		});
	}
	
	var bind = function() {
		$$('#deviantMenu-wrapper a.file, #deviantMenu-wrapper a.file-profile').removeEvents('click').addEvent('click', function(event) {
			var cb = this.getParent().getElement('input');
			
			if(event) cb.set('checked', true);//!cb.get('checked')); // Only set this if it's been a genuine click!
			
			$('sitemap-preview-wrap').empty().getPrevious('h2').set('text', '');
			
			var preview = new Element('div', {
				'styles': {
					'width': '475px',
					'height': '230px'
				}
			}).setData('role', 'evp-video').setData('evp-location', this.getData('location'));
			
			var ridx = Number.random(1, 9999);
			preview.adopt(new Element('div', {'id': 'sp'+ridx})).inject($('sitemap-preview-wrap'));
			
			// Init JWP - using EVP itself causes some kind of weirdness?
			var j = jwplayer('sp'+ridx).setup({
    'flashplayer': '<?php echo url('player/assets/jwplayer-5.10/player.swf'); ?>',
    'id': 'sp'+ridx,
    'width': '475',
    'height': '230',
    'file': this.getData('location'),
    'display.showmute': false,
    'stretching': 'fill',
			//'logo.file': '<?php echo url('player/images/player-logo.png'); ?>',
			//'logo.link': 'http://easyvideosuite.com/',
			//'logo.margin': 10,
				'abouttext': 'EasyVideoSuite',
				'aboutlink': 'http://easyvideosuite.com/',
    'skin': '<?php echo url('player/assets/jwplayer-5.10/skins/minima/minima.xml'); ?>'
			});
		//EVP3.attach();
			
			$('sitemap-preview-wrap').getPrevious('h2').set('text', this.getData('label'));
			
			// Hide any inside it
			$$('#sitemap-meta-wrap div').setStyle('display', 'none');
			
			var file_ref = this.getData('file_ref');
			
			var wrap = buildMetaContainer(file_ref);
			wrap.setStyle('display', 'block');
		});
	}
	
	if($('ui-sitemap-create')) {
		$('ui-sitemap-create').addEvent('click', function() {
			
			hideEmbedCode();
			
			// Fold up the 'create' window
			if($('form-outer').getStyle('display') == 'block') {
				$('form-inner').dissolve();
			}
			
			$('form-outer').reveal();
			
			new deviantMenu($('files-select'));
			bind();
		
			(function() {
				// Set the title
				$('ui-split-title').set('text', 'Create a new sitemap');
				
				// Change the text of the button
				$('save').getElement('.moobutton_text').set('text', 'Create this sitemap');
				
				// Set the individual data
				try { $('form').getElement('input[name="domain"]').set('value', '').focus(); } catch(e) {}
				
				$('deviantMenu-wrapper').getElements('input').set('checked', false);
				
				$('sitemap-meta-wrap').empty();
				
				// Inject a hidden ID param
				$('form').getElements('input[name="id"]').set('value', '<?php echo mt_rand(5, 9999); ?>');
				
				// And unfold
				(function() { $('form-inner').reveal(); }).delay(500);
			}).delay(500);
		});
	}
	
	$$('.ui-sitemap-edit').each(function(el) {
		el.addEvent('click', function() {
			
			hideEmbedCode();
			
			$('sitemap-preview-wrap').empty().getPrevious('h2').set('text', '');
			
			var data = JSON.decode(el.getParent('tr').get('data'));
			data.files = el.getParent('tr').retrieve('files');
			data.contents = el.getParent('tr').retrieve('contents');

			// Fold up the 'create' window
			if($('form-outer').getStyle('display') == 'block') {
				$('form-inner').dissolve();
			}
			
			$('form-outer').reveal();
			
			new deviantMenu($('files-select'));
			bind();
		
			(function() {
				// Set the title
				$('ui-split-title').set('text', 'Edit a sitemap: '+unescape(data.domain));
				
				// Change the text of the button
				$('save').getElement('.moobutton_text').set('text', 'Save');
				
				// Set the individual data
				$('form').getElement('input[name="domain"]').set('value', data.domain);
				
				$('sitemap-meta-wrap').empty();
				
				$('deviantMenu-wrapper').getElements('input').set('checked', false);
				Object.each(data.files, function(file_ref) {
					$$('#deviantMenu-wrapper input[value="'+file_ref+'"]').set('checked', true);
					buildMetaContainer(file_ref, data.id, data.contents);
				});
				
				// Inject a hidden ID param
				$('form').getElements('input[name="id"]').set('value', data.id);
				
				// And unfold
				(function() { $('form-inner').reveal(); }).delay(500);
			}).delay(500);
		});
	});
	
	$$('.blank_checkbox').addEvent('click', function() {
		this.set('checked', false);
	});
	
	$('form-outer').addEvent('click:relay(input.file_input)', function(event) {
		this.getParent().getElement('a').fireEvent('click');
	});
	
	$$('.trigger_profile').addEvent('click', function() {
		new Fx.Scroll(this.getParent('#deviantMenu-wrapper').getParent().getParent(), {'duration': 250}).toTop();
	});
	
	<?php if($newly == true) : ?>
	showEmbedCode('<?php echo $newly_id; ?>', '<?php echo $newly_domain; ?>', $('sitemaps'));
	<?php endif; ?>
	
	<?php if(empty($sitemaps)) : ?>
	new deviantMenu($('files-select'));
	bind();
	<?php endif; ?>
});
</script>
<div class="table alt clear" id="sitemaps"><div class="wrap">
	<h2>Sitemaps</h2>
	<table data-behavior="HtmlTable" data-htmltable-sortable="true">
		<thead>
			<tr>
				<th>Domain</th>
				<th class="nosort" width="80">&nbsp;</th>
			</tr>
		</thead>
		<tfoot><tr><td colspan="2"><input class="align-right" type="button" data-behavior="Button" data-button-type="small" id="ui-sitemap-create" value="New sitemap" data-button-width="100" /></td></tr></tfoot>
		<tbody>
			<?php if(empty($sitemaps)) : ?>
				<tr class="norows"><td colspan="2">You have not created any sitemaps yet.</td></tr>
			<?php else : ?>
			<?php
			$description_js = '';
			if(!empty($sitemaps)) {
				foreach($sitemaps as $i) {
				
					$description_js.= "$('sitemap-row-{$i->id}').store('contents', ".json_encode($i->contents).");\n$('sitemap-row-{$i->id}').store('files', ".json_encode($i->data['files']).");\n";
					
					echo '<tr id="sitemap-row-'.$i->id.'" data=\''.json_encode(array('domain' => $i->domain, 'id' => $i->id)).'\'>';
					echo "<td><a class=\"ui-sitemap-code\">{$i->domain}</a></td>";
					echo '<td>';
					echo "<a class=\"ui-sitemap-code margin-right\" rel=\"Get embed code\"><img src=\"{$themeDir}assets/icons/code.png\" alt=\"Get embed code\" /></a>";
					echo "<a class=\"ui-sitemap-edit margin-right\" rel=\"Edit split test\"><img src=\"{$themeDir}assets/icons/settings.png\" alt=\"Edit sitemap\" /></a>";
					echo "<a data-trigger=\"api-call\" data-api-call-options=\"{'spin': '! tr', 'name': '".addslashes($i->name)."', 'data': {'method': 'sitemaps-delete', 'id': '{$i->id}'}, 'showConfirm': true, 'confirmTitle': 'Sitemaps', 'confirmMessage': 'Are you sure you want to delete this sitemap?', 'confirmFailed': 'This sitemap could not be deleted.', 'xhr': '".url('api.php')."', 'xhr_username': '".$currentUser->username."', 'xhr_password': '".$currentUser->password."'}\"><img src=\"{$themeDir}assets/icons/delete.png\" alt=\"Delete\" /></a>";
					echo '</td>';
					echo '</tr>';
				}
			}
			?>
			<?php endif; ?>
		</tbody>
	</table>
</div></div>

<?php if(!empty($description_js)) echo "<script type=\"text/javascript\">window.addEvent('domready', function() { {$description_js} });</script>"; ?>

<form action="list.sitemaps.php" method="post" id="form" autocomplete="off">
	<input type="hidden" name="id" value="<?php echo mt_rand(5, 9999); ?>" />
	<div class="box alt" id="form-outer" style="<?php if(!empty($sitemaps)) echo 'display:none;'; ?>"><div class="wrap auto">
		<h2 id="ui-split-title">Create a new sitemap</h2>
		<div class="body styled descend" style="padding:10px;" id="form-inner">
			<fieldset>
				<label for="new_domain">Domain name</label>
				<input type="text" class="text required maxLength:90 margin-bottom" name="domain" id="new_domain" /><br />
				
				<label>Tick the files that are on your site</label>
				<div style="padding:10px;background:#fff;border:1px solid #999;margin:10px 0;">
					<div style="width:351px;overflow-x:hidden;overflow-y:scroll;height:255px;float:left;">
						<div id="files-select">						
						<?php						
						function buildDeviantMenu($folders) {
							$evp = Registry::get('EVP');
							$profile_files = Registry::retrieve('profile_files');
							foreach($folders as $folder) {
								$subfolders = array();
								$files = array();
								if(!empty($folder->file_count)) $files = $profile_files[$folder->id];//$evp->getFiles($folder->id);
								if($folder->id !== 0) $subfolders = $folder->subfolders;//$evp->getFolders($folder->id, false);
								echo '<li class="folder">';
								echo "{$folder->name}";
								echo '<ul>';
								if(!empty($subfolders)) {
									buildDeviantMenu($subfolders);
								}
								if(!empty($files)) {
									foreach($files as $file) {
										$profiles = $evp->getProfiles($file->id, false);
										if(empty($profiles)) {
											echo "<li><input type=\"checkbox\"  name=\"files[]\" value=\"{$file->id}\" class=\"margin-right file_input\" /><a class=\"file\" data-location=\"{$file->location}\" data-label=\"{$file->name}\" data-file_ref=\"{$file->id}\">".string_trim($file->name, 42)."</a></li>";
										} else {
											echo '<li class="trigger_profile"><input type="checkbox" class="blank_checkbox margin-right" />'.$file->name;
											echo '<ul>';
											echo "<li><input type=\"checkbox\"  name=\"files[]\" value=\"{$file->id}\" class=\"margin-right file_input\" /><a class=\"file\" data-location=\"{$file->location}\" data-label=\"{$file->name}\" data-file_ref=\"{$file->id}\">Default Profile</a></li>";
											foreach($profiles as $p) {
												echo "<li><input type=\"checkbox\"  name=\"files[]\" value=\"{$file->id}::{$p->seed}\" class=\"margin-right file_input\" /><a class=\"file-profile\" data-location=\"{$file->location}\" data-label=\"{$file->name} - {$p->name}\" data-file_ref=\"{$file->id}::{$p->seed}\">{$p->name}</a></li>";
											}
											echo '</ul>';
											echo '</li>';
										}
									}
								}
								echo '</ul>';
								echo '</li>';
							}
						}
						
						$profile_folders = $evp->getFoldersAsTree(true);
						
						$profile_all_files = getArray("SELECT t.id, t.file_name, t.name, t.source, t.location, r.folder_id FROM {$evp->options->prefix}files t LEFT JOIN {$evp->options->prefix}folders_relationships r ON (t.id = r.file_id) WHERE t.child_type IS NULL ORDER BY t.time DESC");
						$profile_files = array();
						if(!empty($profile_all_files)) {
							foreach($profile_all_files as $f) {
								$fid = $f->folder_id;
								if($f->source == 2) $f->location = $evp->s3->getUrl($f->file_name);
								if(empty($fid)) $fid = 0;
								$profile_files[$fid][] = $f;
							}
						}
						
						Registry::store('profile_files', $profile_files);
						
						echo '<ul>';
						if(!empty($profile_folders)) buildDeviantMenu($profile_folders);
						echo '</ul>';
						?>
						</div>
					</div>
					<div style="width:475px;float:left;margin-left:10px;">
						<h2 style="font-size:14px;margin:0 0 10px 0;"></h2>
						<div id="sitemap-preview-wrap" class="margin-bottom"></div>
						<div id="sitemap-meta-wrap"></div>
					</div>
					<div class="clear"></div>
				</div>
				
				<div class="clear"></div>
				
				<div class="align-right">
					<input type="button" id="save" data-behavior="Button" data-button-width="170" value="Create this sitemap" />
				</div>
			</fieldset>
		</div>
	</div></div>
</form>

<div class="box alt" id="embed_code" style="display:none;"><div class="wrap auto">
	<h2>Your sitemap</h2>
	<div class="body styled descend" style="padding:0 10px 10px;">
		<textarea class="ui_code ui_clickselect ui_noresize" style="width:840px;height:100px;margin:0 auto 10px auto;display:block;"></textarea>
		<a href="list.sitemaps.xml.php" id="ui-sitemaps-xml" data-behavior="Button" data-button-width="150" data-button-type="action" class="align-right">Download as .xml</a>
		<div class="clear"></div>
	</div>
</div></div>