<script type="text/javascript" src="<?php echo url('player/assets/jwplayer-5.10/jwplayer.js'); ?>"></script>

<!-- BUFFER -->

<style type="text/css">
#form .deviantMenu-menu-item { width: 331px; }
#form .back { width: 282px; }

#split-preview-wrap {  }
.split-preview { float: left; width: 230px; background: #eee; height: 130px; }
.split-preview:empty { border: 1px dashed #999; }

#split-preview-row-1, #split-preview-row-2 { position: relative; float: left; }

#split-preview-wrap .ui-icon-delete { cursor: pointer; position: absolute; top: 10px; z-index: 10; display: none; }
#split-preview-delete-1, #split-preview-delete-3 { left: 205px }
#split-preview-delete-2, #split-preview-delete-4 { left: 445px; }
</style>

<script type="text/javascript">
window.addEvent('domready', function() {

	EVP_Help.setContext({
		'content': '<p>Split tests can be used to easily rotate between up to 4 videos at a time to determine which one is more effective, based on which gets the most social activity, views, or highest income!</p>',
		'video': 'basic-splittests.mp4'
	});

	var showEmbedCode = function(id, name, el) {
	//$('embed_code').dissolve();
		
		var xhr = new Request.JSON({
			'url': '<?php echo url('api.php'); ?>',
			'onRequest': function() {
				if($(el)) $(el).spin();
			},
			'onSuccess': function(response) {
				if($(el)) $(el).unspin();
				$('embed_code').getElement('h2').set('text', (name ? 'Embed code: '+name : 'Embed code for this split test'));
				$('embed_code').getElement('.ui_code').set('value', response.embed_code);
				if(response.page_url) {
					$('embed_code').getElement('.ui-has-page').setStyles({'display': 'block'});
					$('ui-page-url').set('value', response.page_url);
				} else {
					$('embed_code').getElement('.ui-has-page').setStyles({'display': 'none'});
					$('ui-page-url').set('value', '');
				}
				$('embed_code').reveal();
			}
		});
		
		xhr.send({
			'method': 'post',
			'data': {
				'username': '<?php echo $currentUser->username; ?>',
				'password': '<?php echo $currentUser->password; ?>',
				'method': 'split-embed-code',
				'id': id
			}
		});
	}
	
	var hideEmbedCode = function() {
		$('embed_code').dissolve();
	}
	
	if(Browser.Engine.trident && Browser.Engine.version <= 8) {
		$('split-preview-wrap').setStyle('display', 'none');
		$('split-container').setStyle('width', '350px');
	}
	
	$$('.ui-split-embed').addEvent('click', function() {
		var data = JSON.decode(this.getParent('tr').get('data'));
		showEmbedCode(data.id, data.name, $('split_tests'));
	});
	
	if($('new_use_metric')) {
		$('new_use_metric').addEvent('change', function() {
			var on = this.get('checked');
			if(on) {
				$('new_use_metric_wrap').reveal();
				if($('new_metric') && $('new_metric').retrieve('mooselecta')) {
					$('new_metric').retrieve('mooselecta').replaceSelect($('new_metric'));
				}
			} else {
				$('new_use_metric_wrap').dissolve();
			}
		});
	}
	
	if($('save')) {
		$('save').addEvent('click', function(event) {
			if(event) event.stop();
			var files = $$('#form input[name="files[]"]:checked').length;
			if(files <= 1) {
				StickyWin.alert('Split tests', 'Please select at least 2 files to add to this split test first!');
			} else {
				$('form').submit();
			}
		});
	}
	
	var bind = function() {
		$$('#deviantMenu-wrapper a.file, #deviantMenu-wrapper a.file-profile').removeEvents('click').addEvent('click', function(event) {
			var cb = this.getParent().getElement('input');
			
			if(event) cb.set('checked', !cb.get('checked')); // Only set this if it's been a genuine click!
			
			var files = $$('#form input[name="files[]"]:checked').length;
			if(files > 4) {
				StickyWin.alert('Split tests', 'You can only add a maximum of 4 files to any one split test.');
				if(this.getElement('input')) this.getElement('input').set('checked', false);
				return;
			}
			
		//$('split-preview-wrap').getElements('.split-preview').empty();
			
			if(cb.get('checked')) {
				var preview = new Element('div', {
					'styles': {
						'width': '230px',
						'height': '130px'
					}
				}).setData('role', 'evp-video').setData('evp-location', this.getData('location')).setData('file_ref', this.getData('file_ref'));
				
				if(files >= 2) $('split-preview-row-2').reveal();
				
				var ridx = Number.random(1, 9999);
				preview.adopt(new Element('div', {'id': 'sp'+ridx})).inject($('split-preview-'+files));
				
				$('split-preview-delete-'+files).setStyle('display', 'block');
				
				// Init JWP - using EVP itself causes some kind of weirdness?
				if(!(Browser.Engine.trident && Browser.Engine.version <= 8)) {
					
					if(this.getData('file_source') == '3') { // YouTube videos don't get previews, as SOME of them fail!
						$('sp'+ridx).setStyles({
							'position': 'absolute',
							'top': 0,
							'left': 0,
							'width': '230px',
							'height': '130px',
							'line-height': '130px',
							'background': 'url(<?php echo assets('assets/icons-custom/no-thumbnail-youtube-thumbnail-0.png'); ?>) no-repeat -12px -6px',
							'text-align': 'center',
							'color': '#fff'
						});
						
						preview.setStyle('position', 'relative').adopt(new Element('div', {
							'styles': {
								'position': 'relative',
								'top': '10px',
								'width': '130px',
								'padding': '5px',
								'text-align': 'center',
								'margin': '0 auto',
								'background': '#999',
								'color': '#fff',
								'border-radius': '5px'
							},
							'text': this.getData('label')
						}));
						
					} else {
						var j = jwplayer('sp'+ridx).setup({
			    'flashplayer': '<?php echo url('player/assets/jwplayer-5.10/player.swf'); ?>',
			    'id': 'sp'+ridx,
			    'width': '230',
			    'height': '130',
			    'file': this.getData('location'),
			    'display.showmute': false,
			    'controlbar.position': 'bottom',
			    'stretching': 'fill',
							'abouttext': 'EasyVideoSuite',
							'aboutlink': 'http://easyvideosuite.com/',
			    'skin': '<?php echo url('player/assets/jwplayer-5.10/skins/minima/minima.xml'); ?>'
						});
					}
					
				//EVP3.attach();
				}
				
			//EVP3.attach();
			} else { // Remove the preview and re-jig them
				var p = $('split-preview-wrap').getElement('[data-file_ref="'+this.getData('file_ref')+'"]');
				if(p) {
					$$('#split-preview-wrap .ui-icon-delete').setStyle('display', 'none');
					var parent = p.getParent('div').get('id').slice(-1);
					var i = parseInt(parent) + 1;
					while(i <= 4) {
						var c = $('split-preview-'+i).getElement('div');
						if(c) {
							c.inject($('split-preview-'+(i-1)));
						}
						i++;
					}
					p.destroy();
					$$('.split-preview:not(:empty)').each(function(el) {
						var idx = el.get('id').slice(-1);
						$('split-preview-delete-'+idx).setStyle('display', 'block');
					});
				}
			}
			
			if(files < 2) $('split-preview-row-2').dissolve();
		});
	}
	
	if($('ui-split-create')) {
		$('ui-split-create').addEvent('click', function() {
			
			hideEmbedCode();
			
			// Fold up the 'create' window
			if($('form-outer').getStyle('display') == 'block') {
				$('form-inner').dissolve();
			}
			
			$('form-outer').reveal();
			
		//if($('files-select').retrieve('deviantMenu')) $('files-select').retrieve('deviantMenu').detach();
			new deviantMenu($('files-select'));
			bind();
			
			(function() {
				// Set the title
				$('ui-split-title').set('text', 'Create a new split test');
				
				// Change the text of the button
				$('save').getElement('.moobutton_text').set('text', 'Create this split test');
				
				// Set the individual data
				try { $('form').getElement('input[name="name"]').set('value', '').focus(); } catch(e) {}
				$('form').getElement('input[name="date_ending"]').set('value', '');

				$('new_use_metric').set('checked', true).retrieve('iPhoneSwitchWrap').fireEvent('click');
				
				$('deviantMenu-wrapper').getElements('input').set('checked', false);
				
				// Inject a hidden ID param
				$('form').getElements('input[name="id"]').set('value', '');
				
				// Hide previews
				$('split-preview-wrap').getElements('[data-file_ref]').destroy();
				
				// And unfold
				(function() {
					$('form-inner').reveal();
				}).delay(500);
			}).delay(500);
		});
	}
	
	$$('.ui-split-edit').each(function(el) {
		el.addEvent('click', function() {
			
			hideEmbedCode();
			
			$('split-preview-wrap').getElements('.split-preview').empty();
			
			var data = JSON.decode(el.getParent('tr').get('data'));
			
			// Fold up the 'create' window
			if($('form-outer').getStyle('display') == 'block') {
				$('form-inner').dissolve();
			}
			
			$('form-outer').reveal();
			
			new deviantMenu($('files-select'));
			bind();
		
			(function() {
				// Set the title
				$('ui-split-title').set('text', (data.name ? 'Edit a split test: '+data.name : 'Edit this split test'));
				
				// Change the text of the button
				$('save').getElement('.moobutton_text').set('text', 'Save');
				
				// Set the individual data
				$('form').getElement('input[name="name"]').set('value', data.name);
				$('form').getElement('input[name="date_ending"]').set('value', data.date_ending);
				
				// Hide previews
				$('split-preview-wrap').getElements('[data-file_ref]').destroy();
				
				// This is kinda complicated to trigger the change actually
				if(data.metric !== null) {
					var opt = $$('#form select[name="metric"] option[value="'+data.metric+'"]');
					var opDiv = $('new_metric').getNext('.selectaWrapper').getElements('.selectaOption[data-value="'+data.metric+'"]');
					if(opDiv) {
						$('new_metric').retrieve("wrapper").getChildren().removeClass('selectaOptionSelected');
						opDiv.addClass('selectaOptionSelected');
						$('new_metric').retrieve("triggerElement").set("html", opDiv.get("text"));
						$('new_metric').set("value", opDiv.retrieve("value")).fireEvent("change");
						opt.set('selected', true);
					}
				}
				
				// The iphone checks here must be inverted - no idea why! @todo
				if(data.date_ending) {
					var d = new Date(data.date_ending * 1000);
					$('form').getElement('input[name="date_ending"]').retrieve('DatePicker').select(d);
					
					$('new_use_metric').set('checked', false).retrieve('iPhoneSwitchWrap').fireEvent('click');
				} else {
					$('new_use_metric').set('checked', true).retrieve('iPhoneSwitchWrap').fireEvent('click');
				}
				
				$('deviantMenu-wrapper').getElements('input').set('checked', false);
				
				Object.each(data.files, function(file_ref) {
					$$('#deviantMenu-wrapper [data-file_ref="'+file_ref+'"]').fireEvent('click', true);
				});
				
				// Set the action of the form
			//$('form').set('action', 'list.splittests.php');
				
				// Inject a hidden ID param
				$('form').getElements('input[name="id"]').set('value', data.id);
				
				// And unfold
				(function() { $('form-inner').reveal(); }).delay(500);
			}).delay(500);
		});
	});
	
	$$('.blank_checkbox').addEvent('click', function() {
		this.set('checked', false);
	});
	
	$('form-outer').addEvent('click:relay(input.file_input)', function(event) {
		this.getParent().getElement('a').fireEvent('click');
	});
	
	$$('#split-preview-wrap .ui-icon-delete').addEvent('click', function() {
		var idx = this.get('id').slice(-1);
		var file = $('split-preview-'+idx).getElement('div[data-file_ref]');
		if(!file) return false;
		var file_ref = file.getData('file_ref');
		$$('[data-file_ref="'+file_ref+'"]').fireEvent('click', true);
	});
	
	$$('.trigger_profile').addEvent('click', function() {
		new Fx.Scroll(this.getParent('#deviantMenu-wrapper').getParent().getParent(), {'duration': 250}).toTop();
	});
	
	<?php if($newly == true) : ?>
	showEmbedCode('<?php echo $newly_id; ?>', '<?php echo $newly_name; ?>', $('split_tests'));
	<?php endif; ?>
	
	<?php if($_GET['show_page_url'] == true && !empty($_GET['id'])) : ?>
	showEmbedCode('<?php echo $_GET['id']; ?>', '', $('split_tests'));
	<?php endif; ?>
	
	<?php if(empty($split_tests)) : ?>
	new deviantMenu($('files-select'));
	bind();
	<?php endif; ?>
});
</script>

<div class="table alt clear" id="split_tests"><div class="wrap">
	<h2>Split tests</h2>
	<table data-behavior="HtmlTable" data-htmltable-sortable="true">
		<thead>
			<tr>
				<th>Name</th>
				<th>Date created</th>
				<th>Date ending</th>
				<th>Measuring</th>
				<th>Number of files</th>
				<th class="nosort" width="100">&nbsp;</th>
			</tr>
		</thead>
		<tfoot><tr><td colspan="6"><input class="align-right" type="button" data-behavior="Button" data-button-type="small" id="ui-split-create" value="New split test" data-button-width="100" /></td></tr></tfoot>
		<tbody>
			<?php if(empty($split_tests)) : ?>
				<tr class="norows"><td colspan="6">You have not created any split tests yet.</td></tr>
			<?php else : ?>
			<?php
			if(!empty($split_tests)) {
				foreach($split_tests as $i) {
					echo '<tr data="'.escape(json_encode(array('name' => $i->name, 'files' => $i->files, 'date_ending' => $i->date_ending, 'metric' => $i->metric, 'id' => $i->id)), true).'">';
					echo "<td><a class=\"ui-split-embed\">{$i->name}</a></td>";
					echo "<td>".gmdate('d/m/Y H:i', $i->date_created)."</td>";
					if(!empty($i->date_ending) && !empty($i->best_file) && $i->best_file !== 'NULL') {
						echo "<td style=\"color:green;\">".(empty($i->date_ending) ? '' : gmdate('d/m/Y', $i->date_ending))."</td>";
					} else {
						echo "<td>".(empty($i->date_ending) ? '' : gmdate('d/m/Y', $i->date_ending))."</td>";
					}
					echo "<td>".ucwords(str_replace('_', ' ', $i->metric))."</td>";
					echo "<td>{$i->file_count}</td>";
					echo '<td>';
					echo "<a class=\"ui-split-embed margin-right\" rel=\"Get embed code\"><img src=\"{$themeDir}assets/icons/code.png\" alt=\"Get embed code\" /></a>";
					echo "<a class=\"ui-split-edit margin-right\" rel=\"Edit split test\"><img src=\"{$themeDir}assets/icons/settings.png\" alt=\"Edit split test\" /></a>";
					echo "<a href=\"split.statistics.php?id={$i->id}\" class=\"margin-right\" rel=\"Statistics\"><img src=\"{$themeDir}assets/icons/stats.png\" alt=\"Statistics\" /></a>";
					echo "<a href=\"pages.builder.php?id={$i->id}&mode=splittest\" class=\"ui-split-page margin-right\" rel=\"Build a page\"><img src=\"{$themeDir}assets/icons/page.png\" alt=\"Build a page\" /></a>";
					echo "<a data-trigger=\"api-call\" data-api-call-options=\"{'spin': '! tr', 'name': '".addslashes($i->name)."', 'data': {'method': 'split-delete', 'id': '{$i->id}'}, 'showConfirm': true, 'confirmTitle': 'Split tests', 'confirmMessage': 'Are you sure you want to delete this split test?', 'confirmFailed': 'This split test could not be deleted.', 'xhr': '".url('api.php')."', 'xhr_username': '".$currentUser->username."', 'xhr_password': '".$currentUser->password."'}\"><img src=\"{$themeDir}assets/icons/delete.png\" alt=\"Delete\" /></a>";
					echo '</td>';
					echo '</tr>';
				}
			}
			?>
			<?php endif; ?>
		</tbody>
	</table>
</div></div>

<form id="form" action="list.splittests.php" method="post">
	<input type="hidden" name="id" value="" />
	<div class="box alt" id="form-outer" style="<?php if(!empty($split_tests)) echo 'display:none;'; ?>"><div class="wrap auto">
		<h2 id="ui-split-title">Create a new split test</h2>
		<div class="body styled descend" style="padding:10px;" id="form-inner">
			<fieldset>
				<label for="new_name">Name</label>
				<input type="text" class="text required maxLength:90 margin-bottom" name="name" id="new_name" /><br />
				
				<label>Tick the files you want to be rotated</label>
				<div style="padding:10px;background:#fff;border:1px solid #999;margin:10px 0;" id="split-container">
					<div style="width:351px;overflow-x:hidden;overflow-y:scroll;height:270px;float:left;">
						<div id="files-select">
						<?php						
						function buildDeviantMenu($folders) {
							$evp = Registry::get('EVP');
							$profile_files = Registry::retrieve('profile_files');
							foreach($folders as $folder) {
								$subfolders = array();
								$files = array();
								if(!empty($folder->file_count)) $files = $profile_files[$folder->id];//$evp->getFiles($folder->id);
								if($folder->id !== 0) $subfolders = $folder->subfolders;//$evp->getFolders($folder->id, false);
								echo '<li class="folder">';
								echo "{$folder->name}";
								echo '<ul>';
								if(!empty($subfolders)) {
									buildDeviantMenu($subfolders);
								}
								if(!empty($files)) {
									foreach($files as $file) {
										$profiles = $evp->getProfiles($file->id, false);
										if(empty($profiles)) {
											echo "<li><input type=\"checkbox\"  name=\"files[]\" value=\"{$file->id}\" class=\"margin-right file_input\" /><a class=\"file\" data-location=\"{$file->location}\" data-label=\"{$file->name}\" data-file_ref=\"{$file->id}\" data-file_source=\"{$file->source}\">".string_trim($file->name, 42)."</a></li>";
										} else {
											echo '<li class="trigger_profile"><input type="checkbox" class="blank_checkbox margin-right" />'.$file->name;
											echo '<ul>';
											echo "<li><input type=\"checkbox\"  name=\"files[]\" value=\"{$file->id}\" class=\"margin-right file_input\" /><a class=\"file\" data-location=\"{$file->location}\" data-label=\"{$file->name}\" data-file_ref=\"{$file->id}\" data-file_source=\"{$file->source}\">Default Profile</a></li>";
											foreach($profiles as $p) {
												echo "<li><input type=\"checkbox\"  name=\"files[]\" value=\"{$file->id}::{$p->seed}\" class=\"margin-right file_input\" /><a class=\"file-profile\" data-location=\"{$file->location}\" data-label=\"{$file->name} - {$p->name}\" data-file_ref=\"{$file->id}::{$p->seed}\" data-file_source=\"{$file->source}\">{$p->name}</a></li>";
											}
											echo '</ul>';
											echo '</li>';
										}
									}
								}
								echo '</ul>';
								echo '</li>';
							}
						}
						
						$profile_folders = $evp->getFoldersAsTree(true);
						
						$profile_all_files = getArray("SELECT t.id, t.file_name, t.name, t.source, t.location, r.folder_id FROM {$evp->options->prefix}files t LEFT JOIN {$evp->options->prefix}folders_relationships r ON (t.id = r.file_id) WHERE t.child_type IS NULL ORDER BY t.time DESC");
						$profile_files = array();
						if(!empty($profile_all_files)) {
							foreach($profile_all_files as $f) {
								$fid = $f->folder_id;
								if($f->source == 2) $f->location = $evp->s3->getUrl($f->file_name);
								if(empty($fid)) $fid = 0;
								$profile_files[$fid][] = $f;
							}
						}
						
						Registry::store('profile_files', $profile_files);
						
						echo '<ul>';
						if(!empty($profile_folders)) buildDeviantMenu($profile_folders);
						echo '</ul>';
						?>
						</div>
					</div>
					
					<div style="width:475px;float:left;margin-left:10px;">
						<div id="split-preview-wrap">
							<div id="split-preview-row-1">
								<div id="split-preview-delete-1" class="ui-icon ui-icon-delete"></div>
								<div id="split-preview-delete-2" class="ui-icon ui-icon-delete"></div>
								<div class="split-preview margin-right margin-bottom" id="split-preview-1"></div>
								<div class="split-preview margin-bottom" id="split-preview-2"></div>
							</div>
							<div id="split-preview-row-2" style="display:none;">
								<div id="split-preview-delete-3" class="ui-icon ui-icon-delete"></div>
								<div id="split-preview-delete-4" class="ui-icon ui-icon-delete"></div>
								<div class="split-preview margin-right" id="split-preview-3"></div>
								<div class="split-preview" id="split-preview-4"></div>
							</div>
						</div>
					</div>
					<div class="clear"></div>
				</div>
				
				<div class="align-left" style="width:310px;">
					<label for="new_use_metric">Do you want to measure a specific goal?</label>
					<input id="new_use_metric" name="use_metric" value="true" type="checkbox" data-behavior="iPhoneCheckbox" /><br />
				</div>
				
				<div class="align-left" id="new_use_metric_wrap" style="display:none;">
					
					<div class="align-left" style="width:320px;">
						<label>What goal do you want to measure?</label>
						<div class="align-left margin-bottom" style="width:300px;">
							<select data-behavior="SelectBox" id="new_metric" name="metric" style="width:275px;">
								<option value="views">Most views</option>
								<option value="completions">Most completions</option>
								<option value="income">Highest income</option>
								<option value="sales">Largest number of sales</option>
								<option value="clickthroughs">Most clickthroughs</option>
								<option value="tweets">Most tweets</option>
								<option value="facebook_likes">Most Facebook Likes/Shares</option>
								<option value="diggs">Most Diggs</option>
							</select>
						</div>
					</div>
					
					<div class="align-left" style="width:220px;">
						<label for="new_date_ending">When should the test end?</label>
						<input type="text" class="text required margin-bottom" data-behavior="DatePicker" data-datepicker-options="{'minDate': '<?php echo gmdate('m/d/Y', strtotime('tomorrow')); ?>'}" name="date_ending" id="new_date_ending" /><br />
					</div>
					
				</div>
				
				<div class="clear"></div>
				<div class="align-right">
					<input type="button" id="save" data-behavior="Button" data-button-width="200" value="Create this split test" />
				</div>
			</fieldset>
		</div>
	</div></div>
</form>

<div class="box alt" id="embed_code" style="display:none;"><div class="wrap auto">
	<h2>Embed code for this split test</h2>
	<div class="body styled" style="padding:0 10px 10px;">
		<textarea class="ui_code ui_clickselect ui_noresize" style="width:540px;height:100px;margin:0 auto 20px auto;display:block;"></textarea>
		
		<div class="ui-has-page self-clear" style="display:none;">
			<label style="background:url(<?php echo assets('assets/icons-custom/embed-page.png'); ?>) no-repeat 0 0;padding-left:42px;margin-left:15px;">Your playlist's video page</label>
			<input readonly="readonly" type="text" class="align-left margin-right ui_code ui_clickselect" data-realurl="" value="" id="ui-page-url" style="width:390px;" />
		</div>
	</div>
</div></div>