<!-- BUFFER -->

<style type="text/css">
#marketplace { width: 750px; margin: 0 auto 30px auto; }
#marketplace-video { margin: 0 0 30px 0; }
#marketplace-intro { text-align: center; line-height: 1.5; text-shadow: 1px 1px 0 #fff; font-size: 16px; }

.marketplace-row { clear: both; }
.marketplace-item { background: #EDEDED; padding: 10px; border: 1px solid #999; float: left; width: 200px; margin: 0 15px 20px 15px; }
.marketplace-item-last { margin-right: 0; }
.marketplace-item:hover { box-shadow: 0 0 10px #999; background: #fff; }
.marketplace-item h3 { text-align: center; }
.marketplace-item-cover { background: #5C7C91; height: 150px; }
</style>

<script type="text/javascript">
window.addEvent('domready', function() {
	//
});
</script>

<div id="marketplace">
	<div id="marketplace-video">
		<div style="width:600px;margin:0 auto;height:300px;text-align:center;line-height:300px;font-size:30px;background:#2b2b2b;border-radius:3px;color:#fff;text-shadow:-1px -1px 0 #000;box-shadow:0 0 50px #999;">[video coming soon]</div>
	</div>
	<div id="marketplace-intro">
		<p>Coming soon, the <?php echo $evp->options->project_name; ?> Marketplace is where you will go to get the latest and greatest extensions for your <?php echo $evp->options->project_name; ?> software.</p>
		<p>Extensions will range from new skins, to integration with your favourite statistics service, to totally new player functionality! We'll open up our Marketplace to third-party developers and provide a true API for them to create great and powerful apps built on our software, and earn commission doing so!</p>
	</div>
	
	<div id="marketplace-lists">
		
		<div class="marketplace-row">
			<div class="marketplace-item">
				<h3>EVS Module</h3>
				<div class="marketplace-item-cover"></div>
			</div>
			
			<div class="marketplace-item">
				<h3>EVS Module</h3>
				<div class="marketplace-item-cover"></div>
			</div>
			
			<div class="marketplace-item marketplace-item-last">
				<h3>EVS Module</h3>
				<div class="marketplace-item-cover"></div>
			</div>
		</div>
		
		<div class="marketplace-row">
			<div class="marketplace-item">
				<h3>EVS Module</h3>
				<div class="marketplace-item-cover"></div>
			</div>
			
			<div class="marketplace-item">
				<h3>EVS Module</h3>
				<div class="marketplace-item-cover"></div>
			</div>
			
			<div class="marketplace-item marketplace-item-last">
				<h3>EVS Module</h3>
				<div class="marketplace-item-cover"></div>
			</div>
		</div>
		
	</div>
	
	<div class="clear"></div>
</div>