<!DOCTYPE html>
<html>
<head>
<title><?php echo $page->getTitle(); ?></title>
<?php echo $page->getMeta(); ?>
<?php echo $page->getCSS(); ?>
<link rel="stylesheet" id="defaultStickyWinStyle" href="<?php echo assets('styles/stickywin.css'); ?>" />
<?php if($tpl_master && $tpl_master->isiPhone()) : ?>
	<link rel="stylesheet" href="<?php echo assets('styles/style.mobile.css'); ?>" />
<?php endif; ?>
<?php echo $page->getJavaScript(); ?>
</head>
<body>
	<div id="thisPage"></div>
	<div id="header">
		<div id="header-wrap">
			<h1 id="<?php echo ($evp->isCommercial() && $evp->settings->commercial_disablelogo == true ? 'logo-blank' : 'logo'); ?>"><a href="dashboard.php"><?php echo $evp->options->project_name; ?></a></h1>
			<div id="nav">
				<?php
				$tpl_exp = explode('/', $page->template->name);
				$current_file = array_pop($tpl_exp);
				$menu = array(
					'Dashboard' => 'dashboard.php',
					'Files' => 'list.files.php',
					'Upload &amp; Import' => 'upload.php',
				//'Pages' => 'list.pages.php',
					'Split tests' => 'list.splittests.php',
					'Playlists' => 'list.playlists.php',
					'Sitemaps' => 'list.sitemaps.php',
					'Users' => 'list.users.php',
					'Marketplace' => 'marketplace.php',
					'Settings' => 'settings.php',
					'Help' => 'help.php'
				//'Sign out' => '../signout.php'
				);
				
			//// Show for Josh only
			//if($config['locations']['subdomain'] != 'joshtest1' && $evp->options->hosted == true) unset($menu['Marketplace']);
				unset($menu['Marketplace']);
				
				if($xs->isMemberOf($xs->userData->id, 'Managers')) {
					unset($menu['Marketplace'], $menu['Settings']);
				}
				
				if($xs->isMemberOf($xs->userData->id, 'Clients')) {
					unset($menu['Dashboard'], $menu['Marketplace'], $menu['Settings'], $menu['Users'], $menu['Playlists'], $menu['Split tests'], $menu['Help'], $menu['Sitemaps']);
				}
				
				if($xs->isMemberOf($xs->userData->id, 'Users')) {
					unset($menu['Dashboard'], $menu['Marketplace'], $menu['Settings'], $menu['Users'], $menu['Playlists'], $menu['Upload'], $menu['Split tests'], $menu['Help'], $menu['Sitemaps']);
				}
				
				if($tpl_master && $tpl_master->isiPhone()) unset($menu['Upload'], $menu['Sign out'], $menu['Sitemaps'], $menu['Split tests']);
				
				if($tpl_master && $tpl_master->isiPad()) unset($menu['Upload']);
				
				if(!$evp->isCommercial()) {
					unset($menu['Users']);
				}
				
				echo build_menu('', '', $menu, $current_file);
				?>
				<div id="ui-signout">
					<div class="ui-triangle ui-triangle-up"></div>
					<p class="info">You are signed in as the <?php echo strtolower(singular($xs->userData->groups[0]->name)); ?> <a href="<?php echo url('admin/list.users.php'); ?>"><?php echo $xs->userData->username; ?></a></p>
					<p class="align-right"><a data-behavior="Button" data-button-type="small" data-button-width="150" href="../signout.php">Click here to sign out</a></p>
				</div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
	
	<?php if($xs->isMemberOf($xs->userData->id, 'Administrators') || $xs->isMemberOf($xs->userData->id, 'Managers')) : ?>
	<script type="text/javascript">window.addEvent('domready', EVP_Help.init.pass('<?php $titles = $page->titles; echo array_pop($page->titles); ?>', EVP_Help));</script>
	<div id="help">
		<div id="help-button">Help</div>
		<div id="help-wrap" data-submit-xhr="<?php echo url('admin/xhr.php'); ?>">
			
			<div id="help-context">
				<div id="help-context-content"></div>
				<div id="help-context-video"></div>
				
				<p style="font-size:14px;text-align:center;border-top:1px dashed #aaa;padding-top:20px;">We have lots of help videos which you can explore by clicking on the button below!</p>
				<div data-behavior="Button" data-button-width="280" class="margin-bottom" href="help.php">Get more help</div>
				
				<?php if(false) : ?>
				<div data-behavior="Button" data-button-width="280" class="help-trigger-support margin-bottom">Contact support</div>
				<div data-behavior="Button" data-button-width="280" data-button-type="action" class="help-trigger-feedback">Suggest a feature</div>
				<?php endif; ?>
			</div>
		
			<?php if(false) : ?>
			<div id="help-support" class="styled descend">
				
				<label for="help-support-email">Email</label>
				<input type="text" id="help-support-email" value="<?php echo $xs->userData->username; ?>" class="margin-bottom" style="width:280px;" />
				<br />
				
				<label for="help-support-message">Describe your problem</label>
				<textarea id="help-support-message"></textarea>
				
				<div class="clear"></div>
				<div data-behavior="Button" data-button-width="110" data-button-type="action_small" class="align-right margin-bottom" id="help-support-submit">Submit this ticket</div>
				<div data-behavior="Button" data-button-width="60" data-button-type="small" class="align-left help-trigger-context">Back</div>
				<div class="clear"></div>
			</div>
			
			<div id="help-feedback" class="styled descend">
				<label for="help-feedback-email">Email</label>
				<input type="text" id="help-feedback-email" value="<?php echo $xs->userData->username; ?>" class="margin-bottom" style="width:280px;" />
				<br />
				
				<label for="help-feedback-message">Enter your comments</label>
				<textarea id="help-feedback-message"></textarea>
				
				<div class="clear"></div>
				<div data-behavior="Button" data-button-width="110" data-button-type="action_small" class="align-right margin-bottom" id="help-feedback-submit">Submit feedback</div>
				<div data-behavior="Button" data-button-width="60" data-button-type="small" class="align-left help-trigger-context">Back</div>
				<div class="clear"></div>
			</div>
			<?php endif; ?>
			
		</div>
	</div>
	<?php endif; ?>
	
	<?php
	/*
	if($xs->isMemberOf($xs->userData->id, 'Administrators') || $xs->isMemberOf($xs->userData->id, 'Managers')) :
	$chats = getArray("SELECT `id`, `operator_id`, `file_ref`, `date`, `uuid`, `client_email`, `client_country`, `url`, `status` FROM {$evp->options->prefix}chats WHERE `operator_id` = '{$xs->userData->id}' && `status` != '2'");
	?>
	<script type="text/javascript">window.addEvent('domready', EVP_Chat.init.pass([<?php echo json_encode($chats); ?>], EVP_Chat));</script>
	<div id="chat" data-api="<?php echo url('api.php'); ?>" data-beep-url="<?php echo url('player/assets/audio/chime.mp3'); ?>" data-api-username="<?php echo $xs->userData->username; ?>" data-api-password="<?php echo $xs->userData->password; ?>">
		<div id="chat-button">Help</div>
		<div id="chat-wrap">
			<div id="chat-header">
				Are you available to chat? <div class="align-right"><input type="checkbox" id="chat-status" value="1" <?php if($xs->userData->tracker->appear_offline != 1) echo 'checked="checked"'; ?> data-behavior="iPhoneCheckbox" /></div>
			</div>
			<div id="chat-none">Nobody is currently chatting!</div>
			<div id="chat-list"></div>
			<div id="chat-convo"></div>
			<div id="chat-footer"><input type="button" data-behavior="Button" data-button-width="90" data-button-type="action_small" data-button-icon="refresh" value="Refresh" class="align-right" id="chat-refresh" /></div>
		</div>
	</div>
	<?php endif;*/ ?>
	
	<div id="body">
		<!-- APP -->
	</div>
	
	<div id="footer">
		<span>&copy; Copyright <?php echo $evp->options->project_name; ?> <?php echo date('Y'); ?>+</span>
		<?php if($xs->isMemberOf($xs->userData->id, 'Administrators')) : ?>
			<div class="align-right text-align-right margin-bottom">You are using <?php echo $evp->options->project_name; if($evp->options->commercial == true) echo ' (Commercial License)'; ?> <?php echo $evp->options->project_version; ?></div>
		<?php endif; ?>
		<div class="clear align-right text-align-right"><a href="../signout.php" class="button-link">Sign out</a></div>
	</div>
	<a id="toTop"><span>Back to top</span></a>
</body>
</html>