function makeScrollbar(content, scrollbar, handle, horizontal, ignoreMouse) {
//if (content.getScrollSize().y - content.getSize().y > 0) {
		var slider = new Slider(scrollbar, handle, {
			steps: 100,
			mode: (horizontal ? 'horizontal' : 'vertical'),
			onChange: function(step){
				// Scrolls the content element in x or y direction.
				var x = (horizontal ? (((content.getScrollSize().x - content.getSize().x) / 100) * step) : 0);
				var y = (horizontal ? 0 : (((content.getScrollSize().y-content.getSize().y) / 100) * step));
				content.scrollTo(x,y);
			}
		}).set(0);
		
		if(content.retrieve('slider')) content.retrieve('slider').detach();
		content.store('slider', slider);
		
		if(!(ignoreMouse)) {
			// Scroll the content element when the mousewheel is used within the
			// content or the scrollbar element.
			$$(content, scrollbar).removeEvent('mousewheel').addEvent('mousewheel', function(e) {
				e = new Event(e).stop();
				var step = slider.step - e.wheel * 2;
				slider.set(step);
			});
		}
		// Stops the handle dragging process when the mouse leaves the document body.
		$(document.body).addEvent('mouseleave', function(){
			slider.drag.stop();
		});
//}

	return slider;
}