<script type="text/javascript">
window.addEvent('domready', function() {

	EVP_Help.setContext({
		'content': '<p>You can modify the various settings which affect your web app from here.</p><p>At the bottom of the page, you can copy videos from any other S3 bucket. All you do is enter the name of the bucket and click on the &quot;Copy the supported videos&quot; button.</p>'
	});


	// Un-hide the advanced settings
	if(window.location.href.indexOf('#advanced') !== -1 && $('ui-advanced')) $('ui-advanced').setStyle('display', 'block');
  
	(function() {
		if(!$('smtp_test')) return false;
		$('smtp_test').addEvent('click', function(event) {
			if(event) event.stop();
			StickyWin.prompt('Enter an email', 'Please enter the email address you would like to send a test message to.', function(addr) {
				new Request.JSON({
					'url': '<?php echo url('xhr.php', false, false); ?>',
					'onRequest': function() {
						$('smtp_test').spin();
					},
					'onSuccess': function(resp) {
						$('smtp_test').unspin();
						StickyWin.alert('Success', 'The test email was reported as successful. Please check your inbox to make sure that it was delivered. Bear in mind it may take a few minutes to arrive, and also make sure you check your spam folder in case it was incorrectly marked! If you see the message, great! Save these settings as normal below.');
					},
					'onFailure': function() {
						$('smtp_test').unspin();
						StickyWin.alert('Error', 'There was an error sending this test message. Please make sure you check the settings and try again!');
					}
				}).post({'method': 'general_testsmtp', 'host': $('smtp_host').get('value'), 'port': $('smtp_port').get('value'), 'username': $('smtp_username').get('value'), 'password': $('smtp_password').get('value'), 'to': addr});
			}, {'defaultValue': '<?php echo $xs->userData->username; ?>'});
		});
	})();
	
	var collapsible = function(el) {
		el = $(el);
		if(!el) return;
		var i = el.getElement('input[type="checkbox"]');
		var wrap = el.getElement('.body');
		i.addEvent('change', function(manual) {
			var on = this.get('checked');
			if(on) {
				if(manual === true) wrap.setStyle('display', 'block');
				else wrap.reveal();
			} else {
				if(manual === true) wrap.setStyle('display', 'none');
				else wrap.dissolve();
			}
		}).fireEvent('change', [true]);
	}
	
	<?php if($evp->options->hosted != true) : ?>
		collapsible('use_s3');
	<?php endif; ?>
	collapsible('use_cloudfront');
	collapsible('use_default_settings');
	
	if($('settings_reset')) collapsible('settings_reset');
	
	(function() {
  if(!$('settings-activate-s3')) return false;
	 $('settings-activate-s3').addEvent('click', function() {
 	 this.kill();
 	 $('s3_edit').set('value', 1);
 	 $('settings-active-s3-wrap').setStyle('display', 'block');
	 });
	})();
	
	if($('ui-default-settings-configure')) {
		$('ui-default-settings-configure').addEvent('click', function() {
			var url = 'files.settings.php?id=default&profile=';
			StickyWin.confirm('Wait!', 'If you leave this page to configure your default settings, any changes you have made to the other options on this page will be lost!<br /><br />Click Ok to continue or you can click Cancel to save the other settings first and then set up your defaults!', function() {
				window.location = url;
			});
		});
	}
	
	(function() {
		if(!$('cloudfront_type')) return;
		$('cloudfront_type').addEvent('onCheck', function(element) {
			if(element.getData('value') == 'std') {
				$('use_cloudfront_std').set('value', '1');
				return;
			}
			$('use_cloudfront_std').set('value', '0');
		});
	})();
	
	(function() {
		if(!$('cloudfront_delete')) return;
		$('cloudfront_delete').addEvent('click', function() {
			$('use_cloudfront').getElement('input[type="checkbox"]').retrieve('iPhoneSwitchWrap').fireEvent('click');
			$$('input[name="cloudfront_distribution"], input[name="cloudfront_domain"]').set('value', '');
		});
	})();
	
	(function() {
		if(!$('cloudfront_refresh')) return;
		$('cloudfront_refresh').addEvent('click', function() {
			new Request({
				'url': '<?php echo url('xhr.php', false, false); ?>',
				'onRequest': function() {
					$('use_cloudfront').spin();
				},
				'onSuccess': function(resp) {
					$('use_cloudfront').unspin();
				},
				'onFailure': function() {
					$('use_cloudfront').unspin();
					StickyWin.alert('Error', 'There was an error refreshing this distribution. Please try again.');
				}
			}).post({'method': 'general_refreshcloudfront'});
		});
	})();
	
	// This isn't used any more, as they are removed when saving
	(function() {
		if(!$('default-settings-reset')) return;
		var xhr =	new Request({
			'url': '<?php echo url('xhr.php', false, false); ?>',
			'onRequest': function() {
				$('default-settings-reset').spin();
			},
			'onSuccess': function(response) {
				StickyWin.alert('Success!', 'We have successfully removed your default video settings. The videos that they were applied to will still take effect - this will only affect videos you upload from now on.');
				$('default-settings-reset').unspin();
			},
			'onFailure': function() {
				$('default-settings-reset').unspin();
				StickyWin.alert('Error', 'Your default settings could not be removed. Please try again, and if that doesn\'t help, please contact us for support!');
			}
		});
		
		$('default-settings-reset').addEvent('click', function() {
			xhr.post({'method': 'general_deletedefaultsettings'});
		});
	})();
	
	// Advanced tools
	(function() {
		if(!$('advanced-optimise')) return;
		var xhr =	new Request.JSON({
			'url': '<?php echo url('xhr.php', false, false); ?>',
			'onRequest': function() {
				$('advanced-optimise').spin();
			},
			'onSuccess': function(response) {
				if(response.success == true) {
					StickyWin.alert('Success!', 'We have successfully optimised '+response.total_tables+' tables and shaved off '+response.pretty_overhead+' of data!');
				} else {
					StickyWin.alert('Error', 'Your MySQL tables could not be optimised - does the MySQL user have the appropriate permissions?');
				}
				$('advanced-optimise').unspin();
			},
			'onFailure': function() {
				$('advanced-optimise').unspin();
				StickyWin.alert('Error', 'There was an error refetching the amount of table corruption. Does your MySQL user have the necessary permissions?');
			}
		});
		
		$('advanced-optimise').addEvent('click', function() {
			xhr.post({'method': 'general_advanced_optimisemysql'});
		});
	})();
	
	(function() {
		if(!$('advanced-backup')) return;
		$('advanced-backup').addEvent('click', function() {
			window.open('<?php echo url('/external/mysql-backup/backup.php'); ?>', 'backup-window', 'width=400,height=200');
		});
	})();
	
	(function() {
		if(!$('advanced-download-config')) return;
		$('advanced-download-config').addEvent('click', function() {
			window.open('<?php echo url('admin/xhr.php?method=general_advanced_download_config'); ?>', 'config-window', 'width=400,height=200');
		});
	})();
	
	(function() {
		if(!$('advanced-empty-cache')) return;
		var xhr =	new Request.JSON({
			'url': '<?php echo url('xhr.php', false, false); ?>',
			'onRequest': function() {
				$('advanced-empty-cache').spin();
			},
			'onSuccess': function(response) {
				if(response.success == true) {
					StickyWin.alert('Success!', 'We have successfully cleared '+response.files+' cache files.');
				} else {
					StickyWin.alert('Error', 'Please make sure the correct cache directory exists and is writeable by the server.');
				}
				$('advanced-empty-cache').unspin();
			},
			'onFailure': function() {
				$('advanced-empty-cache').unspin();
				StickyWin.alert('Error', 'There was an error deleting your cache files. Please make sure the correct cache directory exists and is writeable by the server.');
			}
		});
		
		$('advanced-empty-cache').addEvent('click', function() {
			xhr.post({'method': 'general_advanced_emptycache'});
		});
	})();
	
	(function() {
		if(!$('advanced-empty-video-cache')) return;
		var xhr =	new Request.JSON({
			'url': '<?php echo url('xhr.php', false, false); ?>',
			'onRequest': function() {
				$('advanced-empty-video-cache').spin();
			},
			'onSuccess': function(response) {
				if(response.success == true) {
					StickyWin.alert('Success!', 'We have successfully cleared all the metadata and cached info about your video files.');
				} else {
					StickyWin.alert('Error', 'Something went wrong clearing the cache. Is everything configured correctly?');
				}
				$('advanced-empty-video-cache').unspin();
			},
			'onFailure': function() {
				$('advanced-empty-video-cache').unspin();
				StickyWin.alert('Error', 'There was an error deleting your cache files. Please make sure that at least one storage system is enabled (i.e. local hosting or S3).');
			}
		});
		
		$('advanced-empty-video-cache').addEvent('click', function() {
			xhr.post({'method': 'general_advanced_emptyvideocache'});
		});
	})();
	
	(function() {
		if(!('import_go')) return;
		$('import_go').addEvent('click', function() {
			var bucket = $('import_source').get('value').trim();
			
			if(!bucket) {
				StickyWin.alert('Enter your bucket!', 'Before you can import the videos, you must enter the old S3 bucket that you were using.<br /><br />This can be found at the top of the Settings page inside EasyVideoPlayer. Please enter just the name of bucket.<br /><br />Example: <em>evp-xxxxxxxxx-xxxxxxxx</em>');
				return;
			}
			
			if(bucket.contains('http')) {
				StickyWin.alert('Only the bucket name!', 'Please do not enter a full URL to a bucket; only enter the name of the bucket itself.<br /><br />Example: <em>evp-xxxxxxxxx-xxxxxxxx</em>');
				return;
			}
			
			window.url('upload.copy.php?redirect=settings.php&append_bucket=true&target_folder=Imported%20from%20EasyVideoPlayer&bucket='+bucket);
			
		});
	})();
});
</script>

<!-- BUFFER -->

<?php if(!empty($settings_msg)) : ?><p class="<?php echo pick($settings_class, 'success'); ?>"><?php echo $settings_msg; ?></p><?php endif; ?>

<form action="<?php echo url('admin/settings.php'); ?>" method="post" data-behavior="" data-form-options="" autocomplete="off">

	<?php if($evp->options->hosted == true) : ?>
		<input id="use_s3" name="use_s3" value="1" type="hidden" />
		<input name="s3_bucket" value="<?php echo $evp->settings->s3_bucket; ?>" type="hidden" />
		<div class="box"><div class="wrap">
			<h2>I want to use Amazon S3 to host my files</h2>
			<div class="body">
				<?php
				/* Only use this when the Help button is back
				<p class="info">Because you are using our hosted service, you cannot change your S3 details from here. To do this, you will need to <a data-behavior="HelpTrigger" data-helptrigger-pane="support" data-helptrigger-message="I would like to update my S3 details.\n\nMy Access Key is: \nMy Secret Key is: \n\nThanks!,">click here to get in contact with us</a> and we can help you!</p>
				*/
				?>
				<p class="info">Because you are using our hosted service, you cannot change your S3 details from here. To do this, you will need to <a href="https://webactix.zendesk.com/tickets/new" target="_blank">click here to get in contact with us</a> and we can help you! Make sure you tell us your subdomain (<?php echo $config['locations']['subdomain']; ?>) and your new S3 keys!</p>
				<fieldset class="styled">
					<div><label for="s3_bucket" class="text-align-right" style="width:250px;">Bucket</label><input type="text" name="s3_bucket" id="s3_bucket" value="<?php echo $evp->settings->s3_bucket; ?>" class="text" disabled="disabled" style="background:#E0E0E0;" /></div>
				</fieldset>
				
			</div>
		</div></div>
	<?php else : ?>
		<div class="box" id="use_s3"><div class="wrap">
			<div class="align-left margin-right" style="margin-top:3px;"><input type="checkbox" name="use_s3" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->settings->use_s3 ? 'checked="checked"' : ''); ?> /></div>
			<h2>I want to use Amazon S3 to host my files</h2>
			<div class="body">
				<fieldset class="styled">
					<p class="info" id="settings-activate-s3" style="cursor:pointer;">You can find your Amazon S3 Access Key and Secret Key inside Amazon's site. Please click here if you want to modify the S3 details that are stored in <?php echo $evp->options->project_name; ?>. Note that we don't display your current details for security reasons!</p>
					<input id="s3_edit" name="s3_edit" value="0" type="hidden" />
					<input name="s3_bucket" value="<?php echo $evp->settings->s3_bucket; ?>" type="hidden" />
					<div id="settings-active-s3-wrap" style="display:none;">
						<div><label for="s3_accesskey" class="text-align-right" style="width:250px;">Access Key</label><input type="text" name="s3_accesskey" id="s3_accesskey" class="text margin-bottom" /></div>
						<div><label for="s3_secretkey" class="text-align-right" style="width:250px;">Secret Key</label><input type="text" name="s3_secretkey" id="s3_secretkey" class="text" /></div>
					</div>
					<div><label for="s3_bucket" class="text-align-right" style="width:250px;">Bucket</label><input type="text" name="s3_bucket" id="s3_bucket" value="<?php echo $evp->settings->s3_bucket; ?>" class="text" disabled="disabled" style="background:#E0E0E0;" /></div>
				</fieldset>
			</div>
		</div></div>
	<?php endif; ?>
	
	<div class="box" id="use_cloudfront"><div class="wrap">
		<div class="align-left margin-right" style="margin-top:3px;"><input type="checkbox" name="use_cloudfront" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->settings->use_cloudfront ? 'checked="checked"' : ''); ?> /></div>
		<h2>I want to use Amazon CloudFront to serve my files faster</h2>
		<div class="body">
			<fieldset class="styled">
				<?php if(!extension_loaded('openssl')) : ?>
					<p class="error">It appears that your server does not have OpenSSL compiled. CloudFront <strong>requires</strong> OpenSSL - if you receive an error when trying to use it, please contact your web hosting company and ask them to enable OpenSSL for you.</p>
				<?php endif; ?>
				<?php if($evp->settings->use_cloudfront != '1') : ?>
					<p class="info">Once you click 'Save' below, we will create your CloudFront distribution and activate it for use with <?php echo $evp->options->project_name; ?>. The option below allows you to specify if you want to use RTMP streaming or Progressive Download.<br /><br />RTMP streaming is best suited for long (30 minute+) files, or files that you need your users to be able to skip through without waiting.<br /><br />The Progressive Download option mirrors your videos in locations across the world for faster delivery to your users.</p>
					<div>
						<label for="use_cloudfront_std" class="text-align-right" style="width:250px;">Select the distribution type</label>
						<div class="align-left">
							<div data-behavior="RadioGroup" data-radiogroup-width="150" id="cloudfront_type">
								<label for="cloudfront-type-rtmp">RTMP streaming</label>
								<input type="radio" id="cloudfront-type-rtmp" name="cloudfront_type" value="rtmp" <?php echo ($evp->settings->use_cloudfront_std == '1' ? '' : 'checked="checked"'); ?> />
								<label for="cloudfront-type-std">Progressive download</label>
								<input type="radio" id="cloudfront-type-std" name="cloudfront_type" value="std" <?php echo ($evp->settings->use_cloudfront_std == '1' ? 'checked="checked"' : ''); ?> />
							</div>
						</div>
						
						<div class="clear"></div>
					</div>
				<?php else : ?>
					<p class="info">Your files are being mirrored at the <?php echo $evp->settings->cloudfront_domain; ?> (ID: <?php echo $evp->settings->cloudfront_distribution; ?>) distribution. This is a <strong><?php echo ($evp->settings->use_cloudfront_std == '1' ? 'progressive download' : 'RTMP'); ?></strong> distribution. The current status is: <strong><?php echo (string)$distribution->Status; ?></strong>.<?php if((string)$distribution->Status != 'Deployed') : ?> Once your distributions' status is 'Deployed', your files will be served from there instead of Amazon S3.<?php endif; ?> <!--You can manage this distribution by <a href="https://console.aws.amazon.com/cloudfront/home" target="_blank">clicking here</a>.--> You can use the 'Delete' button below to remove these settings if you wish to switch to an alternative CloudFront method (RTMP vs Progressive).</p>
					<div class="align-right"><a id="cloudfront_delete" data-behavior="Button" data-button-width="200" data-button-type="small">Delete these CloudFront settings</a></div>
					<?php
					/*
					<div class="align-right margin-right"><a id="cloudfront_refresh" data-behavior="Button" data-button-width="210" data-button-type="small">Update your CloudFront distribution</a></div>
					*/
					?>
				<?php endif; ?>
				<input type="hidden" name="cloudfront_distribution" value="<?php echo $evp->settings->cloudfront_distribution; ?>" />
				<input type="hidden" name="cloudfront_domain" value="<?php echo $evp->settings->cloudfront_domain; ?>" />
				<input type="hidden" name="use_cloudfront_std" id="use_cloudfront_std" <?php echo ($evp->settings->use_cloudfront_std == '1' ? 'value="1"' : 'value="0"'); ?> />
			</fieldset>
		</div>
	</div></div>
	
	<div class="box" id="use_default_settings"><div class="wrap">
		<div class="align-left margin-right" style="margin-top:3px;"><input type="checkbox" name="use_default_settings" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->settings->use_default_settings ? 'checked="checked"' : ''); ?> /></div>
		<h2>I want to apply specific settings to <span style="text-decoration:underline;">ALL</span> my newly uploaded videos</h2>
		<div class="body">
			<fieldset class="styled">
				<?php if($default_settings_success === true) : ?>
					<p class="success">Your default settings have been successfully saved, and will be applied to <span style="text-decoration:underline;">ALL</span> newly uploaded videos!</p>
				<?php else : ?>
					<p class="info">You can customise the settings that <?php echo $evp->options->project_name; ?> will apply to <span style="text-decoration:underline;">ALL</span> your newly uploaded videos by default. This can really make it quick to get your videos configured how you'd like them.</p>
				<?php endif; ?>
				<a data-behavior="Button" data-button-type="action" data-button-width="220" class="align-left margin-right margin-bottom" id="ui-default-settings-configure">Configure my default settings</a>
			</fieldset>
		</div>
	</div></div>

	<div class="box"><div class="wrap">
		<h2>General settings</h2>
		
		<p class="info">Enter a name for this installation, which will appear in the title of your video pages.</p>
		<fieldset class="styled">
			<div><label for="settings_site_name" class="text-align-right" style="width:250px;">Site name</label><input type="text" class="required minLength:3 maxLength:50" name="site_name" id="settings_site_name" value="<?php echo $evp->settings->site_name; ?>" /></div>
		 <p class="clear info">Enabling Turbo Mode lets you access your Pages and embed code immediately after uploading a video!</p>
		 <div><label for="settings_turbo" class="text-align-right" style="width:250px;">Enable Turbo Mode</label><input type="checkbox" name="turbo" id="settings_turbo" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->settings->turbo ? 'checked="checked"' : ''); ?> /></div>
		</fieldset>
		
		<p class="info">Do you want to disable client to access the desktop application from the Upload page? If you do this, they can only upload from the web, or, you can manage sending them the app from our members area and your license keys so they can use it.</p>
		<fieldset class="styled">
		 <div><label for="settings_client_desktop_easyaccess_disable" class="text-align-right" style="width:250px;">Disable easy desktop app access</label><input type="checkbox" name="client_desktop_easyaccess_disable" id="settings_client_desktop_easyaccess_disable" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->settings->client_desktop_easyaccess_disable ? 'checked="checked"' : ''); ?> /></div>
		</fieldset>
		
		<p class="info">Enter your Clickbank affiliate ID (Example: webactix) to earn commission from anyone clicking through to our site from your video pages!</p>
		<fieldset class="styled">
			<div><label for="settings_cb_affiliate_id" class="text-align-right" style="width:250px;">Clickbank Affiliate ID</label><input type="text" class="minLength:2 maxLength:50" name="cb_affiliate_id" id="settings_cb_affiliate_id" value="<?php echo $evp->settings->cb_affiliate_id; ?>" /></div>
		</fieldset>
		
		<p class="info">Enter your Facebook App ID here to enable deeper integration with Facebook.</p>
		<fieldset class="styled">
			<div><label for="settings_facebook_app_id" class="text-align-right" style="width:250px;">Facebook App ID</label><input type="text" class="minLength:2 maxLength:50" name="facebook_app_id" id="settings_facebook_app_id" value="<?php echo $evp->settings->facebook_app_id; ?>" /></div>
		</fieldset>
		
		<p class="info">Choose a currency symbol below - note, this only affects the internal display of currency with sales tracking etc!</p>
		<fieldset class="styled margin-bottom">
			<div><label for="settings_currency" class="text-align-right" style="width:250px;">Currency</label><div class="align-left" style="width:200px;"><?php echo build_select('id', 'currency', array('USD' => 'Dollar ($)', 'GBP' => 'Pounds Sterling (&pound;)', 'EUR' => 'Euros (&euro;)', 'YEN' => 'Yen (&yen;)', 'F' => 'Franc (&#8355;)', 'L' => 'Lira (&#8356;)'), $evp->settings->currency, false, array('data-behavior' => 'SelectBox', 'style' => 'width:170px;')); ?></div></div>
		</fieldset>
		
		<?php if(!$evp->options->hosted === true) : ?>
			<fieldset class="styled">
			  <p class="info">By default, a lot of web servers have their emailing functionalities disabled to prevent spamming by scripts. You can enter SMTP details below to help improve deliverability of the password reset emails that we send. We advise that everyone use this feature!</p>
			  <div><label for="smtp_host" class="text-align-right" style="width:250px;">Outgoing (SMTP) host</label><input type="text" id="smtp_host" class="text" name="smtp_host" value="<?php echo $evp->settings->smtp_host; ?>" /><span class="info">Usually: <em>mail.yourdomain.com</em></span></div>
			  <div><label for="smtp_port" class="text-align-right" style="width:250px;">Outgoing mail port</label><input type="text" id="smtp_port" class="text" name="smtp_port" value="<?php echo $evp->settings->smtp_port; ?>" /><span class="info">Usually: <em>28</em></span></div>
			  <div><label for="smtp_username" class="text-align-right" style="width:250px;">Mail server username</label><input type="text" id="smtp_username" class="text" name="smtp_username" value="<?php echo $evp->settings->smtp_username; ?>" /><span class="info">Usually your full email, including <em>@yourdomain.com</em></span></div>
			  <div><label for="smtp_password" class="text-align-right" style="width:250px;">Mail server password</label><input type="password" id="smtp_password" class="text" name="smtp_password" value="<?php echo $evp->settings->smtp_password; ?>" /></div>
			  <div style="margin-left:260px;"><a id="smtp_test" data-behavior="Button" data-button-width="175" data-button-type="small">Test these specific settings</a></div>
			</fieldset>
		<?php endif; ?>
		
		<?php if($evp->options->hosted !== true) : ?>
			<fieldset class="styled">
			  <p class="info">If your server cannot send email through PHP's default mail() function <strong>and you don't or cannot</strong> use the SMTP option available above, you will have problems resetting your password. If you choose 'Yes' below, your password resets will be saved to a file for you to access via FTP.</p>
			  <div><label for="disable_password_email" class="text-align-right" style="width:250px;">Disable password reset emailing</label><input type="checkbox" name="disable_password_email" id="disable_password_email" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->settings->disable_password_email ? 'checked="checked"' : ''); ?> /></div>
			</fieldset>
		<?php endif; ?>
		
		<div class="clear self-clear align-right">
			<input type="submit" data-behavior="Button" data-button-icon="refresh" data-button-iconpos="right" data-button-width="100" value="Save" />
		</div>
		<div class="clear"></div>
	</div></div>
	
	<?php if($evp->isCommercial()) : ?>
		<div class="box"><div class="wrap">
			<h2>Commercial License settings</h2>
			<p class="info">These options are only available to Commercial license holders! You can use them to customise the branding of the web application.</p>
			<fieldset class="styled">
				<div><label for="settings_commercial_disablelogo" class="text-align-right" style="width:250px;">Disable <?php echo $evp->options->project_name; ?> logo</label><input type="checkbox" name="commercial_disablelogo" id="settings_commercial_disablelogo" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->settings->commercial_disablelogo ? 'checked="checked"' : ''); ?> /></div>
				<div><label for="settings_commercial_disablepoweredby" class="text-align-right" style="width:250px;">Disable 'Powered by..' links</label><input type="checkbox" name="commercial_disablepoweredby" id="settings_commercial_disablepoweredby" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->settings->commercial_disablepoweredby ? 'checked="checked"' : ''); ?> /></div>
			</fieldset>
			<div class="clear self-clear align-right">
				<input type="submit" data-behavior="Button" data-button-icon="refresh" data-button-iconpos="right" data-button-width="100" value="Save" />
			</div>
			<div class="clear"></div>
		</div></div>
	<?php endif; ?>
	
	<div class="box" id="settings_reset"><div class="wrap">
		<div class="align-left margin-right" style="margin-top:3px;"><input type="checkbox" name="settings_reset" value="1" data-behavior="iPhoneCheckbox" /></div>
		<h2>Yes, I want to change my password</h2>
		<div class="body">
			<p class="info">If you want to change the password for this account, you need to enter your current password, and then your new one twice below! If everything is successful, you'll be signed out and asked to sign in once again using the new password.</p>
			<fieldset class="styled">
				<div><label for="settings_reset_currentpassword" class="text-align-right" style="width:250px;">Current password</label><input type="password" class="text" name="settings_reset_currentpassword" id="settings_reset_currentpassword" value="" /></div>
				<div><label for="settings_reset_newpassword1" class="text-align-right" style="width:250px;">New password</label><input type="password" class="text" name="settings_reset_newpassword1" id="settings_reset_newpassword1" value="" /></div>
				<div><label for="settings_reset_newpassword2" class="text-align-right" style="width:250px;">New password (Confirm)</label><input type="password" class="text" name="settings_reset_newpassword2" id="settings_reset_newpassword2" value="" /></div>
			</fieldset>
			<div class="clear self-clear align-right">
				<input type="submit" data-behavior="Button" data-button-icon="refresh" data-button-iconpos="right" data-button-width="170" value="Reset my password" />
			</div>
			<div class="clear"></div>
		</div>
	</div></div>
	
	<div class="box"><div class="wrap">
		<h2>Copy your videos over from EasyVideoPlayer</h2>
		<fieldset class="styled">
			<p class="info">This will copy your videos from our last product, EasyVideoPlayer, into <?php echo $evp->options->project_name; ?>. To do so, go to EasyVideoPlayer, go to the Settings page, and copy the info from the top about which bucket you're using. Paste that into the box below.<br/><br/>Please note that not all files will be compatible with <?php echo $evp->options->project_name; ?> due to the new technology that's used. You will be able to download these unsupported files and convert them into the best and compatible format using our new desktop software.</p>
			<p class="success"><strong>Important:</strong> Don't forget that once you have copied the files over to come back to this page to get the files which aren't compatible!</p>
			
			<label for="import_source" class="text-align-right" style="width:250px;">Your old bucket name</label>
			<input type="text" class="required minLength:3 maxLength:50 align-left margin-right" name="import_source" id="import_source" style="width:340px;" />
			
			<div class="align-left">
				<input type="button" id="import_go" data-behavior="Button" data-button-icon="refresh" data-button-iconpos="right" data-button-width="210" value="Copy the supported videos" />
			</div>
			<div class="clear"></div>
		</fieldset>
		
	</div></div>
	
	<div class="box" id="ui-advanced" style="display:none;"><div class="wrap">
		<h2>Advanced tools</h2>
		<p class="error">The following tools are experimental and should only be used by advanced users! We accept no liability if your data becomes lost through using these!</p>
		
		<?php if(!$evp->options->hosted === true) : ?>
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Is mod_rewrite available?</label><input type="checkbox" name="mod_rewrite" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->mod_rewrite ? 'checked="checked"' : ''); ?> /></div>
		</fieldset>
		<?php endif; ?>
		
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Show advanced stretching options?</label><input type="checkbox" name="advanced_options_stretching" value="1" data-behavior="iPhoneCheckbox" <?php echo ($evp->settings->advanced_options_stretching ? 'checked="checked"' : ''); ?> /></div>
		</fieldset>
		
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Delete video settings</label><input id="advanced-empty-video-cache" type="button" data-behavior="Button" data-button-iconpos="right" data-button-width="300" value="Delete video settings and metadata cache" /></div>
		</fieldset>
		
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Empty your video settings cache</label><input id="advanced-empty-cache" type="button" data-behavior="Button" data-button-iconpos="right" data-button-width="120" value="Empty cache" /></div>
		</fieldset>
		
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Make all files' ACLs public</label><input type="button" href="<?php echo url('admin/files.permissions.php', array('direction' => 'public', 'pass' => pass_create())); ?>" data-behavior="Button" data-button-width="120" value="ACLs to public" /></div>
		</fieldset>
		
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Make all files' ACLs private</label><input type="button" href="<?php echo url('admin/files.permissions.php', array('direction' => 'private', 'pass' => pass_create())); ?>" data-behavior="Button" data-button-width="120" value="ACLs to private" /></div>
		</fieldset>
		
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Reset the Content-Dispositon headers</label><input type="button" href="<?php echo url('admin/files.operate.php', array('operation' => 'contentdisposition', 'pass' => pass_create())); ?>" data-behavior="Button" data-button-width="120" value="Reset headers" /></div>
		</fieldset>
		
		<?php if(!$evp->options->hosted === true) : ?>
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Optimise your database tables</label><input id="advanced-optimise" type="button" data-behavior="Button" data-button-iconpos="right" data-button-width="120" value="Optimise MySQL" /></div>
		</fieldset>
		<?php endif; ?>
		
		<?php if(!$evp->options->hosted === true) : ?>
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Back-up your database</label><input id="advanced-backup" type="button" data-behavior="Button" data-button-iconpos="right" data-button-width="120" value="Create backup" /></div>
		</fieldset>
		<?php endif; ?>
		
		<?php if(!$evp->options->hosted === true) : ?>
		<fieldset class="styled">
			<div><label class="text-align-right" style="width:250px;">Download your config file</label><input id="advanced-download-config" type="button" data-behavior="Button" data-button-iconpos="right" data-button-width="120" value="Download" /></div>
		</fieldset>
		<?php endif; ?>
		
	</div></div>
</form>