<!-- BUFFER -->
<script type="text/javascript">
window.addEvent('domready', function() {

	EVP_Help.setContext({
		'content': '<p>Choose how you want to upload your video into <?php echo $evp->options->project_name; ?>.</p><p>You can download the desktop apps to handle conversion and uploads for you in one click! This is the best method.</p><p>You can import videos already online from YouTube and other sites.</p><p>Or, if you\'re an advanced user, you can upload MP4 files straight into <?php echo $evp->options->project_name; ?>.</p>'
	});

	// Upload manually
	(function() {
		if(!$('upload-advanced-choice')) return false;
		$('upload-advanced-choice').addEvent('click', function(instant) {
			if(instant === true) {
				$('upload-choice').setStyle('display', 'none');
				$('upload-advanced').setStyle('display', 'block');
			} else {
				$('upload-choice').dissolve();
				$('upload-advanced').reveal();
			}
			(function() {
				if(window.pluploader) window.pluploader.refresh();
			}).delay(500);
		});
	})();

	// Download the apps
	(function() {
		if(!$('upload-basic-choice')) return false;
		$('upload-basic-choice').addEvent('click', function(event) {
			EVP3.query.colorbox.init();
			<?php
			$download_root = 'https://evsuite.com/index-xfg3gvbh4edaa-desktopdownload.php';
			$download_url = url($download_root, array(
				'primaryUsername' => $primary_username,
				'currentUsername' => $xs->userData->username,
				'isClient' => ($xs->isMemberOf($xs->userData->id, 'Users') || $xs->isMemberOf($xs->userData->id, 'Clients')),
				'isHostedInstall' => $evp->options->hosted,
				'subdomain' => $config['locations']['subdomain'],
				'baseUrl' => url(),
				'closeUrl' => url('admin/xhr.tour.php', array('mode' => 'download-close')),
				'source' => 'download'
			));
			?>
			EVP3.query.colorbox({'iframe': true, 'href': '<?php echo $download_url; ?>', 'title': '', 'innerWidth': '800px', 'innerHeight': '650px', 'transition': 'fade', 'open': true, 'escKey': true, 'overlayClose': true, 'current': ''});
		});

		$('app-download-license').addEvent('click', function() {
			EVP3.query.colorbox.init();
			EVP3.query.colorbox({'iframe': true, 'href': '<?php echo $download_url; ?>&template_mode=license&directToLicense=1', 'title': '', 'innerWidth': '800px', 'innerHeight': '650px', 'transition': 'fade', 'open': true, 'escKey': true, 'overlayClose': true, 'current': ''});
		});
	})();

	// Import from the web
	(function() {
		if(!$('upload-import-choice')) return false;
		$('upload-import-choice').addEvent('click', function(instant) {
			if(instant === true) {
				$('upload-choice').setStyle('display', 'none');
				$('upload-import').setStyle('display', 'block');
			} else {
				$('upload-choice').dissolve();
				$('upload-import').reveal();
			}
			(function() {
				if(window.pluploader) window.pluploader.refresh();
			}).delay(500);
		});
	})();

	(function() {
		var current = new URI();
		if(current.parsed.fragment == 'upload-choice-basic' && $('upload-basic-choice')) {
			var ei = setInterval(function() {
				if(typeof EVP3 == 'undefined') return;
				clearInterval(ei);
				$('upload-basic-choice').fireEvent('click', [true]);
			}, 100);
		} else if(current.parsed.fragment == 'upload-choice-import' && $('upload-import-choice')) {
			$('upload-import-choice').fireEvent('click', [true]);
		} else if(current.parsed.fragment == 'upload-choice-advanced' && $('upload-advanced-choice')) {
			$('upload-advanced-choice').fireEvent('click', [true]);
		}
	})();

	$$('.upload-choice-return').addEvent('click', function() {
		$('upload-choice').reveal();
		$('upload-advanced').dissolve();
		$('upload-import').dissolve();
		(function() {
			if(window.pluploader) window.pluploader.refresh();
		}).delay(500);
	});

	// Let's do the import
	(function() {
		if(!$('import-wrap')) return false;

		var xhr = new Request.JSON({
			'url': '<?php echo url('api.php', false, true); ?>',
			'onSuccess': function() {
				$('upload-wrap').dissolve();
				window.url.pass('list.files.php').delay(250);
			},
			'onFailure': function() {
				$('import-confirm').unspin();
				StickyWin.alert('Error', 'There was a problem importing this video! Please confirm it exists and try again!');
			}
		});

		$('import-confirm-cancel').addEvent('click', function() {
			$('import-confirm').unspin();
			$('import-confirm-confirm').unspin();
			$('import-confirm-wrap').empty();
			$('import-wrap').reveal();
			$('import-confirm').dissolve();
		});

		$('import-confirm-confirm').addEvent('click', function() {
			var location = $('import-location').get('value');
			$('import-confirm').spin({'message': 'Importing your video...'});
			xhr.post({
				'method': 'files-new-remote',
				'folder_id': '<?php echo ($isClient ? $xs->userData->assigned_folder_id[0] : '0'); ?>',
				'url': location,
				'metadata': window.retrieve('currentImportMetadata'),
				'username': '<?php echo $currentUser->username; ?>',
				'password': '<?php echo $currentUser->password; ?>'
			});
		});

		var doImport = function() {
			var location = $('import-location').get('value');

			if(location.substr(0, 4) !== 'http' && location.substr(0, 5) !== 'https') {
				location = 'http://'+location;
				$('import-location').set('value', location);
			}

			if(!location || location.length <= 0 || (location.substr(0, 4) !== 'http' && location.substr(0, 5) !== 'https')) return;

			// Switch up
			$('import-wrap').dissolve();
			$('import-confirm').reveal();

			// Make the div
			var preview = new Element('div', {
				'styles': {
					'width': '400px',
					'height': '200px'
				}
			}).setData('role', 'evp-video').setData('evp-location', location).setData('evp', JSON.encode({'disable_stat_tracking': true, 'width': 400, 'height': 200, 'auto_play': true, 'prettySource': (location.indexOf('youtube.com') === -1 ? null : 'youtube')}));

			preview.inject($('import-confirm-wrap'));

			(function() { $('import-confirm-confirm').spin(); }).delay(350);

			var evp = EVP3.attach()[0];
			if(typeof evp.file.player.api !== 'undefined') {
				evp.file.player.api.onMeta(function(metadata) {
					var metaData = evp.file.player.api.getMeta();
					var meta = {
						'nativeWidth': metaData.width || 640,
						'nativeHeight': metaData.height || 360,
						'duration': metaData.duration || evp.file.player.api.getDuration(),
						'codec': {
							'framerate': metaData.videoframerate,
							'codec': metaData.videocodecid,
							'audioChannels': metaData.audiochannels,
							'audioCodec': metaData.audiocodecid,
							'audioSampleRate': metaData.audiosamplerate
						}
					};

					window.store('currentImportMetadata', meta);

					$('import-confirm-confirm').unspin();
				});
			} else {
				evp.addEvent('onMetaData', function(_evp, metadata) {
					var meta = {
						'duration': metadata.duration
					};

					window.store('currentImportMetadata', meta);

					$('import-confirm-confirm').unspin();
				});
			}
		};

		$('ui-import').addEvent('click', doImport);
		$('import-location').addEvent('keypress', function(event) {
			if(event.key == 'enter') doImport();
		});
	})();

	// Let's do copying from another bucket
	(function() {
		if(!$('copy-bucket')) return false;

		$('copy-bucket').addEvent('click', function() {
			var bucket = $('copy-select-wrapper').getElement('select').get('value');
			window.url('upload.copy.php?bucket='+bucket);
		});

		// Refresh the list of other buckets
		var xhr = new Request.JSON({
			'url': '<?php echo url('api.php', false, true); ?>',
			'onRequest': function() {
				$('copy-select-wrapper').spin();
			},
			'onSuccess': function(response) {
				$('copy-select-wrapper').empty();

				var sel = new Element('select', {
					'styles': {
						'width': '440px'
					}
				}).setData('behavior', 'SelectBox');

				// Build
				Object.each(response.buckets, function(bucket, idx) {
					if(bucket == '<?php echo $evp->settings->s3_bucket; ?>') return;
					new Element('option', {
						'value': bucket,
						'text': bucket
					}).inject(sel);
				});

				sel.inject($('copy-select-wrapper'));

				// Update
				new Behavior().apply($('copy-select-wrapper'));

				// Unspin
				$('copy-select-wrapper').unspin();
			},
			'onFailure': function() {
				$('copy-select-wrapper').unspin();
				StickyWin.alert('Error', 'There was a problem getting a list of your buckets. Please refresh this page and try again.');
			}
		});

		var ts = $('upload-wrap').retrieve('swapper');
		ts.addEvent('onActive', function(idx, panel, tab) {
			if(idx !== 2) return;
			xhr.post({
				'method': 's3-list-buckets',
				'username': '<?php echo $currentUser->username; ?>',
				'password': '<?php echo $currentUser->password; ?>'
			});
		});
	})();
});

jQuery(function($) {

	var existing_files = <?php $existing_files_encoded = json_encode($existing_files); if(empty($existing_files_encoded)) $existing_files_encoded = '[]'; echo $existing_files_encoded; ?>;

	if(!document.id('upload-advanced')) return false;

	window.pluploader_s3_url = 'http://<?php echo $bucket; ?>.s3.amazonaws.com/';
	window.pluploader_local_url = '<?php echo url('admin/xhr.upload.php'); ?>';

	window.pluploader = uploader = new plupload.Uploader({
		'browse_button': 'ui-upload-select',
		'runtimes': 'flash',
		'url': window.pluploader_local_url,
		'max_file_size': '2000mb',

		'multipart': true,
		'multipart_params': {
			'key': '${filename}',
			'Filename': '${filename}',
			'acl': '<?php echo $acl; ?>',
			'success_action_status': '201',
			'AWSAccessKeyId' : '<?php echo $evp->settings->s3_accesskey; ?>',
			'policy': '<?php echo $policy; ?>',
			'signature': '<?php echo $signature; ?>',
			'x-amz-meta-via': 'web',
			'Content-Disposition': 'attachment; '
		},

		// optional, but better be specified directly
		'file_data_name': 'file',

		// re-use widget
		'multiple_queues': true,

		// Specify what files to browse for
		'filters': [
			{'title': 'Video files', 'extensions': '<?php echo implode(',', $supportedVideoFiles); ?>'},
			{'title': 'Audio files', 'extensions': '<?php echo implode(',', $supportedAudioFiles); ?>'}
		],

		'flash_swf_url': '<?php echo $config['locations']['absolute'].$config['locations']['folder_name'].'/themes/'.$evp->settings->theme.'/'; ?>scripts/libraries/plupload/plupload.flash.swf'
	});

	<?php if($evp->s3) : ?>
	window.pluploader.settings.url = window.pluploader_s3_url;
	<?php endif; ?>

	uploader.init();

	// Should we be worried about max_file_size?
	if(document.id('upload-local')) {
		document.id('upload-local').addEvent('change', function() {
			var s3 = !this.get('checked');
			if(s3) {
				window.pluploader.settings.max_file_size = '<?php echo $s3MaximumSize; ?>';
			} else {
				window.pluploader.max_file_size = '<?php echo strtolower(string_whitespace_strip(formatRawSize($localMaximumSize))); ?>';
			}
		});
	}

	<?php if(!$evp->s3) : ?>
	if(document.id('upload-local')) document.id('upload-local').set('checked', true).fireEvent('change').set('disabled', true);
	<?php endif; ?>

	// This event will fire and should re-confirm the current selection
	// This means you can't upload like 2 files to local and 1 to S3 all in one go
	uploader.bind('BeforeUpload', function(up, file) {
		var s3 = (document.id('upload-local') ? !document.id('upload-local').get('checked') : true);
		if(s3) {
			up.settings.url = window.pluploader_s3_url;
		} else {
			up.settings.url = window.pluploader_local_url;
		}
	});

	uploader.bind('FilesAdded', function(up, files) {
	//document.id('upload-progress-wrap').reveal();

		// Do we want this on S3 or locally?
		var s3 = (document.id('upload-local') ? !document.id('upload-local').get('checked') : true);
		if(s3) {
			up.settings.url = window.pluploader_s3_url;
		} else {
			up.settings.url = window.pluploader_local_url;
		}

		$.each(files, function(i, file) {
			var ext = file.name.split('.').pop();
			var name = file.name.replace('.'+ext, '');
			var x = 1;

			while(existing_files.indexOf(file.name) !== -1) { // Do we need to rename the file
				file.name = name+'-'+x+'.'+ext;
				x++;
			}

			existing_files.push(file.name);

		//file.name = new Date().format('%Y-%m-%d-%H:%M:%S')+'-'+file.name;

			$('#upload-progress').append(
				'<div id="' + file.id + '" data-plupload-idx="'+i+'" class="upload-file-wrap"><div class="upload-file"><div class="upload-progress-wrap"><div class="upload-progress"></div></div><div class="upload-file-text">' +
				file.name + ' <span class="upload-file-size">(' + plupload.formatSize(file.size) + ')</span>' +
				'<div class="ui-icon ui-icon-delete"></div>' +
			'</div></div><div class="upload-percentage">0%</div></div>');

			var del = $('#'+file.id+' .ui-icon-delete');

			$('#'+file.id).hover(function() {
				if($('#' + file.id + ' .upload-percentage').html() == '100%') del.fadeOut();
				else del.fadeIn();
			}, function() {
				del.fadeOut();
			});

			del.click(function() {
				var isCurrent = false; // We only need to stop and stuff if we cancel the currently uploading file
				if($('#'+file.id).hasClass('ui-currently-uploading')) isCurrent = true;

				if(isCurrent) uploader.stop();
				uploader.removeFile(uploader.getFile(file.id));
				if(isCurrent) uploader.start(); // Resume

				$('#'+file.id).hide(250, function() {
					$(this).remove();
				});
			});
		});

		document.id('ui-upload-select').get('tween').start('width', '180px').chain(function() {
			document.id('ui-upload-select').getElement('.moobutton_text').set('text', 'Add another file to upload');
		});
		if(document.id('upload-local')) document.id('upload-local').set('disabled', true);

		(function() {
			up.start();
		}).delay(500);

		up.refresh(); // Reposition Flash/Silverlight
	});

	uploader.bind('UploadProgress', function(up, file) {
		$('#' + file.id).addClass('ui-currently-uploading');
		$('#' + file.id + " .upload-progress").css('width', file.percent+'%');
		$('#' + file.id + " .upload-percentage").html(file.percent + "%");
	});

	/*
	uploader.bind('CancelUpload', function(up, file) {
		if($(up.files).length <= 1) { // Reset the state BECAUSE THE BEING-CANCELLED FILE still counts as in there
			document.id('upload-continue').dissolve();
			document.id('upload-progress-wrap').dissolve();
			document.id('ui-upload-select').getElement('.moobutton_text').set('text', 'Select a file');
			up.refresh();
		}
	});
	*/

	uploader.bind('UploadComplete', function(up, file) { // Doesn't appear to fire as of new plupload (24/05/12)
		document.id('upload-continue').getParent().reveal();
		(function() { if(window.pluploader) window.pluploader.refresh(); }).delay(500);
	});

	uploader.bind('FileUploaded', function() {
		document.id('upload-continue').getParent().reveal();
		(function() { if(window.pluploader) window.pluploader.refresh(); }).delay(500);
	});

	uploader.bind('BeforeUpload', function(up, file) {
		up.settings.multipart_params.key = file.name;
		up.settings.multipart_params.Filename = file.name;
		up.settings.multipart_params['Content-Disposition'] = 'attachment; '+file.name.replace(';', '-');
		up.settings.multipart_params['Content-Type'] = 'video/'+(file.name.split('.').length > 1 ? file.name.split('.').pop() : 'mp4');

		var file_id = base64_encode(file.name);
		$('#'+file.id).attr('data-evp-file-id', file_id);
	});

	uploader.bind('Error', function(up, err) {
		$('#filelist').append("<div>Error: " + err.code +
			", Message: " + err.message +
			(err.file ? ", File: " + err.file.name : "") +
			"</div>"
		);

		up.refresh(); // Reposition Flash/Silverlight
	});

	uploader.bind('FileUploaded', function(up, file) {
		$('#' + file.id).removeClass('ui-currently-uploading');
		$('#' + file.id + " .upload-progress").css('background-image', 'url(<?php echo assets('assets/layout/hatch-green.png'); ?>)').animate({'width': '100%'}, 500);
		$('#' + file.id + " .upload-percentage").html("100%");

		<?php if($isClient) : ?>
		// Do the request to set the file into the proper folder
		(function() {
			var file_id = $('#'+file.id).attr('data-evp-file-id');

			var xhr = new Request.JSON({
				'url': '<?php echo url('admin/xhr.php', false, true); ?>',
				'onSuccess': function(response) {
					if(!response.success) return;
					turbo.find('.upload-turbo-embed').val(response.embed_code);
					turbo.find('.upload-turbo-url').val(response.page_url);
					turbo.find('.upload-turbo-page-edit').attr('href', 'files.page.php?id='+file_id);
					turbo.find('.upload-turbo-page-view').attr('href', response.page_url);

					turbo.slideDown(250);
					(function() { if(window.pluploader) window.pluploader.refresh(); }).delay(300);
				}
			});

			xhr.post({
				'method': 'file_setfolder',
				'file_id': file_id,
				'folder_id': <?php echo $xs->userData->assigned_folder_id[0]; ?>
			});
		})();
		<?php endif; ?>

		<?php if($evp->settings->turbo == true) : ?>
		// Turbo mode!
		(function() {
			var turbo = $('<div class="upload-turbo styled"><label class="margin-right" style="position:relative;top:-50px;">Embed code</label><textarea style="width:630px;height:45px;margin:0 0 10px 0;" class="code ui_clickselect upload-turbo-embed"></textarea><br /><label class="margin-right" style="padding:0 18px 0 0; 0 0;">Page URL</label><input type="text" style="width:546px;" class="margin-right code ui_clickselect upload-turbo-url" /><a href="" class="upload-turbo-page-edit">Edit</a> | <a href="" class="upload-turbo-page-view" target="_blank">View</a></div>').css({
				'display': 'none'
			}).appendTo('#'+file.id);

			var file_id = $('#'+file.id).attr('data-evp-file-id');

			// Do the request to get the embed code and URL
			var xhr = new Request.JSON({
				'url': '<?php echo url('api.php', false, true); ?>',
				'onSuccess': function(response) {
					if(!response.success) return;
					turbo.find('.upload-turbo-embed').val(response.embed_code);
					turbo.find('.upload-turbo-url').val(response.page_url);
					turbo.find('.upload-turbo-page-edit').attr('href', 'files.page.php?id='+file_id);
					turbo.find('.upload-turbo-page-view').attr('href', response.page_url);

					turbo.slideDown(250);
					(function() { if(window.pluploader) window.pluploader.refresh(); }).delay(300);
				}
			});

			xhr.post({
				'method': 'files-embed-code',
				'file_id': file_id,
				'profile': '',
				'username': '<?php echo $currentUser->username; ?>',
				'password': '<?php echo $currentUser->password; ?>'
			});
		})();
		<?php endif; ?>
	});

	document.id('upload-continue').getParent().setStyle('display', 'none');
	document.id('upload-continue').addEvent('click', function() {
		var l = $('#upload-progress .upload-file-wrap');
		if(l.length == 1) {
			var file_id = l.attr('data-evp-file-id');
			window.url('files.settings.php?refresh_cache=1&id='+file_id);
		} else {
			window.url('list.files.php?refresh_files=1');
		}
	});
});
</script>

<div class="box" id="upload-wrap"><div class="wrap self-clear">
	<div id="panels">
		<div class="tab-panel styled descend"><div class="wrap" id="upload-choice-wrap">

			<?php
			$upload_show_apps = !($evp->settings->client_desktop_easyaccess_disable && $isClient);
			$upload_show_advanced = ($evp->s3 || $evp->local);
			?>

			<div id="upload-choice" class="<?php echo (!$upload_show_apps ? 'upload-hide-apps' : ''); echo ' '; echo (!$upload_show_advanced ? 'upload-hide-advanced': ''); ?>">
				<?php if($upload_show_apps) : ?>
				<div id="upload-choice-basic">
					<div class="upload-choice-pane" id="upload-basic-choice">
						<img src="<?php echo assets('assets/graphics/upload-basic.png?v=5'); ?>" />
						<center><div data-behavior="Button" data-button-width="180" data-button-type="action">Download your apps</></center>
						<p>Get your videos perfectly converted &amp; formatted for the web.</p>
					</div>
				</div>

				<div class="upload-divide ui-divide"></div>
				<?php endif; ?>

				<div id="upload-choice-import">
					<div class="upload-choice-pane" id="upload-import-choice">
						<img src="<?php echo assets('assets/graphics/upload-import.png?v=5'); ?>" />
						<center><div data-behavior="Button" data-button-width="180" data-button-type="action">Import from the web</div></center>
						<p>Import from YouTube and other locations.</p>
					</div>
				</div>

				<?php if($upload_show_advanced) : ?>
					<div class="upload-divide ui-divide"></div>

					<div id="upload-choice-advanced">
						<div class="upload-choice-pane" id="upload-advanced-choice">
							<img src="<?php echo assets('assets/graphics/upload-advanced.png?v=5'); ?>" />
							<center><div data-behavior="Button" data-button-width="180" data-button-type="action">Manually upload videos</div></center>
							<p>Manually upload into EVS. Advanced users only.</p>
						</div>
					</div>
				<?php endif; ?>

				<?php if($upload_show_apps) : ?>
					<p id="app-download-license">Already downloaded the desktop app? Get your license info again here!</p>
				<?php endif; ?>
			</div>

			<?php include($themePath.'/include.webuploader.php'); ?>

			<div id="upload-import">
				<div class="clear margin-bottom upload-choice-return" data-behavior="Button" data-button-width="80" data-button-type="small">Back</div>
				<p>If you want to import a video from YouTube or anywhere else online, simply enter the URL to the video below.</p>

				<div id="import-wrap">
					<label for="import-location">Enter the URL</label>
					<input type="text" id="import-location" name="location" style="width:300px;float:left;margin:0 10px 0 0;" />
					<input class="align-left" id="ui-import" type="button" data-behavior="Button" data-button-width="130" data-button-type="action" value="Import" />
				</div>

				<div id="import-confirm" class="clear" style="height: 280px; display: none;">
					<p style="text-align:center;width:760px;margin:0 auto 10px auto;line-height:1.5;font-size:14px;">If you don't see your video below, it won't play properly inside <?php echo $evp->options->project_name; ?>! This is most likely caused by an incorrect URL; in this case, please click the 'No' button to the left and try again. But if everything is right, click the 'Yes' button to the right to finalise this video!</p>
					<div class="align-left" style="margin-top:82px;">
						<input id="import-confirm-cancel" type="button" data-behavior="Button" data-button-icon="delete" data-button-width="180" data-button-type="" value="No, this is wrong!" />
					</div>
					<div class="align-left" id="import-confirm-wrap" style="width: 400px; margin: 0 18px;"></div>
					<div class="align-left" style="margin-top:82px;">
						<input id="import-confirm-confirm" type="button" data-behavior="Button" data-button-icon="check" data-button-width="180" data-button-type="" value="Yes, import this video!" />
					</div>
				</div>
			</div>

		</div></div>
	</div>
</div></div>
