<?php include('application.php'); include('application.bootstrap.php'); ?>

<?php
// Get the file
$file = $evp->getFile($_GET['file_id']);

$file_ref = $file->id;

// Get the profile
$profile = trim($_GET['profile']);
if(!empty($profile)) {
	$profile = str_replace($file->id.'::', '', $profile);
	$file_ref.= '::'.$profile;
}

// Get the file settings
$file_settings = $evp->collateFileSettings($file, $profile);

// For the 'other file' selector
$folders_list = $evp->getFoldersAsTree(true);
?>

<script type="text/javascript">

/* EVS PHP conversion */
function createDatesArray(days) {
	var output = [];

	var month = date('m');
	var day = date('d');
	var year = date('Y');

	for(i = 1; i <= days; i++) {
		output.push(date('Y-m-d', mktime(0, 0, 0, month, (day - i), year)));
	}

	return output;
}

function secondsToHMS(sec, showHours, padHours) {
  var hours_min_secs = '';
  var hours = parseInt(parseInt(sec) / 3600);
  var hours_min_secs = hours_min_secs + (padHours) ? str_pad(hours, 2, '0', 'STR_PAD_LEFT') + ':' : hours + ':';
  if(showHours != false && hours <= 0) hours_min_secs = '';
  var minutes = parseInt((sec / 60) % 60);
  var hours_min_secs = hours_min_secs + str_pad(minutes, 2, '0', 'STR_PAD_LEFT') + ':';
  var seconds = parseInt(sec % 60);
  var hours_min_secs = hours_min_secs + str_pad(seconds, 2, '0', 'STR_PAD_LEFT');
  return hours_min_secs;
}

google.charts.load('current', {'packages':['corechart', 'geochart']});
//google.charts.setOnLoadCallback(function() {

var pollInterval = 60000;

var xhr = new Request.JSON({
	'url': '<?php echo url('api.php'); ?>',
	'link': 'cancel',
	'onRequest': function() {
		//
	},
	'onSuccess': function(response) {
		$('livetab-list').unspin();
		if(response.md5 == (window.retrieve('latest_response') || {}).md5) {
			if(pollInterval <= 1200000) pollInterval += 60000; // Only if we're less than 20 minutes in
		} else {
			pollInterval = 60000;
			if(response.success == true) updateStats(response); // Only re-draw if needed!
		}
		pollForStats.delay(pollInterval);
	},
	'onFailure': function() {
		$('livetab-list').unspin();
		pollForStats.delay(15000);
	}
});

var phraseIdx = 0;
var phraseInterval;

function cyclePhrases() {
	clearInterval(phraseInterval);

	if(!$('livephrases-target')) {
		return false;
	}

	var phrases = $('livephrases-target').getElements('div.live-phrase');
	if(!phrases) {
		return false;
	}

	phraseIdx = 0;

	var show = function() {
  var te = phrases[phraseIdx = phraseIdx < phrases.length - 1 ? phraseIdx + 1 : 0];
  if(te) te.fade('in');
  phrases.filter(function(el, idx) {
  	return !(idx == phraseIdx);
  }).fade('out');
 }

	phraseInterval = show.periodical(5000);
}

function buildChart(chart, data, container, opts) {
	var dims = container.measure(function() {
		return this.getSize();
	});

	var opts = Object.merge({
		'vAxis': {
			'viewWindow': {
				'min': 0
			}
		},
		'width': dims.x,
		'height': dims.y,
		'legend': {
			'position': 'right'
		}
	}, opts || {});

	chart.draw(data, opts);
}

// Placeholders
var placeholder = {
	"progression": {
		"0": 0,
		"1": 0,
		"2": 0,
		"3": 0,
		"4": 0,
		"5": 0,
		"6": 0,
		"7": 0,
		"8": 0,
		"9": 0,
		"10": 0
	},
	"long_progression": {
		"0": 0,
		"1": 0,
		"2": 0,
		"3": 0,
		"4": 0,
		"5": 0,
		"6": 0,
		"7": 0,
		"8": 0,
		"9": 0,
		"10": 0,
		"11": 0,
		"12": 0,
		"13": 0,
		"14": 0,
		"15": 0,
		"16": 0,
		"17": 0,
		"18": 0,
		"19": 0,
		"20": 0
	},
	"time": {
		"dates": [],
		"months": {
			"January": 0,
			"February": 0,
			"March": 0,
			"April": 0,
			"May": 0,
			"June": 0,
			"July": 0,
			"August": 0,
			"September": 0,
			"October": 0,
			"November": 0,
			"December": 0
		},
		"days": {
			"Monday": 0,
			"Tuesday": 0,
			"Wednesday": 0,
			"Thursday": 0,
			"Friday": 0,
			"Saturday": 0,
			"Sunday": 0
		},
		"hours": {
			"0": 0,
			"1": 0,
			"2": 0,
			"3": 0,
			"4": 0,
			"5": 0,
			"6": 0,
			"7": 0,
			"8": 0,
			"9": 0,
			"10": 0,
			"11": 0,
			"12": 0,
			"13": 0,
			"14": 0,
			"15": 0,
			"16": 0,
			"17": 0,
			"18": 0,
			"19": 0,
			"20": 0,
			"21": 0,
			"22": 0,
			"23": 0,
			"24": 0
		}
	}
};

var stats_format_comment = function(data) {
	var s = Date.parse(data.date);
	var d = new Date();
	d.setTime(s);
	var date_str = d.toLocaleDateString();

	var body = stripslashes(data.body); // handle HTML? handle any commands in here maybe?
	var av = 'http://www.gravatar.com/avatar/'+(md5(data.email.trim().toLowerCase()))+'?s=30&d=mm';
	var block_avatar = '<div class="evp-widget-comments-message-avatar" style="width: 30px; height: 30px; float:left; margin: 0 5px 5px 0;"><img src="'+av+'" /></div>';
	var block_name = '<div class="evp-widget-comments-message-name" style=""><a href="mailto:'+data.email+'" style="color:#'+(data.isOperator == 1 ? 'FF002B' : '000')+';text-decoration:none;border:none;">'+data.name+'</a></div>';
	var block_body = '<div class="evp-widget-comments-message-body" style="color:#000;font-size:14px;">'+body+'</div>';
	var block_meta = '<div class="evp-widget-comments-meta" style="margin:10px 0 0 0;cursor:default;background:#eee;border-radius:3px;padding:5px;color:#999;font-size:11px;float:right;"><span class="evp-widget-comments-reply" style="cursor:pointer;">Reply</span> | <span class="evp-widget-comments-delete" style="cursor:pointer;color:red;display:inline;">Delete</span> | Posted '+date_str+'</div>';

	var message = '<div class="evp-widget-comments-message" style="overflow:auto; border-bottom: 1px dashed #eee; padding: 5px 0 5px 0;" data-comment-name="'+data.name+'" data-comment-email="'+data.email+'" data-comment-id="'+data.id+'" '+(data.parent_id ? 'data-parent-id="'+data.parent_id+'"' : '')+'>';

	message += block_avatar;
	message += block_name;
	message += block_body;
	message += block_meta;

	message += '</div>';

	return message;
}

function updateStats(response) {

	response.stats = response.stats || {};
	response.social_stats = response.social_stats || {};

	var previous_days = createDatesArray(13);
	placeholder.time.dates[date('Y-m-d')] = 0;
	Object.each(previous_days, function(d) {
		placeholder.time.dates[d] = 0;
	});

	// Update the local storage
	window.store('raw_stats', response.stats);
	window.store('stats', response.formatted_stats);
	window.store('conversion_stats', response.formatted_conversion_stats);
	window.store('latest_response', response);
	window.store('social_stats', response.social_stats);

	// Let's build up the Phrases we need to be displaying
	if($('livephrases') && response.stats.static && response.stats.static.starts > 0) {
		var phrases = [];

		(function() { // Worst section and percentage after that

			var biggestDrop, biggestDropTime, remainingViewers = 0, remainingPercentage = 0, lostViewers = 0, lostPercentage = 0;

			Object.each(placeholder.progression, function(h, player_time) {

				if(player_time > 0) {
					var value = parseInt(response.stats.progression[player_time] || 0);
					var previous = parseInt(response.stats.progression[player_time - 1] || 0);

					var diff = previous - value;

					if(!biggestDrop || diff > biggestDrop) {
						biggestDrop = diff;
						biggestDropTime = parseInt(player_time);
					}
				}
			});

			var interval = <?php echo $file->metadata['duration'] / 10; ?>; // Interval in seconds
			var dropStart = secondsToHMS(Math.ceil(interval * (biggestDropTime - 1)));
			var dropEnd = secondsToHMS(Math.ceil(interval * (biggestDropTime)));

			if(biggestDropTime == 10) return; // Don't show this if everyone finishes the video!

			var bgc;
			if(biggestDropTime > 8) bgc = '#B7EBA0';
			if(biggestDropTime > 7) bgc = '#D8F5CB';
			else if(biggestDropTime > 5) bgc = '#FEFFD6';
			else if(biggestDropTime > 2) bgc = '#F0DDD8';
			else bgc = '#F5BDAE';

			phrases.push({
				'id': 'most-loss',
				'message': 'You should check the section between '+dropStart+' and '+dropEnd+' as this is where you are losing most of your viewers!',
				'background': bgc
			});

			$$('span.livestat-phrase-dropstart').set('text', dropStart);
			$$('span.livestat-phrase-dropend').set('text', dropEnd);

			if(biggestDrop && biggestDropTime && biggestDrop > 0) {

				// Work out how many people remained by subtracting the completers from those watching at the biggest drop
				var completers = parseInt(response.stats.progression[9] || 0);
				var atBiggestDrop = parseInt(response.stats.progression[biggestDropTime] || 0);

				if(atBiggestDrop > completers) {
					remainingPercentage = Math.ceil((completers / atBiggestDrop) * 100);

					phrases.push({
						'id': 'retained-after-drop',
						'message': 'After your biggest drop, at '+dropEnd+', you retain '+remainingPercentage+'% of people who go on and finish your video!'
					});
				}
			}

		})();

		(function() { // Most recent viewer
			if(response.mostRecentStart) {
				phrases.push({
					'id': 'most-recent-start',
					'message': '<strong>Most recent</strong>: The most recent person to start watching your video was from '+response.mostRecentStart.country+'!'
				});
			}
		})();

		(function() { // Most recent completer
			if(response.mostRecentComplete) {
				phrases.push({
					'id': 'most-recent-complete',
					'message': '<strong>Most recent</strong>: The most recent person to finish your video was from '+response.mostRecentComplete.country+'!'
				});
			}
		})();

		(function() { // Completion percentage
			var completionPercentage = 0;
			if(response.stats.static.starts > 0) completionPercentage = ((response.stats.static.completes >= 1) ? Math.ceil((response.stats.static.completes / response.stats.static.starts) * 100) : 0);

			if(completionPercentage > 0) {
				var bgc = '#F7C8BC';
				if(completionPercentage > 75) bgc = '#E8F5D5';
				else if(completionPercentage > 50) bgc = '#FEFFD6';
				else if(completionPercentage > 25) bgc = '#F0DDD8';

				phrases.push({
					'id': 'completion-percentage',
					'message': completionPercentage+'% of people who start your video end up watching the whole thing!',
					'background': bgc
				});
			}
		})();

		(function() { // Most popular region, by starts
			var startCountry = '';
			var startPlays = 0;
			Object.each(response.stats.geo.starts, function(starts, country) {
				starts = parseInt(starts);
				if(starts > startPlays) {
					startPlays = starts;
					startCountry = country;
				}
			});
			if(startCountry.length > 0 && startCountry !== 'Unknown') {
				phrases.push({
					'id': 'popular-region-start',
					'message': '<strong>Plays</strong>: Most people start watching your video from '+startCountry+'!'
				});
			}
		})();

		(function() { // Most popular region, by completes
			var completeCountry = '';
			var completePlays = 0;
			Object.each(response.stats.geo.completes, function(completes, country) {
				completes = parseInt(completes);
				if(completes > completePlays) {
					completePlays = completes;
					completeCountry = country;
				}
			});

			if(completeCountry.length > 0 && completeCountry !== 'Unknown') {
				phrases.push({
					'id': 'popular-region-complete',
					'message': '<strong>Completion</strong>: Most people complete your video in '+completeCountry+'!'
				});
			}
		})();

		(function() { // Average drop-off
			if(response.average_drop_off > 0) {
				phrases.push({
					'id': 'popular-dropoff',
					'message': 'On average, people stop watching your video at '+response.average_drop_off_str+'.'
				});
			}
		})();

		if(phrases.length > 0) {
			$('livephrases-target').empty();

			Object.each(phrases, function(phrase, idx) {
				var el = $('phrase-'+phrase.id) || new Element('div', {'id': 'phrase-'+phrase.id, 'class': 'live-phrase'});

				el.set({
					'html': phrase.message,
					'styles': {
						'background': phrase.background || '#D8F5CB',
						'color': phrase.colour || phrase.color || 'black',
						'opacity': (idx == 0 ? 1 : 0)
					}
				});

				el.inject($('livephrases-target'));
			});
			$('livephrases').reveal();
		} else {
			$('livephrases').dissolve();
		}

		cyclePhrases();

	}

	// This function will update every single indidual statistic
	// and enable or disable any invisible panes

	// Basic section
	$$('span.livestat-basic-plays').set('text', response.stats.static.starts || 0);
	$$('span.livestat-basic-completions').set('text', response.stats.static.completes || 0);
	var completionPercentage = 0;
	if(response.stats.static.starts > 0) completionPercentage = ((response.stats.static.completes >= 1) ? Math.ceil((response.stats.static.completes / response.stats.static.starts) * 100) : 0);
	$$('span.livestat-basic-completionpercentage').set('text', completionPercentage+'%');
	$$('span.livestat-basic-totalsales').set('text', response.stats.total_sales || 0);
	$$('span.livestat-basic-totalincome').set('html', '<?php echo $evp->options->currency_symbol; ?>'+number_format((response.stats.total_income || 0), 2));

	// 'This week' graph
	(function() {

		var viewDates = {};
		var playDates = {};
		var saleDates = {};

		var container = $('live-chart-thisweek');
		var raw = [['Date', 'Plays', 'Completed plays', 'Sales']];

		Object.each(placeholder.time.dates, function(value, date) {
			viewDates[date] = (response.stats.recent[date] || {}).starts;
			if(!viewDates[date]) viewDates[date] = value;

			playDates[date] = (response.stats.recent[date] || {}).completes;
			if(!playDates[date]) playDates[date] = value;

			saleDates[date] = (response.stats.recent[date] || {}).sales;
			if(!saleDates[date]) saleDates[date] = value;

			viewDates[date] = parseInt(viewDates[date]);
			playDates[date] = parseInt(playDates[date]);
			saleDates[date] = parseInt(saleDates[date]);
		});

		viewDates = ksort(viewDates); // Reverse so that the oldest date is to the left
		playDates = ksort(playDates);
		saleDates = ksort(saleDates);

		var i = 0;

		Object.each(viewDates, function(value, date) {
			var label = date;
			if(i == 13) label = 'Today';
			else if(i == 12) label = 'Yesterday';
			else label = Date.parse(label).format('%e%o of %b');
			raw.push([label, value, playDates[date], saleDates[date]]);
			i++;
		});

		var data = google.visualization.arrayToDataTable(raw);
		var chart = new google.visualization.AreaChart(container);
		buildChart(chart, data, container, {
			'chartArea': {
				'width': '90%'
			},
			'legend': {
				'position': 'top'
			},
			'hAxis': {
				'showTextEvery': (Browser.Engine.webkit ? 'automatic' : 2)
			}
		});
	})();

	(function() { // Custom 'bars' for device breakdown

		$('custom-platform').fade('out');

		(function() {
			$('custom-platform').empty();

			var types = [
				{'id': 'desktop', 'name': 'Unknown browser', 'colour': '#B3D3E3', 'value': parseInt(response.stats.static['start_platform_desktop'] || 0)},
				{'id': 'ios', 'name': 'iPhone 4+ or iPad', 'colour': '#B3CAE3', 'value': parseInt(response.stats.static['start_platform_ios'] || 0)},
				{'id': 'ios-legacy', 'name': 'iOS Legacy', 'colour': '#BCF5F4', 'value': parseInt(response.stats.static['start_platform_ios-legacy'] || 0)},
				{'id': 'android', 'name': 'Android', 'colour': '#CFF5BC', 'value': parseInt(response.stats.static['start_platform_android'] || 0)},
				{'id': 'msie', 'name': 'Internet Explorer', 'colour': '#BCE9F5', 'value': parseInt(response.stats.static['start_platform_msie'] || 0)},
				{'id': 'webkit', 'name': 'WebKit', 'colour': '#B3DEE3', 'value': parseInt(response.stats.static['start_platform_webkit'] || 0)},
				{'id': 'opera', 'name': 'Opera', 'colour': '#E3B3B6', 'value': parseInt(response.stats.static['start_platform_opera'] || 0)},
				{'id': 'firefox', 'name': 'Firefox', 'colour': '#E3B3B3', 'value': parseInt(response.stats.static['start_platform_firefox'] || 0)}
			];

			var total_mobile = 0;
			var total_desktop = 0;
			var total = parseInt(response.stats.static.starts);

			types.sort(function(obj1, obj2) {
				return obj1.value < obj2.value;
			});

			Array.each(types, function(data) {
				data.percentage = Math.round((data.value / total) * 100);
				if(isNaN(data.percentage)) data.percentage = 0;

				var percentage_width = ((data.value / total) * 100);
				if(isNaN(percentage_width)) percentage_width = 0;

				var el = new Element('div', {'id': 'custom-platform-'+data.id, 'class': 'platform-bar-wrap'}).adopt(
					new Element('p', {'text': data.name}),
					new Element('div', {'class': 'platform-bar-container'}).adopt(
						new Element('div', {
							'class': 'platform-bar',
							'styles': {
								'background-color': data.colour,
								'width': percentage_width+'%'
							}
						})
					).adopt(
						new Element('span', {'class': 'platform-bar-text', 'text': data.value+' ('+data.percentage+'%)'})
					)
				);

				el.inject($('custom-platform'));

				if(data.id == 'ios' || data.id == 'ios-legacy' || data.id == 'android') total_mobile += data.value;
				else total_desktop += data.value;
			});

			$('custom-platform-text-mobile').getElement('span').set('text', (total > 0 ? Math.round((total_mobile / total) * 100) : 0));
			$('custom-platform-text-desktop').getElement('span').set('text', (total > 0 ? Math.round((total_desktop / total) * 100) : 0));
		}).delay(250);

		(function() {
			$('custom-platform').fade('in');
		}).delay(750);
	})();

	// Let's add the live bar chart for geo location
	(function() {
		var container = $('live-chart-geoplay');
		var raw = [['Country', 'Plays']];
		var shouldDisplay = false;

		var display = {};
		var displayCount = 0;
		var otherCountries = 0;

		Object.each(response.stats.geo.completes, function(completes, country) {
			if(displayCount > 5) {
				otherCountries = otherCountries + parseInt(completes);
			} else {
				display[country] = parseInt(completes);
			}
			displayCount++;
		});

		if(otherCountries > 0) display['Other countries'] = otherCountries;

		Object.each(display, function(completes, country) {
			shouldDisplay = true;
			raw.push([country, completes]);
		});

		if(shouldDisplay) {
			$('live-chart-geoplay-wrap').reveal();
			var data = google.visualization.arrayToDataTable(raw);
			chart = new google.visualization.PieChart(container);
			buildChart(chart, data, container);
		} else {
			$('live-chart-geoplay').empty();
			new Element('img', {
				'src': '<?php echo assets('assets/graphics/geo-example.png?v=1'); ?>',
				'styles': {
					'margin': '20px auto',
					'display': 'block'
				}
			}).inject($('live-chart-geoplay'));
		}
	})();

	// Let's add the map for geo locations
	(function() {
		var container = $('live-chart-geo-completes');
		var raw = [['Country', 'Plays']];

		Object.each(response.stats.geo.completes, function(plays, country) {
			raw.push([country, parseInt(plays)]);
		});

		var data = google.visualization.arrayToDataTable(raw);

		var chart = new google.visualization.GeoChart(container);
		buildChart(chart, data, container);
	})();

	// Completed play bar graph, by day of the week and month
	<?php if($evp->options->hosted) : ?>
	(function() {

		if($('live-options-completedplays')) $('live-options-completedplays').destroy();

		var build = function(type, container) {

			var raw = [['Days', 'Completed plays']];
			var popular = [];

			if(!response.stats.date.completes) response.stats.date.completes = {};

			Object.each(placeholder.time[type], function(value, txt) {
				if(!response.stats.date.completes[type]) response.stats.date.completes[type] = {};
				popular[txt] = response.stats.date.completes[type][txt] || 0;
				if(!popular[txt]) popular[txt] = value;

				var label = txt;

				raw.push([label, parseInt(popular[txt])]);
			});

			var data = google.visualization.arrayToDataTable(raw);
			var chart = new google.visualization.ColumnChart(container);
			buildChart(chart, data, container, {'chartArea': {'width': '90%'}, 'legend': {'position': 'none'}});
		}

		build('days', $('live-chart-completedplays'));

	})();
	<?php else : ?>
				(function() {

					var build = function(type, container) {

						var raw = [['Months', 'Completed plays']];
						var popular = [];

						if(!response.stats.date.completes) response.stats.date.completes = {};

						Object.each(placeholder.time[type], function(value, txt) {
							if(!response.stats.date.completes[type]) response.stats.date.completes[type] = {};
							popular[txt] = response.stats.date.completes[type][txt] || 0;
							if(!popular[txt]) popular[txt] = value;

							var label = txt;

							raw.push([label, parseInt(popular[txt])]);
						});

						var data = google.visualization.arrayToDataTable(raw);
						var chart = new google.visualization.ColumnChart(container);
						buildChart(chart, data, container, {'chartArea': {'width': '90%'}, 'legend': {'position': 'none'}});
					}

					build('days', $('live-chart-completedplays'));

					var csnew = false;
					var modeSelector = $('live-options-completedplays-mode');
					if(!modeSelector) {
						modeSelector = new Element('select', {'id': 'live-options-completedplays-mode'}).setData('selectbox-tie', 'false').setData('behavior', 'SelectBox');
						csnew = true;
						modeSelector.addEvent('change', function(event) {
							if(!event) return false; // Don't do this for the initial one
							var cel = this.getElements('option')[this.selectedIndex];
							if(!cel) return false;
							var mode = cel.get('value');

							$('live-chart-completedplays-wrap').getElements('div.live-chart').set('reveal', {'mode': 'horizontal'}).setStyle('z-index', 2).dissolve();

							if(mode == 'days') { // Restore the main map
								$('live-chart-completedplays').setStyle('z-index', 1).reveal();
								return false;
							}

							var container = $('live-chart-completedplays-chart-'+mode.makeSeed()) || new Element('div', {'class': 'live-chart live-chart-full', 'id': 'live-chart-completedplays-chart-'+mode.makeSeed()}).inject($('live-chart-completedplays-wrap'));
							container.reveal();

							build(mode, container);
						});
					}

					var opt = new Element('optgroup', {'label': 'The main overview'});

					new Element('option', {'value': 'days', 'text': 'By day of the week', 'selected': true}).inject(opt);
					new Element('option', {'value': 'months', 'text': 'By month of the year'}).inject(opt);
				//new Element('option', {'value': 'hours', 'text': 'By hour of the day'}).inject(opt);

					opt.inject(modeSelector);

					// Let's inject that
					modeSelector.inject($('live-options-completedplays'));

					// Apply all behaviors
					new Behavior().apply($('live-options-completedplays'));

				})();
	<?php endif; ?>

	// Engagement
	$$('span.livestat-basic-dropoff').set('text', response.average_drop_off_str || 'Unknown');

	var todaycompletionp = 0;
	var yesterdaycompletionp = 0;

	var today = new Date().format('%Y-%m-%d');
	var yesterday = new Date().parse('yesterday').format('%Y-%m-%d');

	var todayStats = response.stats.recent[today] || {};
	var yesterdayStats = response.stats.recent[yesterday] || {};

	if(todayStats.starts > 0) todaycompletionp = ((todayStats.completes >= 1) ? Math.ceil((todayStats.completes / todayStats.starts) * 100) : 0);
	if(yesterdayStats.starts > 0) yesterdaycompletionp = ((yesterdayStats.completes >= 1) ? Math.ceil((yesterdayStats.completes / yesterdayStats.starts) * 100) : 0);

	$$('span.livestat-basic-yesterdaycompletionpercentage').set('text', yesterdaycompletionp+'%');
	$$('span.livestat-basic-todaycompletionpercentage').set('text', todaycompletionp+'%');

	// Do the Videolytics graph
	(function() {
		var ve_x = 0;
		var duration = <?php echo (empty($file->metadata['duration']) ? 0 : $file->metadata['duration']); ?>;
		var secondsAsPixels = (400 / duration);
		ve_x = Math.round(secondsAsPixels * response.average_drop_off);
		if(ve_x >= 388) ve_x = 388;

		$$('.stats-effectiveness-bar div').tween('left', ve_x);
		$$('.stats-effectiveness-grid .drop').tween('left', (ve_x > 366 ? 366 : (ve_x - 12)));
	})();

	// Social section
	$$('span.livestat-social-facebook_likes').set('text', (parseInt(response.social_stats.facebook_likes || 0)) + (parseInt(response.social_stats.facebook_shares || 0)));
	$$('span.livestat-social-facebook_comments').set('text', response.social_stats.facebook_comments || 0);
	$$('span.livestat-social-google_shares').set('text', response.social_stats.google_shares || 0);
	$$('span.livestat-social-diggs').set('text', response.social_stats.diggs || 0);
	$$('span.livestat-social-twitter_shares').set('text', response.social_stats.twitter_shares || 0);
	$$('span.livestat-social-redirects').set('text', response.social_stats.post_video_redirect || 0);

	(function() { // Ratings handling!
		var rating = response.stats.static.rating || 0;
		$$('span.livestat-static-rating').set('text', rating);
		$$('.livestat-static-rating-pane:not(#livestat-static-rating-pane-'+rating+')').dissolve();
		$('livestat-static-rating-pane-'+rating).reveal();
	})();

	(function() { // Comments!
		$$('span.livestat-static-comments-total').set('text', response.stats.comments.total || 0);
		$$('span.livestat-static-commenters-total').set('text', response.stats.comments.commenters || 0);
		$$('span.livestat-static-comments-today').set('text', response.stats.comments.today || 0);
		$$('span.livestat-static-harvested-comments').set('text', response.social_stats.email_harvested_comments || 0);

		var list = $('livepane-social-comments-list');
		Object.each(response.stats.comments.raw, function(data) {
			if(list.getElement('[data-comment-id="'+data.id+'"]')) return; // Already added!
			var comment = stats_format_comment(data);
			if(!comment) return;
			comment = Elements.from(comment);

			if(data.parent_id) {

				var i = setInterval(function() {
					var parent = list.getElement('.evp-widget-comments-message[data-comment-id="'+data.parent_id+'"]');
					if(!parent) return false;
					clearInterval(i);

					var locateParents = function(id) {
						var count = 0;
						var fn = function(id) {
							var parent = list.getElement('.evp-widget-comments-message[data-comment-id="'+id+'"]');
							count++;
							if(parent.getData('parent-id')) {
								fn(parent.getData('parent-id'));
							}
						}
						fn(id);
						return count;
					}

					var parents = 1;
					if(parent.getData('parent-id')) parents += locateParents(parent.getData('parent-id'));

					var indent = 15 * parents;
					comment.setStyle('padding', '5px 0 5px '+indent+'px');
					comment.inject(parent, 'after');
				}, 5);

			} else {
				comment.inject(list, 'top');
			}
		});

		var last_message = list.getElement('.evp-widget-comments-message:last-child');
		if(last_message) {
			new Fx.Scroll(list).toElement(last_message);
		}

	})();

	(function() { // Pie chart of the social tools used in your video
		var shouldDisplay = false;
		var container = $('live-chart-socialengagement');

		var raw = [
			['Social network', 'Interactions'],
			['Facebook Likes', parseInt(response.social_stats.facebook_likes || 0)],
			['Facebook Comments', parseInt(response.social_stats.facebook_comments || 0)],
			['Google +1\'s', parseInt(response.social_stats.google_shares || 0)],
			['Diggs', parseInt(response.social_stats.diggs || 0)],
			['Tweets', parseInt(response.social_stats.twitter_shares || 0)],
			['Redirects', parseInt(response.social_stats.post_video_redirect || 0)]
		];

		if((response.social_stats.facebook_likes || 0) > 0) shouldDisplay = true;
		if((response.social_stats.facebook_comments || 0) > 0) shouldDisplay = true;
		if((response.social_stats.google_shares || 0) > 0) shouldDisplay = true;
		if((response.social_stats.diggs || 0) > 0) shouldDisplay = true;
		if((response.social_stats.twitter_shares || 0) > 0) shouldDisplay = true;
		if((response.social_stats.post_video_redirect || 0) > 0) shouldDisplay = true;

		if(shouldDisplay) $('live-chart-socialengagement-wrap').reveal();
		else $('live-chart-socialengagement-wrap').dissolve();

		var data = google.visualization.arrayToDataTable(raw);

		chart = new google.visualization.PieChart(container);
		buildChart(chart, data, container);
	})();

	(function() {
		var container = $('live-chart-progression');
		var raw = [['Time', 'Viewers engaged']];
		var interval = <?php echo $file->metadata['duration'] / 10; ?>; // Interval in seconds

		var longInterval = (interval > 20);

		Object.each(placeholder.progression, function(h, player_time) {
			var label;
			var this_marker = Math.ceil(interval * player_time);

			if(player_time == '0') label = 'Start';
			else if(player_time == '10') label = 'Complete';
			else label = secondsToHMS(this_marker);

			var val = parseInt(response.stats.progression[player_time] || h);

			<?php /*
			// We need to artificially inflate this to include the unique_starts and unique_completes
			// because they are relevant, if set, for any video uploaded before our statistics adjustments (Summer 2014)
			// but NO, we mustn't do this, as that number will never decrease and it will look right for the first day and then be totally skewed
			if(player_time == '0') val += parseInt(response.stats.static.unique_starts || 0)
			else if(player_time == '10') val += parseInt(response.stats.static.unique_completes || 0);
			*/ ?>

			raw.push([
				label,
				parseInt(val)
			]);

			/*
			if(Browser.Engine.webkit && longInterval && player_time < 10) {
				var label = secondsToHMS(this_marker + (interval * 0.5));

				var val = Math.ceil(parseInt(val) - ((parseInt(val) - response.stats.progression[parseInt(player_time) + 1]) / 2));

				raw.push([
					label,
					parseInt(val)
				]);
			}
			*/
		});

		var data = google.visualization.arrayToDataTable(raw);
		chart = new google.visualization.AreaChart(container);
		buildChart(chart, data, container, {'chartArea': {'width': '85%'}, 'legend': {'position': 'none'}});

	})();

	// Referrers table and chart
	(function() {
		var container = $('live-chart-referrers');
		var raw = [['Source', 'Completed plays']];
		var shouldDisplay = false;
		Object.each(response.stats.referrers, function(completes, referrer) {
			shouldDisplay = true;
			raw.push([referrer, parseInt(completes)]);
		});

		if(shouldDisplay) {
			$('live-chart-referrer-wrap').reveal();
			var data = google.visualization.arrayToDataTable(raw);

			var tbl = new google.visualization.Table($('live-table-referrers'));
			buildChart(tbl, data, $('live-table-referrers'), {
				'chartArea': {'width': '395px', 'height': '200px'},
				'width': '395px',
				'height': '200px',
				'page': 'enable',
				'pageSize': 5
			});

			var chart = new google.visualization.PieChart(container);
			buildChart(chart, data, container, {'chartArea': {'width': '95%'}, 'legend': {'position': 'left'}});
		} else {
			$('live-chart-referrer-wrap').empty();
			new Element('img', {
				'src': '<?php echo assets('assets/graphics/referrer-example.png?v=1'); ?>',
				'styles': {
					'margin': '20px auto',
					'display': 'block'
				}
			}).inject($('live-chart-referrer-wrap'));
		}
	})();

	// Event interactions
	(function() {
		var container = $('live-chart-referrers');
		var raw = [['Event name and details', 'Clicks/interactions']];

		var shouldDisplay = false;

		Object.each(response.social_stats, function(clicks, event_name_raw) {
			var isEvent = (event_name_raw.indexOf('.') !== -1);
			if(isEvent) {
				shouldDisplay = true;

				var event_name = event_name_raw;

				try {
					var event_info = event_name_raw.split('.');
					var event_name = event_info[0].split('::')[0].replace(/\-/g, ' ').replace(/(?:^|\s)\S/g, function(a) { return a.toUpperCase(); });


					var theEvent = response.file.events[event_name];
					var theWidget = theEvent.data.widgets[event_info[0].split('::')[1]];

					var widget_type = theWidget.widget_type;
					if(widget_type == 'share-facebook') widget_type = 'Facebook share';
					else if(widget_type == 'share-twitter') widget_type = 'Twitter share';

					event_name = theEvent.name+'\'s '+widget_type+' widget (Displaying at '+theEvent['start-string']+' for '+theEvent['duration-string']+')';

				} catch(e) {}

				raw.push([event_name, parseInt(clicks)]);
			}
		});

		if(shouldDisplay) {
			$('live-chart-events-wrap').reveal();
			var data = google.visualization.arrayToDataTable(raw);

			var tbl = new google.visualization.Table($('live-table-events'));
			buildChart(tbl, data, $('live-table-events'), {
				'chartArea': {'width': '858px', 'height': '230px'},
				'width': '858px',
				'height': '230px',
				'page': 'enable',
				'pageSize': 5
			});
		} else {
			$('live-chart-events-wrap').empty().dissolve();
		}
	})();

	(function() {
		var surveys = $('thisFile').retrieve('surveys');
		if(!surveys) return false;

		var container = $('live-chart-surveys');

		var shouldDisplay = false;

		Object.each(response.stats.surveys, function(answer_data, survey_name) {
			var survey = surveys[survey_name];
			if(!survey) return; // Don't show this if it's no longer active

			var surveyBlockID = 'stats-survey-'+survey_name.makeSeed();
			var surveyBlock = $(surveyBlockID) || new Element('div', {'class': 'stats-survey-survey-block', 'id': surveyBlockID});
			surveyBlock.empty().adopt(
				new Element('p', {'class': 'stats-survey-title', 'text': 'Survey title: '+survey_name})
			);

			var questionWrap = new Element('div', {'class': 'stats-survey-question-wrap'}).inject(surveyBlock);

			Object.each(answer_data, function(ans, qidx) {
				var question = survey.data.questions[qidx];
				if(!question) return;
				var answers = survey.data.answers[qidx];
				if(!answers) return;

				shouldDisplay = true;

				var questionBlock = new Element('div', {'class': 'stats-survey-question-block'}).adopt(
					new Element('p', {'class': 'stats-survey-question-title', 'text': 'Q'+(parseInt(qidx) + 1)+': '+question})
				).inject(questionWrap);

				var chartBlock = new Element('div', {'class': 'stats-survey-answer-chart'}).inject(questionBlock);

				var raw = [['Answer', 'Total']];

				Object.each(answers, function(answer, aidx) {
					var value = ans[aidx] || 0;
					raw.push([answer+' ('+value+')', parseInt(value)]);
				});

				var data = google.visualization.arrayToDataTable(raw);
				chart = new google.visualization.PieChart(chartBlock);
				buildChart(chart, data, chartBlock, {'width': 409, 'chartArea': {'width': '100%', 'left': 0}, 'legend': {'position': 'left', 'textStyle': {'fontSize': 12}}, 'pieSliceText': 'none'});

				surveyBlock.inject(container);
			});
		});

		if(shouldDisplay) {
			$('live-chart-surveys-wrap').reveal();

		} else {
			$('live-chart-surveys').empty();
			$('live-chart-surveys-wrap').dissolve();
		}
	})();

	// Income
	$$('span.livestat-income-total_conversions').set('text', response.stats.total_conversions || 0);
	$$('span.livestat-basic-conversion_income').set('html', '<?php echo $evp->options->currency_symbol; ?>'+number_format((response.stats.conversion_income || 0), 2));
	$$('span.livestat-income-upsells').set('text', response.stats.upsells || 0);
	$$('span.livestat-income-upsell_income').set('html', '<?php echo $evp->options->currency_symbol; ?>'+number_format((response.stats.upsell_income || 0), 2));
	$$('span.livestat-income-total_sales').set('text', response.stats.total_sales || 0);
	$$('span.livestat-income-total_income').set('html', '<?php echo $evp->options->currency_symbol; ?>'+number_format((response.stats.total_income || 0), 2));

	// Conversion pie chart
	(function() {
		var shouldDisplay = false;
		var container = $('live-chart-incomeproducts');
		var raw = [['Product', 'Income']];

		Array.each(response.stats.products, function(p) {
			shouldDisplay = true;
			raw.push([p.name, parseFloat(p.income)]);
		});

		if(shouldDisplay) {
			$('live-chart-incomeproducts-wrap').reveal();
			var data = google.visualization.arrayToDataTable(raw);
			var formatter = new google.visualization.NumberFormat({'prefix': '$'});
			formatter.format(data, 1);
			var chart = new google.visualization.PieChart(container);
			buildChart(chart, data, container, {'is3D': true, 'chartArea': {'width': '100%'}});
		} else {
			$('live-chart-incomeproducts').empty();
			new Element('img', {
				'src': '<?php echo assets('assets/graphics/income-example.png?v=1'); ?>',
				'styles': {
					'margin': '20px auto',
					'display': 'block'
				}
			}).inject($('live-chart-incomeproducts'));
		}
	})();
}

function pollForStats() {
	xhr.send({
		'method': 'post',
		'data': {
			'username': '<?php echo $xs->userData->username; ?>',
			'password': '<?php echo $xs->userData->password; ?>',
			'method': 'files-livestats',
			'file_id': '<?php echo $file_ref; ?>'
		}
	});
}

window.addEvent('domready', function() {
	<?php include($config['locations']['themePath'].'include.attach.php'); ?>

	// First, let's prepare the tabs
//$('livetab-list').getElements('li').setStyles({'display': 'none'});

	// Let's make 'em clickable
	$('livetab-list').getElements('li').addEvent('click', function() {
		var name = this.get('id').replace('livetab-', '');

		$('livetab-list').getElements('li').removeClass('active');
		this.addClass('active');

		$('livetab-panes').getElements('.livepane-pane').setStyles({'display': 'none'});
		$('livepane-'+name).setStyles({'display': 'block'});

		// Let's do the help
		switch(name) {
			case 'engagement':
				EVP_Help.setContext({
					'content': '<p>The Engagement tab details exactly what parts of your video have been watched. This is a really powerful insight into exactly where people stop watching your video.</p><p><strong>Note:</strong> Engagement is only tracked once per viewer, to prevent it being skewed by people re-watching!<?php if($evp->options->hosted): ?> To keep this data fresh, it only includes people watching in the last 30 days to prevent your data being skewed by trends over a huge period of time.<?php endif; ?></p>',
					'video': 'basic-livestats.mp4'
				});
				break;
			case 'social':
				EVP_Help.setContext({
					'content': '<p>The Social section outlines where your video (Or page) is being shared. If you have the bar enabled with these social options turned on, they will be tracked.</p>' +
							'<p>The Feedback bar widget enables your viewers to leave a rating from one to five. This can be a great and quick way to get feedback from people, and the average rating will be displayed here.<p>' +
							'<p>The Comments section allows you to add and reply to comments as an administrator. Enter your name and email and you can comment live with your viewers. You may also delete any comments that you don\'t wish to leave public!</p>'+
							'<p>And finally the referrers section breaks down where your video has been placed. This helps you locate where people have shared your video!</p>',
					'video': 'basic-livestats.mp4'
				});
				break;
			case 'income':
				EVP_Help.setContext({
					'content': '<p>The Income tab displays all of your financial information. When you set up sales tracking, from the embed code page, you can view the statistics collated here. A conversion is only tracked if the viewer has watched a certain amount of your video, so that we only track conversions that come directly as a result of watching the video, rather than from anyone on your site.</p>',
					'video': 'basic-livestats.mp4'
				});
				break;
			default:
				EVP_Help.setContext({
					'content': '<p>The Basic tab outlines the most useful statistics for this video.</p>'+
																'<p>A <strong>play</strong> is counted when someone starts to play the video (even ifit\'s set to auto-play).</p>'+
																'<p>A <strong>completed play</strong> is when someone watches the end of the video.</p>'+
																'<p>The <strong>completion percentage</strong> is the percentage of people who finished watching.</p>'+
																'<p>Under this section, you can view the last two weeks\' worth of data about your video, followed by a break-down of the devices your video is being watched on. Finally, you can see the most popular days of the week for your video.</p>',
					'video': 'basic-livestats.mp4'
				});
				break;
		}

	//if(!Browser.Engine.webkit && window.retrieve('latest_response')) updateStats(window.retrieve('latest_response'));
	});

	// Show the first tab
	$('livetab-basic').fireEvent('click');

	// Delete comment deletion
	if($('livepane-social-comments')) {
		$('livepane-social-comments').addEvent('click:relay(.evp-widget-comments-delete)', function() {
			var message = this.getParent('.evp-widget-comments-message');
			var comment_id = message.getData('comment-id');
			var comment_email = message.getData('comment-email');
			var comment_name = message.getData('comment-name');

			var ids = [comment_id];
			var ids_el = [];

			var getChildComments = function(comment_id) {
				if(typeof comment_id == 'undefined' || comment_id.length <= 0) return;
				var child_comments = $('livepane-social-comments-list').getElements('.evp-widget-comments-message[data-parent-id="'+comment_id+'"]');
				child_comments.each(function(el) {
					var c = el.getData('comment-id');
					ids.push(c);
					ids_el.push(el);
					getChildComments(c);
				});
			}

			getChildComments(comment_id);

			var msg = 'Do you really want to delete this comment from '+comment_name+' ('+comment_email+')?';
			if(ids.length > 1) msg = msg + ' All '+ids.length+' replies will be removed as well!';

			StickyWin.confirm('Are you sure?', msg, function() {
				new Request.JSON({
					'url': '<?php echo url('api.php'); ?>',
					'onRequest': function() {
						message.spin();
						$$(ids_el).spin();
					},
					'onSuccess': function() {
						message.unspin();
						$$(ids_el).unspin();
						message.kill();
						$$(ids_el).kill();
					}
				}).send({
					'method': 'post',
					'data': {
						'username': '<?php echo $xs->userData->username; ?>',
						'password': '<?php echo $xs->userData->password; ?>',
						'method': 'comments-delete',
						'ids': ids
					}
				});
			});
		});
	}

	$('livetab-list').spin({'message': 'Compiling your live statistics.. please wait!', 'class': 'spinner spinner-panels'});
	google.charts.setOnLoadCallback(pollForStats.delay(1000));
});

window.addEvent('domready', function() {

	if($('ui-delete-stats')) {
		$('ui-delete-stats').addEvent('click', function() {
			StickyWin.confirm('Are you sure?', 'Are you sure you want to <span style="color:red;">permanently delete</span> all of the statistics for this video?', function() {
				new Request.JSON({
					'url': '<?php echo url('api.php'); ?>',
					'onRequest': function() {
						$('body').spin({'message': 'Deleting your statistics..'});
					},
					'onSuccess': function() {
						window.url('files.livestats.php?id=<?php echo $file->id; ?>&profile=<?php echo $profile; ?>');
					},
					'onFailure': function() {
						$('body').unspin();
					}
				}).send({
					'method': 'post',
					'data': {
						'username': '<?php echo $xs->userData->username; ?>',
						'password': '<?php echo $xs->userData->password; ?>',
						'method': 'files-delete-statistics',
						'file_ref': '<?php echo $file_ref; ?>'
					}
				});
			});
		});
	}

	if($('dashboard-analytics-folders')) {
		var addFileOpt = function(name, id, el) {
			var n = (name.length >= 50 ? name.substr(0, 45)+'…' : name);
			new Element('option', {
				'value': id,
				'label': n,
				'text': n
			}).inject(el);
		}

		var shouldSpin = true;
		var xhr = new Request.JSON({
			'url': '<?php echo url('api.php'); ?>',
			'onRequest': function() {
				(function() {
					if(shouldSpin && $('statistics-switch-wrap')) $('statistics-switch-wrap').getElement('h2').spin();
				}).delay(500);
			},
			'onSuccess': function(response) {
				shouldSpin = false;
				$('statistics-switch-wrap').getElement('h2').unspin();
				$('dashboard-analytics-files').empty();
				var sel = new Element('select', {
					'styles': {
						'width': '310px'
					}
				});
				if(response && response.files) {
					Object.each(response.files, function(file, idx) {
						addFileOpt(file.name, file.id, sel);
						Object.each(file.profiles, function(profile) {
							addFileOpt('&nbsp;&raquo;&nbsp;'+profile.name, profile.id, sel);
						});
					});
				}
				sel.inject($('dashboard-analytics-files')).setData('selectbox-tie', 'false').setData('behavior', 'SelectBox');
				new Behavior().apply($('dashboard-analytics-files'));
				$('dashboard-analytics-files').getElement('select').addEvent('change', showStats).fireEvent('change');
			},
			'onFailure': function() {
				shouldSpin = false;
				if($('dashboard-analytics')) $('dashboard-analytics').unspin();
			}
		});

		var showStats = function(event) {
			if(typeof event == 'undefined') return;
			var file_id = this.get('value');
			if(file_id.test('::')) {
				var profile = file_id.split('::');
				window.url('files.livestats.php?id='+profile[0]+'&profile='+profile[1]);
			} else {
				window.url('files.livestats.php?id='+file_id+'&profile=');
			}
		};

		$('dashboard-analytics-folders').addEvent('change', function() {
			var folder = this.get('value');
			xhr.send({
				'method': 'post',
				'data': {
					'username': '<?php echo $xs->userData->username; ?>',
					'password': '<?php echo $xs->userData->password; ?>',
					'method': 'files-list',
					'getProfiles': true,
					'folder_id': folder
				}
			});
		});
	}

	// Comments
	(function() {

		var list = $('livepane-social-comments-list');

		$$('#livepane-social-comments-reply-to div').addEvent('click', function() {
			$('thisFile').store('comment-reply-id', '');
			$('livepane-social-comments-reply-to').fade('out');
		});

		list.addEvent('click:relay(.evp-widget-comments-reply)', function() {
			var msg = this.getParent('.evp-widget-comments-message');
			$('thisFile').store('comment-reply-id', msg.getData('comment-id'));
			$('livepane-social-comments-reply-to').getElement('span').set('text', 'in reply to '+msg.getData('comment-name')+' ('+msg.getData('comment-email')+')');
			$('livepane-social-comments-reply-to').fade('in');
		});

		var client_name = Cookie.read('evs_client_name');
		var client_email = Cookie.read('evs_client_email') || '<?php echo $xs->userData->username; ?>';

		if($('livepane-social-comments-new-name')) {
			$('livepane-social-comments-new-name').set('value', (client_name || 'Your name')).addEvents({
				'focus': function() {
					if(this.get('value') == 'Your name') this.set('value', '');
				},
				'blur': function() {
					if(this.get('value') == '') this.set('value', 'Your name');
				}
			});
		}

		if($('livepane-social-comments-new-email')) {
			$('livepane-social-comments-new-email').set('value', (client_email || 'Your email')).addEvents({
				'focus': function() {
					if(this.get('value') == 'Your email') this.set('value', '');
				},
				'blur': function() {
					if(this.get('value') == '') this.set('value', 'Your email');
				}
			});
		}

		if($('livepane-social-comments-new-message')) {
			$('livepane-social-comments-new-message').set('value', 'Enter your comment').addEvents({
				'focus': function() {
					if(this.get('value') == 'Enter your comment') this.set('value', '');
				},
				'blur': function() {
					if(this.get('value') == '') this.set('value', 'Enter your comment');
				},
				'keypress': function(event) {
					if(event && event.key == 'enter') {
						var client_name = $('livepane-social-comments-new-name').get('value').trim();
						var client_email = $('livepane-social-comments-new-email').get('value').trim();
						var body = $('livepane-social-comments-new-message').get('value').trim();

						var parent_id = ($('thisFile').retrieve('comment-reply-id') || false);

						if(client_name.length >= 1 && client_email.length >= 1 && body.length >= 1) {
							Cookie.write('evs_client_name', client_name);
							Cookie.write('evs_client_email', client_email);

							var data = {
								'parent_id': parent_id || '',
								'file_ref': '<?php echo $file_ref; ?>',
								'date': new Date(),
								'name': client_name || '',
								'email': client_email || '',
								'body': body
							};

							$('livepane-social-comments-new-message').set('value', '');
							$('thisFile').store('comment-reply-id', '');
							$('livepane-social-comments-reply-to').fade('out');

							new Request.JSON({
								'url': '<?php echo url('api.php'); ?>',
								'onSuccess': function(response) {
									data.id = response.comment_id;
									data.isOperator = response.isOperator;
									if(list.getElement('[data-comment-id="'+data.id+'"]')) return; // Already added!
									var comment = stats_format_comment(data);
									if(!comment) return;
									comment = Elements.from(comment);

									if(data.parent_id) {

										var i = setInterval(function() {
											var parent = list.getElement('.evp-widget-comments-message[data-comment-id="'+data.parent_id+'"]');
											if(!parent) return false;
											clearInterval(i);

											var locateParents = function(id) {
												var count = 0;
												var fn = function(id) {
													var parent = list.getElement('.evp-widget-comments-message[data-comment-id="'+id+'"]');
													count++;
													if(parent.getData('parent-id')) {
														fn(parent.getData('parent-id'));
													}
												}
												fn(id);
												return count;
											}

											var parents = 1;
											if(parent.getData('parent-id')) parents += locateParents(parent.getData('parent-id'));

											var indent = 15 * parents;
											comment.setStyle('padding', '5px 0 5px '+indent+'px');
											comment.inject(parent, 'after');
										}, 5);

									} else {
										comment.inject(list, 'top');
									}
								}
							}).post(Object.merge({
								'method': 'public-comments-send'
							}, data));



						}
					}
				}
			});
		}

	})();
});

window.addEvent('load', function() {
	(function() {
		$('dashboard-analytics-folders').fireEvent('change');
	}).delay(500);
});
</script>

<div class="box alt clear">
	<div class="wrap auto" style="position:relative;padding-bottom:10px;" id="statistics-switch-wrap">
		<?php if(!$isClient) : ?>
			<h2 style="line-height:30px;">Select a video to view real-time stats: </h2>
			<div id="statistics-switch">
				<div class="align-left margin-left margin-right" style="width:140px;">
					<select id="dashboard-analytics-folders" data-behavior="SelectBox" data-selectbox-tie="false" style="width:110px">
						<?php
						function lf($folder, $depth = 0) {
							echo '<option value="'.$folder->id.'">'.(str_repeat('&nbsp;', $depth)).$folder->name.'</option>';
							if($folder->id != 0 && !empty($folder->subfolders)) {
								foreach($folder->subfolders as $sf) {
									lf($sf, $depth+1);
								}
							}
						}
						if(!empty($folders_list)) {
							foreach($folders_list as $folder) {
								lf($folder);
							}
						}
						?>
					</select>
				</div>
				<div class="align-left" id="dashboard-analytics-files" style="width:340px;"></div>
			</div>
		<?php endif; ?>
	</div>

	<div class="wrap" id="livestats">
		<div id="livestats-actionsbar">
			<h2><?php echo string_trim($file->name, 47); ?></h2>
			<ul>
				<li><a href="<?php echo url('files.embed.php', array('id' => $file->id, 'profile' => $profile), false); ?>"><img data-behavior="BetterTip" data-tip-direction="6" data-tip-width="120" data-tip-class="centre" rel="Get your embed code" src="<?php echo assets('assets/icons/large-magnify.png'); ?>" alt="" /></a></li>
				<?php if(!$xs->isMemberOf($xs->userData->id, 'Clients')): ?>
					<li><a href="<?php echo url('files.settings.php', array('id' => $file->id, 'profile' => $profile), false); ?>"><img data-behavior="BetterTip" data-tip-direction="6" data-tip-width="120" data-tip-class="centre" rel="Modify your video settings" src="<?php echo assets('assets/icons/large-wrench.png'); ?>" alt="" /></a></li>
					<li><a href="<?php echo url('files.timeline.php', array('id' => $file->id, 'profile' => $profile), false); ?>"><img data-behavior="BetterTip" data-tip-direction="6" data-tip-width="120" data-tip-class="centre" rel="Add Events to your video Timeline" src="<?php echo assets('assets/icons/large-timeline.png'); ?>" alt="" /></a></li>
				<?php endif; ?>
				<li><a href="<?php echo url('files.livestats.php', array('id' => $file->id, 'profile' => $profile), false); ?>"><img data-behavior="BetterTip" data-tip-direction="6" data-tip-width="120" data-tip-class="centre" rel="View your statistics" src="<?php echo assets('assets/icons/large-stats.png'); ?>" alt="" /></a></li>
				<li><a href="<?php echo $file->location; ?>"><img src="<?php echo assets('assets/icons/large-download.png'); ?>" alt="" data-behavior="BetterTip" data-tip-direction="6" data-tip-width="120" data-tip-class="centre" rel="Download your video file" /></a></li>
				<li><img data-behavior="BetterTip" data-tip-direction="6" data-tip-width="120" data-tip-class="centre" rel="Delete your statistics" src="<?php echo assets('assets/icons/large-clearstats.png'); ?>" alt="" style="cursor:pointer;" id="ui-delete-stats" /></li>
			</ul>
		</div>

		<div id="livephrases">
			<div id="livephrases-target"></div>
		</div>

		<ul id="livetab-list">
			<li id="livetab-basic"><span>Basic</span></li>
			<li id="livetab-engagement"><span>Engagement</span></li>
			<li id="livetab-social"><span>Social</span></li>
			<li id="livetab-income"><span>Income</span></li>
		</ul>

		<div id="livetab-panes">
			<div id="livepane-basic" class="livepane-pane">

				<div class="clear box alt ui-stats-pad"><div class="wrap self-clear auto">
					<h2><?php if($evp->options->hosted) : ?><span style="float:right;font-size:11px;color:#999;display:block;margin-top:4px;">Total stats for your video</span><?php endif; ?>Statistics</h2>
					<div data-behavior="Grid" data-grid-padding="10" class="stats-box">
						<div class="stats-box-icon stats-box-starts" data-column-width="130">
							<strong>Plays</strong>
							<span class="livestat livestat-basic-plays"></span>
						</div>
						<div class="stats-box-icon stats-box-completions" data-column-width="200">
							<strong>Completed plays</strong>
							<span class="livestat livestat-basic-completions"></span>
						</div>
						<div class="stats-box-icon stats-box-completion-percentage" data-column-width="185">
							<strong>Completion %</strong>
							<span class="livestat livestat-basic-completionpercentage"></span>
						</div>
						<div class="stats-box-icon stats-box-sales" data-column-width="170">
							<strong>Total sales</strong>
							<span class="livestat livestat-basic-totalsales"></span>
						</div>
						<div class="stats-box-icon stats-box-income" data-column-width="170">
							<strong>Total income</strong>
							<span class="livestat livestat-basic-totalincome"></span>
						</div>
					</div>
				</div></div>

				<div class="box alt"><div class="wrap auto">
					<h2>Most recently</h2>
					<div id="live-chart-thisweek" class="live-chart live-chart-full"></div>
				</div></div>

				<div class="box alt column"><div class="wrap auto">
					<h2><?php if($evp->options->hosted) : ?><span style="float:right;font-size:11px;color:#999;display:block;margin-top:4px;">In the last 30 days</span><?php endif; ?>Map of completed plays</h2>
					<div id="live-chart-geo-completes" class="live-chart"></div>
				</div></div>

				<div class="box alt column" id="live-chart-geoplay-wrap"><div class="wrap auto position-relative">
					<h2><?php if($evp->options->hosted) : ?><span style="float:right;font-size:11px;color:#999;display:block;margin-top:4px;">In the last 30 days</span><?php endif; ?>Completed plays by location</h2>
					<div id="live-chart-geoplay" class="live-chart"></div>
				</div></div>

				<div class="clear"></div>

				<div class="box alt" id="custom-platform-wrap"><div class="wrap auto position-relative">
					<h2><?php if($evp->options->hosted) : ?><span style="float:right;font-size:11px;color:#999;display:block;margin-top:4px;">In the last 30 days</span><?php endif; ?>Break down plays by device</h2>
					<div class="live-options self-clear margin-bottom">
						<div class="align-left" id="custom-platform-text-mobile"><span></span>% are mobile devices</div>
						<div class="align-right" id="custom-platform-text-desktop"><span></span>% are desktop browsers</div>
					</div>
					<div id="custom-platform"></div>
					<div class="clear"></div>
				</div></div>

				<div class="clear"></div>

				<div class="box alt"><div class="wrap auto">
					<h2><?php if($evp->options->hosted) : ?><span style="float:right;font-size:11px;color:#999;display:block;margin-top:4px;">In the last 30 days</span><?php endif; ?>Completed plays</h2>
					<div id="live-options-completedplays" class="live-options"></div>
					<div id="live-chart-completedplays-wrap" class="live-chart-wrapper">
						<div id="live-chart-completedplays" class="live-chart live-chart-full"></div>
					</div>
				</div></div>

				<div class="clear"></div>
			</div>

			<div id="livepane-engagement" class="livepane-pane">

				<div class="box alt"><div class="wrap auto">
					<h2><span style="float:right;font-size:11px;color:#999;display:block;margin-top:4px;">Tracked once per unique viewer over the last 30 days</span>Viewer engagement</h2>
					<div id="live-chart-progression" class="live-chart live-chart-full"></div>
				</div></div>

				<div class="box alt ui-stats-pad"><div class="wrap self-clear auto">
					<h2>Videolytics</h2>

					<div style="width: 400px; margin: 45px auto 0 auto;">
						<div class="stats-effectiveness-wrapper" style="position:relative;">
							<div id="stats-effectiveness-preview-wrap">
								<img class="stats-effectiveness-preview" src="<?php echo assets('assets/graphics/stats-skin-placeholder.png'); ?>" width="400" />
							</div>
							<div class="stats-effectiveness-bar">
								<div class="ui-gradient ui-gradient-black"></div>
							</div>
							<div class="stats-effectiveness-grid">
								<span class="start">0:00</span>
								<span class="drop livestat livestat-basic-dropoff"></span>
								<span class="end "><?php echo secondsToHMS($file->metadata['duration']); ?></span>
							</div>
						</div>
					</div>

					<div style="width:525px;margin:0 auto;">
						<div data-behavior="Grid" data-grid-padding="10" class="stats-box">
							<div class="stats-box-icon stats-box-videos" data-column-width="165">
								<strong>Drop-off time</strong>
								<span class="livestat livestat-basic-dropoff"></span>
							</div>
							<div class="stats-box-icon stats-box-completion-percentage" data-column-width="185">
								<strong>Yesterday's completion %</strong>
								<span class="livestat livestat-basic-yesterdaycompletionpercentage"></span>
							</div>
							<div class="stats-box-icon stats-box-completion-percentage" data-column-width="175">
								<strong>Today's completion %</strong>
								<span class="livestat livestat-basic-todaycompletionpercentage"></span>
							</div>
						</div>
					</div>

				</div></div>

			</div>

			<div id="livepane-social" class="livepane-pane">

				<div class="clear box alt ui-stats-pad"><div class="wrap self-clear auto">
					<h2>Social statistics</h2>
					<div data-behavior="Grid" data-grid-padding="10" class="stats-box stats-box-small">
						<div class="stats-box-icon stats-box-fb" data-column-width="140">
							<strong>Likes</strong>
							<span class="livestat livestat-social-facebook_likes"></span>
						</div>
						<div class="stats-box-icon stats-box-fb" data-column-width="170">
							<strong>Comments</strong>
							<span class="livestat livestat-social-facebook_comments"></span>
						</div>
						<div class="stats-box-icon stats-box-googleplus" data-column-width="130">
							<strong>+1s</strong>
							<span class="livestat livestat-social-google_shares"></span>
						</div>
						<div class="stats-box-icon stats-box-digg" data-column-width="130">
							<strong>Diggs</strong>
							<span class="livestat livestat-social-diggs"></span>
						</div>
						<div class="stats-box-icon stats-box-twitter" data-column-width="140">
							<strong>Tweets</strong>
							<span class="livestat livestat-social-twitter_shares"></span>
						</div>
						<div class="stats-box-icon stats-box-clickthrough" data-column-width="130">
							<strong>Redirects</strong>
							<span class="livestat livestat-social-redirects"></span>
						</div>
					</div>
				</div></div>

				<div class="box alt" id="live-chart-events-wrap"><div class="wrap auto">
					<h2 style="margin:0;">Event interactions</h2>
					<div id="live-table-events" class="live-table live-table-full"></div>
					<div class="clear"></div>
				</div></div>

				<div class="clear box alt" id="livepane-social-rating"><div class="wrap self-clear auto">
					<h2 style="margin-bottom:0;">Feedback</h2>
					<div class="body">
						<div class="livestat-pane-inner-left">
							<span class="livestat livestat-static-rating"></span>
							<span class="livestat-static-rating-divide">/</span>
							<span class="livestat-static-rating-max">5</span>
						</div>
						<div class="livestat-pane-inner-right">
							<div class="livestat-static-rating-pane" id="livestat-static-rating-pane-0">
								<p>Your video has not been rated! Add the widget to your player bar and wait for votes!</p>
							</div>
							<div class="livestat-static-rating-pane" id="livestat-static-rating-pane-1">
								<p>Your video has a low rating of only 1 out of 5! You should consider swapping this for a different video!</p>
							</div>
							<div class="livestat-static-rating-pane" id="livestat-static-rating-pane-2">
								<p>2 out of 5 stars is not bad!</p>
							</div>
							<div class="livestat-static-rating-pane" id="livestat-static-rating-pane-3">
								<p>People are satisfied with this video with a 3 out of 5 rating!</p>
							</div>
							<div class="livestat-static-rating-pane" id="livestat-static-rating-pane-4">
								<p>A very strong rating of 4 out of 5!</p>
							</div>
							<div class="livestat-static-rating-pane" id="livestat-static-rating-pane-5">
								<p>Excellent! You have a great rating - 5 out of 5! Clearly, people are enjoying this video!</p>
							</div>

						</div>
					</div>

				</div></div>

				<div class="box alt" id="live-chart-surveys-wrap"><div class="wrap auto">
					<h2 style="margin:0;">Surveys</h2>
					<div id="live-chart-surveys"></div>
					<div class="clear"></div>
				</div></div>

				<div class="clear box alt" id="livepane-social-comments"><div class="wrap self-clear auto">
					<h2 style="margin-bottom:0;">Comments</h2>
					<div class="body">
						<div class="livestat-pane-inner-left">
							<p><span class="livestat livestat-static-comments-total"></span> total comments</p>
							<p><span class="livestat livestat-static-commenters-total"></span> individual commenters</p>
							<p><span class="livestat livestat-static-comments-today"></span> comments today</p>
							<p><span class="livestat livestat-static-harvested-comments"></span> commenters added to your mailing list</p>
						</div>
						<div class="livestat-pane-inner-right">

							<div id="livepane-social-comments-new">
								<div id="livepane-social-comments-new-reply">

								</div>

								<input type="text" id="livepane-social-comments-new-name" />
								<input type="text" id="livepane-social-comments-new-email" />
								<input type="text" id="livepane-social-comments-new-message" />

								<div id="livepane-social-comments-reply-to"><div class="ui-icon ui-icon-delete"></div><span></span></div>
							</div>

							<div id="livepane-social-comments-list"></div>

						</div>
					</div>

				</div></div>

				<div class="clear box alt ui-stats-pad" id="live-chart-socialengagement-wrap"><div class="wrap auto">
					<h2>Which social media tool works best for me?</h2>
					<div id="live-chart-socialengagement" class="live-chart live-chart-full"></div>
				</div></div>

				<div class="box alt" id="live-chart-referrer-wrap"><div class="wrap auto">
					<h2 style="margin:0;"><?php if($evp->options->hosted) : ?><span style="float:right;font-size:11px;color:#999;display:block;margin-top:4px;">In the last 30 days</span><?php endif; ?>Referrers</h2>
					<div id="live-table-referrers" class="live-table"></div>
					<div id="live-chart-referrers" class="live-chart"></div>
					<div class="clear"></div>
				</div></div>

			</div>

			<div id="livepane-income" class="livepane-pane">

				<div class="clear box alt ui-stats-pad"><div class="wrap self-clear auto">
					<h2>Income statistics</h2>
					<div data-behavior="Grid" data-grid-padding="10" class="stats-box" style="margin:0 0 0 150px;">
						<div class="stats-box-icon stats-box-starts" data-column-width="200">
							<strong>Conversions</strong>
							<span class="livestat livestat-income-total_conversions"></span>
						</div>
						<div class="stats-box-icon stats-box-completion-percentage" data-column-width="200">
							<strong>Upsells</strong>
							<span class="livestat livestat-income-upsells"></span>
						</div>
						<div class="stats-box-icon stats-box-income" data-column-width="200">
							<strong>Total sales</strong>
							<span class="livestat livestat-income-total_sales"></span>
						</div>
					</div>
					<div data-behavior="Grid" data-grid-padding="10" class="stats-box" style="margin:0 0 0 145px;">
						<div class="stats-box-icon stats-box-completions" data-column-width="200">
							<strong>Conversion income</strong>
							<span class="livestat livestat-basic-conversion_income"></span>
						</div>
						<div class="stats-box-icon stats-box-sales" data-column-width="200">
							<strong>Upsell income</strong>
							<span class="livestat livestat-income-upsell_income"></span>
						</div>
						<div class="stats-box-icon stats-box-income" data-column-width="200">
							<strong>Total income</strong>
							<span class="livestat livestat-income-total_income"></span>
						</div>
					</div>
				</div></div>

				<div class="clear box alt ui-stats-pad" id="live-chart-incomeproducts-wrap"><div class="wrap auto">
					<h2>Income statistics</h2>
					<div id="live-chart-incomeproducts" class="live-chart"></div>
				</div></div>

			</div>
		</div>

	<div class="clear"></div>
</div></div>
