<?php include('application.php'); include('application.bootstrap.php'); ?>

<?php
// Get the file
$file = $evp->getFile($_GET['file_id']);

$file_ref = $file->id;

// Get the profile
$profile = trim($_GET['profile']);
if(!empty($profile)) {
	$profile = str_replace($file->id.'::', '', $profile);
	$file_ref.= '::'.$profile;
}

// Get the file settings
$file_settings = $evp->collateFileSettings($file, $profile);

if($file->prettySource == 'youtube') $file_settings->options['skin'] = 'evs-m-1';

// For uploading splash images
$file_image_seed = makeSeed($file->name).'-';
$upload_url = url('admin/xhr.upload.image.php', array('destination' => (!empty($evp->s3)), 'prefix' => $file_image_seed));
$upload_path = url('assets/videos/');
if(!empty($evp->s3)) {
	$upload_path = "https://{$evp->settings->s3_bucket}.s3.amazonaws.com/";
}
?>

<script type="text/javascript">
<?php if($file->id == 'default') : ?>
window.onbeforeunload = function() {
	var msg = '** WARNING **\n\nIf you leave this page now, your default settings will NOT be saved or applied to new videos! Please cancel and continue through all of the steps!';
	return msg;
};
<?php endif; ?>
window.addEvent('domready', function() {
	<?php include($config['locations']['themePath'].'include.attach.php'); ?>

	EVP_Help.setContext({
		'content': '<p>All of the visual settings for your videos can be customised using this easy-to-use builder below.</p>',
		'video': 'basic-videosettings.mp4'
	});

	<?php if($file->id == 'default') : ?>
	if($('breadcrumbs')) $('breadcrumbs').setStyle('display', 'none');
	<?php endif; ?>

	EVP_Helpers.setBreadcrumb(2);

	// Make the tabs
	var ts = new TabSwapper({
		'tabs': $('options').getElements('ul.tabs li'),
		'sections': $('panels').getElements('> .tab-panel'),
		'smooth': true,
		'rearrangeDOM': false,
		'onActive': function(idx, panel, tab) {

		//if(idx == 5) {
			if(tab.get('id') == 'tab-confirm') {
				$('player-preview-area').dissolve();
			} else {
				$('player-preview-area').reveal();
			}

			if(!(Browser.Engine.trident && Browser.Engine.version <= 8) && $('frames') && $('thisFile').retrieve('frames_disabled') === true) {
				$('frames').spin({'message': 'You cannot use frames in conjunction with a lightbox, nor tooltip overlay.', 'class': 'spinner spinner-nospin spinner-panels'});
			} else if($('frames')) {
				$('frames').unspin();
			}

			if(!(Browser.Engine.trident && Browser.Engine.version <= 8) && $('shadows') && $('thisFile').retrieve('shadows_disabled') === true) {
				$('shadows').spin({'message': 'You cannot use shadows in conjunction with a lightbox, nor tooltip overlay.', 'class': 'spinner spinner-nospin spinner-panels'});
			} else if($('shadows')) {
				$('shadows').unspin();
			}

			<?php
			$cf = ($evp->settings->use_cloudfront && $evp->settings->use_cloudfront_std != 1 && $file->source == 2);
			if($file->source != 3 && !$cf) : ?>
			if($('general-using_delayedstart-wrapper')) {
				if(!(Browser.Engine.trident && Browser.Engine.version <= 8)) {
					$('general-using_delayedstart-wrapper').spin({'message': 'You can only use the Delayed Start feature with RTMP CloudFront or YouTube videos!', 'class': 'spinner spinner-nospin spinner-panels'});
				} else {
					$('general-using_delayedstart-wrapper').dispose();
				}
			}
			<?php endif; ?>

			// IE needs to remake the select boxes or the width is wrong
			// This will break non-IE browsers as the 'change' event gets triggered
			// and every pane view will show the CSS animation - madness
			if(Browser.Engine.trident && Browser.Engine.version <= 8) {
				if($('general-player_entrance') && $('general-player_entrance').retrieve('mooselecta')) {
					$('general-player_entrance').retrieve('mooselecta').replaceSelect($('general-player_entrance'));
				}
			}

			if($('ui-save')) $('ui-save').unspin();

			$('player-genuine-wrap').setStyle('display', 'none');
			$('player-genuine').empty();
			$('player-preview').setStyle('display', 'block').fade('in');

			if(panel.getData('remote-content') && !panel.retrieve('setup')) {
				var widgetArea = new WidgetisedArea(panel.getData('remote-content'), {'file_id': '<?php echo $file->id; ?>', 'profile': '<?php echo $profile; ?>'}, {
				//'spin': $('panels'),
					'update': panel,
					'update-method': 'update',
					'animation': 'fade'
				});
				panel.store('widgetArea', widgetArea);
				panel.store('setup', true);
				widgetArea.start();
			} else if(panel.getData('remote-content')) {
				panel.retrieve('widgetArea').start();
			}
		}
	});

	$('thisFile').store('settingsTabSwapper', ts);

	var xhr = new Request({
		'url': '<?php echo url('admin/xhr.php'); ?>',
		'method': 'post',
		'onRequest': function() {
		//$('body').spin({'message': 'Saving your video settings..'});
			$('body').getElement('.box').spin({'message': 'Saving your video settings..'});
		},
		'onSuccess': function(responseText, responseXML) {
			window.url.delay(500, window, [window.retrieve('next-url')]);
		},
		'onFailure': function() {
			$('body').unspin();
		}
	});
	$('thisFile').store('save', xhr);

	if($('settings-confirm-timeline')) {
		$('settings-confirm-timeline').addEvent('click', function() {
			var file_id = $('thisFile').retrieve('file_id'), file_profile = $('thisFile').retrieve('file_profile');
			window.store('next-url', '<?php echo url('admin/files.timeline.php'); ?>?id='+file_id+'&profile='+file_profile);

			EVP_Helpers.setBreadcrumb(3);

			window.onbeforeunload = null;
			$('thisFile').retrieve('save').send({
				'method': 'post',
				'data': {
					'method': 'file_setdata',
					'file_ref': $('thisFile').retrieve('file_ref'),
					'data': {
						'options': $('thisFile').retrieve('data'),
						'widgets': $('thisFile').retrieve('widgets')
					},
					'relevant': ['options', 'widgets']
				}
			});
		});
	}

	if($('settings-confirm-embed')) {
		$('settings-confirm-embed').addEvent('click', function() {
			var file_id = $('thisFile').retrieve('file_id'), file_profile = $('thisFile').retrieve('file_profile'), data = $('thisFile').retrieve('data');

			<?php if($file->id == 'default') : ?>
			window.store('next-url', '<?php echo url('admin/'); ?>'+(data.video_page_disabled == true ? 'settings.php?default_saved=success' : 'files.page.php?1=1')+'&id='+file_id+'&profile='+file_profile);
			<?php else : ?>
			window.store('next-url', '<?php echo url('admin/files.embed.php'); ?>?id='+file_id+'&profile='+file_profile);
			<?php endif; ?>

			EVP_Helpers.setBreadcrumb(4);

			window.onbeforeunload = null;
			$('thisFile').retrieve('save').send({
				'method': 'post',
				'data': {
					'method': 'file_setdata',
					'file_ref': $('thisFile').retrieve('file_ref'),
					'data': {
						'options': $('thisFile').retrieve('data'),
						'widgets': $('thisFile').retrieve('widgets')
					},
					'relevant': ['options', 'widgets']
				}
			});
		});

		if($('breadcrumb-link-timeline')) {
			$('breadcrumb-link-timeline').removeEvents('click').addEvent('click', function(event) {
				if(event) event.stop();
				$('settings-confirm-timeline').fireEvent('click');
			});
		}

		if($('breadcrumb-link-embed')) {
			$('breadcrumb-link-embed').removeEvents('click').addEvent('click', function(event) {
				if(event) event.stop();
				$('settings-confirm-embed').fireEvent('click');
			});
		}
	}

	$$('.ui-return').addEvent('click', function(event) {
		if(event) event.stop();
		if($('ui-save')) $('ui-save').unspin();
	//$('ui-save-options').reveal();
		$('ui-embed-wrap').dissolve();
		$('player-genuine-wrap').setStyle('display', 'none');
		$('player-genuine').empty();
		$('player-preview').setStyle('display', 'block').fade('in');
		ts.show(0);
	});

	$$('.ui-options-next').addEvent('click', function() {
		ts.show(ts.now + 1);
	});

	$$('.ui-options-back').addEvent('click', function() {
		ts.show(ts.now - 1);
	});
});

function ui_fade_preview() {
	$$('#player-preview').tween('opacity', 0);
}

function ui_restore_preview() {
	$$('#player-preview').tween('opacity', 1);
}
</script>

<div class="box"><div class="wrap">

	<h2 style="margin-top:-3px;"><span>Build the video player<?php if($file->id !== 'default') : ?> for </span>"<?php echo $file->name; ?>"<?php endif; ?></h2>

	<?php if($file->source == 2 && empty($file->thumbnail_count)) : ?>
	<p class="help" style="font-size:16px;background-image:none;padding:10px;"><a href="<?php echo url('admin/upload.php#upload-choice-basic'); ?>" style="text-decoration:none;">We notice that this video was <strong>not</strong> converted and uploaded using our world-class desktop software! We strongly advise that, for ultimate performance, you convert and upload using our desktop app. Click here for more information!</a></p>
	<?php endif; ?>

	<?php if($file->source == 2 && $evp->settings->use_cloudfront != '1') : ?>
	<p class="help" style="font-size:16px;background-image:none;padding:10px;">Have you heard of <a href="http://aws.amazon.com/cloudfront/" target="_blank" style="text-decoration:underline;">Amazon CloudFront</a>? CloudFront is a global content delivery network that can dramatically speed up your video loading times, either by replicating it to servers around the world or by using RTMP streaming. <a href="<?php echo url('admin/settings.php'); ?>" style="text-decoration:none;">Click here if you want to get started using CloudFront!</a></p>
	<?php endif; ?>

	<div class="area player-preview-type-<?php echo $file->type; ?>" id="player-preview-area">
		<div id="player-preview-wrapper">
			<div id="player-preview">
				<div id="player-preview-frame"></div>
				<div id="player-preview-skin"></div>
				<div id="player-preview-expiration_bar"></div>
				<div id="player-preview-bar">
					<div id="player-preview-bar-row1"></div>
					<div id="player-preview-bar-row2"></div>
				</div>
				<div id="player-preview-shadow"><div class="player-preview-shadow-bottom-left"></div><div class="player-preview-shadow-bottom-middle"></div><div class="player-preview-shadow-bottom-right"></div></div>
			</div>
			<center id="player-genuine-wrap"><div id="player-genuine-position"><div id="player-genuine"></div></div></center>
		</div>
	</div>

	<div id="focus" class="focus-type-<?php echo $file->type; ?>">
		<div id="options">
			<ul class="tabs">
				<li id="tab-general"><img src="<?php echo $config['locations']['themeDir']; ?>assets/icons-custom/player-settings.png" alt="" /><?php echo ucfirst($file->type); ?></li>
				<li id="tab-skin"><img src="<?php echo $config['locations']['themeDir']; ?>assets/icons-custom/player-skin.png" alt="" />Player</li>
				<?php if($file->type == 'video') : ?>
					<li id="tab-frame"><img src="<?php echo $config['locations']['themeDir']; ?>assets/icons-custom/player-frame.png" alt="" />Frame</li>
				<?php endif; ?>
				<li id="tab-bar"><img src="<?php echo $config['locations']['themeDir']; ?>assets/icons-custom/player-bar.png" alt="" />Bar</li>
				<li id="tab-shadow"><img src="<?php echo $config['locations']['themeDir']; ?>assets/icons-custom/player-shadow.png" alt="" />Shadow</li>
				<li id="tab-confirm"><img src="<?php echo $config['locations']['themeDir']; ?>assets/icons-custom/player-settings.png" alt="" />Finalise</li>
			</ul>
		</div>
		<div id="panels">
			<div class="tab-panel styled descend"><div class="wrap">

				<script type="text/javascript">
				window.addEvent('domready', function() {
					if($('general-width') || $('general-height')) {
						if($('general-width')) var width = $('general-width').store('original', $('thisFile').retrieve('data').width);
						if($('general-height')) var height = $('general-height').store('original', $('thisFile').retrieve('data').height);

						$$(width, height).addEvents({
							'change': function() {
								if(!$('general-aspect-ratio')) return;
								var aspect = $('general-aspect-ratio').get('checked') || false;
								if(!aspect) {
									this.store('original', this.get('value').toInt());
								}
							},
							'focus': function() {
								this.store('original', this.get('value').toInt());
							},
							'blur': function() {
								if(!$('general-aspect-ratio')) return;
								var aspect = $('general-aspect-ratio').get('checked') || false;
								if(aspect) {
									if(this.get('value') != '' && !isNaN(this.get('value'))) {
										var change = ((this.get('id') == 'general-width') ? height : width);
										var leave = ((this.get('id') == 'general-width') ? width : height);

										var w = $('general-width').get('value').toInt();
										var h = $('general-height').get('value').toInt();

										var wo = $('general-width').retrieve('original');
										var ho = $('general-height').retrieve('original');

										if(this.get('id') == 'general-width') {
											var diff = w / wo;
											var n = Math.ceil(ho * diff);
										} else {
											var diff = h / ho;
											var n = Math.ceil(wo * diff);
										}

										change.set('value', n).store('original', n).fireEvent('change');
										this.store('original', this.get('value').toInt());
									//$('general-aspect-ratio').set('checked', false);
									} else {
										this.store('original', this.get('value').toInt());
									}
								}
							}
						});
					}

					<?php if($file->id == 'default') : ?>
					if($('general-aspect-ratio')) {
						$('general-aspect-ratio').set('title', 'Aspect ratio').set('rel', 'We STRONGLY advise you do not untick this and set a specific height, as this might distort your videos and leave black bars to the sides!');
						new Tips.Pointy($('general-aspect-ratio'), {
							'pointyTipOptions': {
								'point': 6
							}
						});
						$('general-aspect-ratio').addEvent('change', function() {
							var y = !!this.get('checked');
							var data = $('thisFile').retrieve('data');
							if(y) {
								if($('general-height')) {
									if($('general-height-wrap')) {
										$('general-height-wrap').dissolve();
										data.height = 'false';
										data.preserveAspectRatio = true;
									}
								}
							} else {
								data.preserveAspectRatio = false;
								if($('general-height-wrap')) {
									$('general-height-wrap').reveal();
								}
							}
							$('thisFile').store('data', data);
						});
					}

					var data = $('thisFile').retrieve('data');
					var default_height = data.height;
					if($('general-height-wrap') && (isNaN(parseInt(default_height)) || parseInt(default_height) === 0 || data.preserveAspectRatio == true)) {
						$('general-height-wrap').dissolve();
						data.preserveAspectRatio = true;
					} else if($('general-aspect-ratio')) {
						$('general-aspect-ratio').set('checked', false);
						data.preserveAspectRatio = false;
					}

					<?php endif; ?>

					if($('general-restore-size')) {
						$('general-restore-size').addEvent('click', function() {
							var data = $('thisFile').retrieve('data');
							var orig = $('general-aspect-ratio').get('checked');
							$('general-aspect-ratio').set('checked', false);
							$('general-width').set('value', $('general-width').getData('nativeWidth')).fireEvent('change');
							$('general-height').set('value', $('general-height').getData('nativeHeight')).fireEvent('change');
							$('general-aspect-ratio').set('checked', orig);
						});
					//(function() { $('general-restore-size').fireEvent('click'); }).delay(250);
					}

					if($('general-auto_play')) {
						$('general-auto_play').addEvent('change', function() {
							if(this.get('checked')) {
								$('general-cookied_auto_play-wrap').reveal();
							} else {
								$('general-cookied_auto_play-wrap').dissolve();
							}
						});
					}

					if($('general-player_entrance')) {
						$('general-player_entrance').addEvent('change', function() {
							var o = this.options[this.selectedIndex];
							var current = $(o).get('value');
							var el = $('player-preview');
							if(current == 'fade') {
								el.setStyle('opacity', 0).fade('in');
							} else if(current == 'slide') {
								el.setStyle('display', 'none').reveal();
							} else {
								el.set('class', '');
								(function() {
									el.set('class', 'animated '+current.substr(5));
								}).delay(100);
							}
						});
					}

					if($('related_image_mode')) {

						(function() {
							var setRelatedImage = function(mode) {
							//if(mode !== 'nothing') $('general-image-wrap').reveal();

								if(mode == 'lightbox') {
									if(!(Browser.Engine.trident && Browser.Engine.version <= 8)) $('player-preview-area').tween('border', '4px solid #999');
									if($('general-lightbox-style-wrap')) $('general-lightbox-style-wrap').reveal();
									if($('player-lightsout-wrapper')) $('player-lightsout-wrapper').dissolve();
									if($('general-auto_trigger-wrap')) $('general-auto_trigger-wrap').reveal();

									(function() {
										if($('no-frame')) {
											window.evpselectframe('no-frame');
											$('thisFile').store('frames_disabled', true);
										}

										if($('no-shadow')) {
											window.evpselectshadow('no-shadow');
											$('thisFile').store('shadows_disabled', true);
										}
									}).delay(250);

								} else {
									if(!(Browser.Engine.trident && Browser.Engine.version <= 8)) $('player-preview-area').tween('border', '1px solid #CBD7E3');
									if($('general-lightbox-style-wrap')) $('general-lightbox-style-wrap').dissolve();
									if($('player-lightsout-wrapper')) $('player-lightsout-wrapper').reveal();
									if($('general-auto_trigger-wrap')) $('general-auto_trigger-wrap').dissolve();

									$('thisFile').store('frames_disabled', false);
									$('thisFile').store('shadows_disabled', false);
								}

								if(mode == 'splash' || mode == 'lightbox' || mode == 'tooltip') {
									$('general-related_image_play-wrap').reveal();
								} else {
									$('general-related_image_play-wrap').dissolve();
								}

								if(mode == 'splash') {
									$('general-related_image_label-wrap').setStyle('display', 'block');
								} else {
									$('general-related_image_label-wrap').setStyle('display', 'none');
								}

								if(mode == 'tooltip') {
									(function() {
										if($('no-frame')) {
											window.evpselectframe('no-frame');
											$('thisFile').store('frames_disabled', true);
										}

										if($('no-shadow')) {
											window.evpselectshadow('no-shadow');
											$('thisFile').store('shadows_disabled', true);
										}
									}).delay(250);
								}

								var data = $('thisFile').retrieve('data');
								data.related_image_mode = mode;
								$('thisFile').store('data', data);

								if(typeof window.splashuploader !== 'undefined') setTimeout(function() { try { window.splashuploader.refresh(); } catch(e) {} }, 600);
							}

							$('related_image_mode').addEvent('change', function() {
								setRelatedImage(this.get('value'));
							});

							setRelatedImage($('thisFile').retrieve('data').related_image_mode || 'nothing');

							$('general-related_img').addEvent('change', function() {
								var checked = !!this.get('checked');
								if(checked) {
									var data = $('thisFile').retrieve('data');
									if(data.related_image_mode == 'none') data.related_image_mode = 'nothing';
									$('thisFile').store('data', data);
									$('general-image-wrap').reveal();
								} else {
									$('general-image-wrap').dissolve();
									var data = $('thisFile').retrieve('data');
									data.related_image_mode = 'none';
									$('thisFile').store('data', data);
									setRelatedImage('none');
								}
							});

							var data = $('thisFile').retrieve('data');
							if(data.related_image_mode != 'none' && data.related_image !== '' && data.related_image.indexOf('<?php echo url('player/images/no-image.png'); ?>') === -1) {
								$('general-related_img').set('checked', false).retrieve('iPhoneSwitchWrap').fireEvent('click');
								$('general-image-wrap').reveal();
							} else {
								$('general-related_img').set('checked', true).retrieve('iPhoneSwitchWrap').fireEvent('click');
								$('general-image-wrap').dissolve();
							}

						}).delay(500);
					}

					if($('general-image-uploader-delete')) {
						$('general-image-uploader-delete').addEvent('click', function() {
							$('general-image-wrap').dissolve();
							var data = $('thisFile').retrieve('data');
							data.related_image_mode = 'none';
							$('thisFile').store('data', data);
						});
					}

					window['evp-splash-go'] = function($) {
						if(!document.id('general-image')) return false;
						if(typeof window.splashuploader != 'undefined' && typeof window.splashuploader.destroy == 'function') {
							window.splashuploader.destroy();
							if(typeof console != 'undefined') console.warn('Destroyed old splash instance.');
						}
						if(typeof console != 'undefined') console.log('Starting splash uploader');

						var uploader = window.splashuploader = new plupload.Uploader({
							'runtimes': 'html5',
							'browse_button': 'general-image-uploader-select',
							'container': 'general-image',
							'max_file_size': '10mb',
							'file_data_name': 'file',
							'url': '<?php echo $upload_url; ?>',
							'filters': [
								{'title': "Images", 'extensions': "jpg,jpeg,gif,png,JPG,JPEG,GIF,PNG"}
							]
						});

						uploader.bind('Error', function(up, err) {
							if(typeof console != 'undefined') {
								console.error(err.message+' from the splash uploader.');
								console.log(err, uploader);
							}

							if(err.message == 'Init error.') {
								window['evp-splashuploader'] = setTimeout(function() {
									window['evp-splash-go'](jQuery);
								}, 200);
							} else {
								if(typeof window['evp-splashinterval'] != 'undefined') clearInterval(window['evp-splashinterval']);
								alert(err.message);
								document.id('general-image').unspin();
								up.refresh(); // Reposition Flash/Silverlight
							}
						});

						uploader.bind('Init', function() {
							clearInterval(window['evp-splashuploader']);
						});

						uploader.bind('FilesAdded', function(up, files) {
							document.id('general-image').spin({'class': 'spinner-panels', 'message': '0%'});

							(function() {
								up.start();
							}).delay(1000);
						});

						uploader.bind('UploadProgress', function(up, file) {
							document.id('general-image').getNext('.spinner-panels').getElement('.spinner-msg').set('text', file.percent+'%')
						});

						uploader.bind('FileUploaded', function(up, file) {
							// Get the image
							var amazon_name = '<?php echo $file_image_seed; ?>'+file.name;
							var amazon_location = '<?php echo $upload_path; ?>';

							// Update the preview
							var r = new Date().getTime();
							document.id('general-image').getElement('img').set('src', amazon_location+amazon_name+'?v='+r).addEvent('load', function() {
								document.id('general-image').unspin();

								var clone = this.clone().setStyles({
									'width': 'auto',
									'height': 'auto'
								}).inject(document.body, 'bottom');

								(function() {
									clone.measure(function() {
										var d = this.getSize();

										var data = document.id('thisFile').retrieve('data');

										data.splash_width = d.x;
										data.splash_height = d.y;

										document.id('thisFile').store('data', data);
									});
									clone.setStyle('display', 'none');

								}).delay(500);
							});

							// Update the data
							var data = document.id('thisFile').retrieve('data');
							data.related_image = amazon_location+amazon_name;
							document.id('thisFile').store('data', data);
						});

						uploader.init();
					};

					setTimeout(function() {
						window['evp-splash-go'](jQuery);
					}, 1500);
				});
				</script>

				<div class="align-left" style="width:250px;">
					<div data-behavior="Grid" data-grid-padding="10">
						<div data-column-width="100">
							<div class="setting-group" id="general-width-wrap">
								<label for="general-width">Width</label>
								<input data-native-width="<?php echo $file->metadata['nativeWidth']; ?>" name="width" id="general-width" type="number" min="0" max="1500" data-behavior="EvpTieToElement" style="width:50px;" />
							</div>
						</div>
						<div data-column-width="130">
							<div class="setting-group" id="general-height-wrap">
								<?php if($file->type == 'video') : ?>
									<label for="general-height">Height</label>
									<input data-native-height="<?php echo $file->metadata['nativeHeight']; ?>" name="height" id="general-height" type="number" min="0" max="1500" data-behavior="EvpTieToElement" style="width:50px;" />
								<?php endif; ?>
							</div>
						</div>
					</div>
					<div class="setting-group clear" style="margin-left:22px;">
						<?php if($file->type == 'video') : ?>
							<label for="general-height" style="float: left; font-weight: normal; font-size: 12px;">Preserve aspect ratio?</label>
							<input type="checkbox" id="general-aspect-ratio" checked="checked" />
							<?php if($file->id !== 'default') : ?>
								<div class="margin-top">
									<a data-button-type="action_small" data-behavior="Button" data-button-padding="2px 4px" data-button-width="130" id="general-restore-size">Restore original size</a>
								</div>
							<?php endif; ?>
						<?php endif; ?>
					</div>
				</div>

				<div class="align-left" style="width:250px;">
					<div data-behavior="Grid" data-grid-padding="10">
						<div data-column-width="110">
							<?php if($file->source != 3) : ?>
							<div class="setting-group">
								<label for="general-auto_buffer">Auto-buffer</label>
								<input name="auto_buffer" id="general-auto_buffer" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
							</div>
							<?php endif; ?>
							<div class="setting-group" id="general-pause_focus_lost-wrap">
								<label for="general-pause_focus_lost">Pause when focus lost?</label>
								<input name="pause_focus_lost" id="general-pause_focus_lost" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
							</div>
							<div class="setting-group" id="general-play_viewport-wrap">
								<label for="general-play_viewport" style="font-size:13px;">Auto-play when visible?</label>
								<input name="play_viewport" id="general-play_viewport" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
							</div>
							<?php if($config['locations']['subdomain'] === 'lpemedia') : ?>
							<div class="setting-group">
								<label for="general-disable_pause">Disable pausing?</label>
								<input name="disable_pause" id="general-disable_pause" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
							</div>
							<?php endif; ?>
							<?php if($file->id == 'default') : ?>
							<div class="setting-group">
								<label>Disable video page?</label>
								<input name="video_page_disabled" value="true" type="checkbox" data-behavior="EvpTieToElement iPhoneCheckbox" />
							</div>
							<?php endif; ?>
						</div>
						<div data-column-width="110">
							<div class="setting-group">
								<label for="general-auto_play">Auto-play</label>
								<input name="auto_play" id="general-auto_play" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
							</div>
							<div class="setting-group" id="general-cookied_auto_play-wrap">
								<label for="general-cookied_auto_play">Cookied auto-play</label>
								<input name="cookied_auto_play" id="general-cookied_auto_play" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
							</div>
							<div class="setting-group" id="general-auto_trigger-wrap">
								<label for="general-auto_trigger">Auto-start lightbox?</label>
								<input name="auto_trigger" id="general-auto_trigger" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
							</div>
						</div>
					</div>
				</div>

				<?php if($evp->s3 || $evp->local) : ?>
				<div class="align-left" style="width: 310px;">

				<label for="general-related_img" style="float:left;margin:0 10px 10px 0;line-height:36px;">Use a related image?</label>
				<div class="align-left"><input name="related_img" id="general-related_img" type="checkbox" data-behavior="iPhoneCheckbox" /></div>

					<div id="general-image-wrap" class="clear margin-top">
						<div id="general-image" class="margin-bottom align-left margin-right">
							<img src="<?php echo $file_settings->options['related_image']; ?>" alt="" />
							<a class="margin-top margin-bottom" id="general-image-uploader-select" data-behavior="Button" data-button-type="small" data-button-width="90">Select image</a>
						</div>
						<div id="general-image-uploader" class="align-left">
							<div id="general-image-list"></div>

							<div class="clear setting-group" id="general-related_image_options-wrap">
								<label for="related_image_mode">Additional image options</label>
								<select name="related_image_mode" id="related_image_mode" data-behavior="SelectBox" style="width:150px;">
									<option value="nothing">None</option>
									<option value="splash">Use as a splash image</option>
									<option value="lightbox">Use to trigger a lightbox</option>
									<option value="tooltip">Use as a tooltip overlay</option>
								</select>
							</div>

							<div class="clear setting-group" id="general-lightbox-style-wrap">
								<label for="general-lightbox-style">Lightbox style</label>
								<select name="lightbox_style" id="general-lightbox-style" data-behavior="SelectBox">
									<option value="style-1">Dark &amp; hatched</option> <!-- ex 1 -->
									<option value="style-2">Dark &amp; plain</option> <!-- ex 3 -->
									<option value="style-3">Light &amp; curved</option> <!-- ex 4 -->
									<option value="style-4">Light &amp; plain</option> <!-- ex 2 -->
									<option value="style-5">Contained</option> <!-- ex 5 -->
								</select>
							</div>

							<div class="clear setting-group" id="general-related_image_play-wrap">
								<label for="general-related_image_play">Show the 'Play' icon?</label>
								<input name="related_image_play" id="general-related_image_play" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
							</div>
						</div>
						<div class="clear"></div>
					</div>
				</div>
				<?php endif; ?>

				<div class="clear"></div>
				<div class="align-right" style="text-align: center;">
					<a class="ui-options-next" data-behavior="Button" data-button-icon="forward" data-button-iconpos="right" data-button-width="60">Next</a>
				</div>
				<div class="clear"></div>
			</div></div>

			<div class="tab-panel"><div class="wrap">
				<?php include(getWidgetInclude('files.settings.skin')); ?>
				<div class="clear"></div>
				<div class="align-left">
					<a class="ui-options-back" data-behavior="Button" data-button-icon="back" data-button-iconpos="left" data-button-width="60">Back</a>
				</div>
				<div class="align-right" style="text-align: center;">
					<a class="ui-options-next" data-behavior="Button" data-button-icon="forward" data-button-iconpos="right" data-button-width="60">Next</a>
				</div>
				<div class="clear"></div>
			</div></div>

			<?php if($file->type == 'video') : ?>
				<div class="tab-panel"><div class="wrap">
					<?php include(getWidgetInclude('files.settings.frame')); ?>
					<div class="clear"></div>
					<div class="align-left">
						<a class="ui-options-back" data-behavior="Button" data-button-icon="back" data-button-iconpos="left" data-button-width="60">Back</a>
					</div>
					<div class="align-right" style="text-align: center;">
						<a class="ui-options-next" data-behavior="Button" data-button-icon="forward" data-button-iconpos="right" data-button-width="60">Next</a>
					</div>
					<div class="clear"></div>
				</div></div>
			<?php endif; ?>

			<div class="tab-panel"><div class="wrap">
				<?php include(getWidgetInclude('files.settings.bar')); ?>
				<div class="clear"></div>
				<div class="align-left">
					<a class="ui-options-back" data-behavior="Button" data-button-icon="back" data-button-iconpos="left" data-button-width="60">Back</a>
				</div>
				<div class="align-right" style="text-align: center;">
					<a class="ui-options-next" data-behavior="Button" data-button-icon="forward" data-button-iconpos="right" data-button-width="60">Next</a>
				</div>
				<div class="clear"></div>
			</div></div>

			<div class="tab-panel"><div class="wrap">
				<?php include(getWidgetInclude('files.settings.shadow')); ?>
				<div class="clear"></div>
				<div class="align-left">
					<a class="ui-options-back" data-behavior="Button" data-button-icon="back" data-button-iconpos="left" data-button-width="60">Back</a>
				</div>
				<div class="align-right" style="text-align: center;">
					<a class="ui-options-next" data-behavior="Button" data-button-icon="forward" data-button-iconpos="right" data-button-width="60">Next</a>
				</div>
				<div class="clear"></div>
			</div></div>

			<div class="tab-panel"><div class="wrap">

				<div id="settings-confirm">
					<p>Do you want to add interactive Events onto the Timeline of your video?</p>

					<div class="align-left">
					<div data-behavior="Button" data-button-width="150" data-button-type="action" data-button-icon="back" data-button-iconpos="left" id="settings-confirm-embed">No, just save</div>
					</div>

					<div class="align-right">
						<div data-behavior="Button" data-button-width="150" data-button-type="action" data-button-icon="forward" data-button-iconpos="right" id="settings-confirm-timeline">Yes, let's go!</div>
					</div>
					<div class="clear"></div>
				</div>

				<div class="clear"></div>
				<div class="align-left">
					<a class="ui-options-back" data-behavior="Button" data-button-icon="back" data-button-iconpos="left" data-button-width="60">Back</a>
				</div>
				<div class="clear"></div>
			</div></div>

		</div>
	</div>
</div></div>
