<?php
// Get the potential skins
$skins = $evp->getSkins($file_settings->skin);

$skinList = $skins;//array_chunk($skins, 4);

$size = 190 * sizeof($skins);
?>

<script type="text/javascript">
window.addEvent('domready', function() {

	if($('general-player_entrance-demo') && $('general-player_entrance')) {
		$('general-player_entrance-demo').addEvent('click', function() {
			$('general-player_entrance').fireEvent('change');
		});
	}

	var selectSkin = window.evsSelectSkin = function(skin_slug) {
		if($(skin_slug)) $(skin_slug).addClass('active');
		$('player-preview-skin').set('class', '').addClass(skin_slug);
		var d = $('thisFile').retrieve('data'); d.skin = skin_slug;
		$('player-preview').setData('skin-slug', skin_slug);
		$('thisFile').store('data', d);
	}

	if($('skins')) {
		$('skins').addEvent('click:relay(.skin-selector-skin)', function() {
			var c = this;
			var skin_name = c.getData('skin-name'), skin_slug = c.getData('skin-slug');
			$('skins').getElements('.active').removeClass('active');

			selectSkin(skin_slug);
		});
	}

	(function() {
		var skin = ($('thisFile').retrieve('data').skin || 'minima');
		selectSkin(skin);
	}).delay(250);

	if($('skins')) makeScrollbar($('skins').getElement('div'), $('skins').getElement('.scrollbar-hor'), $('skins').getElement('.scrollbar-hor').getElement('div'), true, false);
});

document.addEvent('domready', function() {

	if($('general-related_image_label')) {
		$('general-related_image_label').addEvent('keyup', function(event) {
			var data = $('thisFile').retrieve('data');
			var limit = Math.ceil((parseInt(data.width) - 30) / 7); // Each character takes roughly this amount of px
			if(this.get('value').length >= limit) this.set('value', this.get('value').substr(0, limit));
		});
	}

	if($('general-watermark_enabled')) {
		$('general-watermark_enabled').addEvent('change', function() {
			if(this.get('checked')) {
				$('general-watermark-wrap').reveal();
			} else {
				$('general-watermark-wrap').dissolve();
			}

			if(typeof window.watermarkuploader !== 'undefined') setTimeout(function() { try { window.watermarkuploader.refresh(); } catch(e){} }, 500);
		});
	}

	if($('general-watermark-uploader-delete')) {
		$('general-watermark-uploader-delete').addEvent('click', function() {
			$('general-watermark_enabled').retrieve('iPhoneSwitchWrap').fireEvent('click');//.set('checked', false).fireEvent('click').fireEvent('change');
		});
	}

	if($('general-watermark-position')) {
		var positions = $('general-watermark-position').getElements('div');
		positions.addEvent('click', function() {
			positions.removeClass('active');
			this.addClass('active');
			var data = $('thisFile').retrieve('data');
			data.watermark_position = this.get('id').replace('general-watermark-position-', '');
			$('thisFile').store('data', data);
		});
		var initposition = $('thisFile').retrieve('data').watermark_position || 'bottom-left';
		$('general-watermark-position-'+initposition).fireEvent('click');
	}

	window['evp-watermark-go'] = function($) {
		if(!document.id('general-watermark')) return false;

		if(typeof window.watermarkuploader != 'undefined' && typeof window.watermarkuploader.destroy == 'function') {
			window.watermarkuploader.destroy();
			if(typeof console != 'undefined') console.warn('Destroyed old watermark instance.');
		}
		if(typeof console != 'undefined') console.log('starting watermark uploader');

		var uploader = window.watermarkuploader = new plupload.Uploader({
			'runtimes': 'html5',
			'browse_button': 'general-watermark-uploader-select',
			'container': 'general-watermark',
			'max_file_size': '10mb',
			'file_data_name': 'file',
			'url': '<?php echo $upload_url; ?>',
			'filters': [
				{'title': "Images", 'extensions': "jpg,jpeg,gif,png,JPG,JPEG,GIF,PNG"}
			]
		});

		if(document.id('general-width')) {
			document.id('general-width').addEvent('change', function() {
				uploader.settings.resize = {
					'width': (parseInt(document.id('thisFile').retrieve('data').width) * 0.25)
				};
			});
		}

		if(document.id('thisFile') && document.id('thisFile').retrieve('settingsTabSwapper')) {
			document.id('thisFile').retrieve('settingsTabSwapper').addEvent('onActive', function(idx, panel, tab) {
				if(idx !== 1) return; // 1 is the idx of this current panel; must change if the order moves
				if(typeof window.watermarkuploader !== 'undefined') try { window.watermarkuploader.refresh(); } catch(e) {}
			});
		}

		uploader.bind('Init', function() {
			clearInterval(window['evp-watermarkuploader']);
		});

		uploader.bind('FilesAdded', function(up, files) {
			document.id('general-watermark').spin({'class': 'spinner-panels', 'message': '0%'});
			(function() {
				up.start();
			}).delay(1000);
		});

		uploader.bind('UploadProgress', function(up, file) {
			document.id('general-watermark').getNext('.spinner-panels').getElement('.spinner-msg').set('text', file.percent+'%')
		});

		uploader.bind('Error', function(up, err) {
			if(typeof console != 'undefined') {
				console.error(err.message+' from the watermark uploader.');
				console.log(err, uploader);
			}

			if(err.message == 'Init error.') {
				window['evp-watermarkuploader'] = setTimeout(function() {
					window['evp-watermark-go'](jQuery);
				}, 200);
			} else {
				if(typeof window['evp-watermarkinterval'] != 'undefined') clearInterval(window['evp-watermarkinterval']);
				alert(err.message);
				document.id('general-watermark').unspin();
				up.refresh(); // Reposition Flash/Silverlight
			}
		});

		uploader.bind('FileUploaded', function(up, file) {
			if(typeof window['evp-watermarkinterval'] != 'undefined') clearInterval(window['evp-watermarkinterval']);
			// Get the image
			var amazon_name = '<?php echo $file_image_seed; ?>'+file.name;
			var amazon_location = '<?php echo $upload_path; ?>';

			// Update the preview
			var r = new Date().getTime();
			document.id('general-watermark').getElement('img').set('src', amazon_location+amazon_name+'?v='+r).addEvent('load', function() {
				document.id('general-watermark').unspin();

				var clone = this.clone().setStyles({
					'width': 'auto',
					'height': 'auto'
				}).inject(document.body, 'bottom');

				(function() {
					clone.measure(function() {
						var d = this.getSize();

						var data = document.id('thisFile').retrieve('data');

						data.watermark_width = d.x;
						data.watermark_height = d.y;

						document.id('thisFile').store('data', data);
					});
					clone.setStyle('display', 'none');

					try {
						uploader.refresh();
					} catch(e) {}

				}).delay(500);
			});

			// Update the data
			var data = document.id('thisFile').retrieve('data');
			data.watermark = amazon_location+amazon_name;
			document.id('thisFile').store('data', data);
		});

		uploader.init();
	};
	setTimeout(function() {
		window['evp-watermark-go'](jQuery);
	}, 1500);

	if($('general-youtube_nocustom')) {
		if($('skins')) $('skins').setStyle('display', 'none');
		if($('evs-m-1')) window.evsSelectSkin('evs-m-1');
	}

	// Delayed start?
	if($('general-using_delayedstart')) {
		(function() {
			$('general-using_delayedstart').addEvent('change', function() {
				var checked = !!this.get('checked');
				if(checked) {
					$('general-using_delayedstart-wrap').reveal();
				} else {
					$('general-using_delayedstart-wrap').dissolve();
				}
			});
		}).delay(250);

		var data = $('thisFile').retrieve('data');
		if(data.use_delayedstart) {
			$('general-using_delayedstart-wrap').setStyle('display', 'block');
		} else {
			$('general-using_delayedstart-wrap').setStyle('display', 'none');
		}
	}

	// Password protection?
	(function() {
		var editor;
		if(!$('use_passwordprotect-wrap')) return false;

		if($('use_passwordprotect')) {
			$('use_passwordprotect').addEvent('change', function() {
				if(this.get('checked')) {
					$('use_passwordprotect-wrap').reveal();
				} else {
					$('use_passwordprotect-wrap').dissolve();
				}
			});
		}

	 $('password_protect_background').addEvent('change', function() {
	 	var bgc = this.get('value');
	 	if(!editor) return;
	 	editor[0].$frame.contents().find('body').css('background-color', bgc);
	 });

		(function() {
			// Let's set the label and activation if we have a saved value
			/*
			var data = $('thisFile').retrieve('data');
			if(data.password_protect_password) {
				$('timeline-line-password').setStyle('background-position', '0 -39px'); // Yeah password
			}
			*/

			(function($) {
				var bgc = document.id('password_protect_background').get('value');
				editor = $('#password_protect_body').cleditor({
					'bodyStyle': 'margin:4px; font:medium Arial,Verdana; cursor:text; font-size:18px; text-align:center; text-shadow: rgba(0,0,0,0.2) 1px 1px 0; color: #fff; background: '+bgc+';',
					'width': '524',
					'height': '180',
					'controls': 'bold italic underline strikethrough | link | font size | color | alignleft center alignright',
					'docCSSFile': '<?php echo assets('scripts/libraries/cleditor/editor.css'); ?>'
				});

			 $(editor[0].doc).bind('keyup mouseup', function() {
			 	editor[0].updateTextArea();
			 	document.id('password_protect_body').fireEvent('change');
			 });

			})(jQuery);
		}).delay(250);
	})();

	// Video expiration?
	(function() {
		var editor;
		if(!$('use_expiration-wrap')) return false;

		if($('use_expiration')) {
			$('use_expiration').addEvent('change', function() {
				if(this.get('checked')) {
					$('use_expiration-wrap').reveal();
				} else {
					$('use_expiration-wrap').dissolve();
				}
			});
		}

		$('expiration_date_local').addEvent('change', function() {
			$('expiration_date_gmt').set('value', (Date.parse(this.get('value')) / 1000)).fireEvent('change');
		});

		$('expiration_show_countdown').addEvent('change', function() {
			$('player-preview-expiration_bar').setStyle('display', (!!this.get('checked') ? 'block' : 'none'));
		});

		(function() {
			// Let's set the label and activation if we have a saved value

			(function($) {
				editor = $('#expiration_body').cleditor({
					'bodyStyle': 'margin:4px; font:medium Arial,Verdana; cursor:text; font-size:18px; text-align:center; text-shadow: rgba(0,0,0,0.2) 1px 1px 0; color: #fff; background: #2a2a2a;',
					'width': '524',
					'height': '180',
					'controls': 'bold italic underline strikethrough | link | font size | color | alignleft center alignright',
					'docCSSFile': '<?php echo assets('scripts/libraries/cleditor/editor.css'); ?>'
				});

			 $(editor[0].doc).bind('keyup mouseup', function() {
			 	editor[0].updateTextArea();
			 	document.id('expiration_body').fireEvent('change');
			 });

			})(jQuery);
		}).delay(250);
	})();
});
</script>

<?php if($file->source == 3) : ?>
<input name="youtube_nocustom" id="general-youtube_nocustom" type="hidden" value="false" />
<?php endif; ?>

<div id="skins" class="ui-settings-selector ui-settings-selector-skin-<?php echo $file->type; ?>" style="margin: 10px 0 20px 0;">
	<div style="overflow: hidden; width: 836px; height: <?php echo ($file->type == 'audio' ? '60px' : '105px'); ?>; margin: 0 0 10px 0;">
		<div style="width:<?php echo $size; ?>px;overflow:auto;">
			<?php foreach($skins as $skin) : ?>
			<div class="align-left" style="margin: 10px;">
				<div class="skin-selector-skin" data-skin-name="<?php echo $skin->name; ?>" data-skin-slug="<?php echo $skin->slug; ?>" id="<?php echo $skin->slug; ?>">
					<div class="marker"></div>
					<div class="container"><img src="<?php echo $skin->config->general->screenshot; ?>" alt="" width="170" class="skin-selector-screenshot" /></div>
				</div>
			</div>
			<?php endforeach; ?>
		</div>
	</div>
	<div class="scrollbar-hor"><div class="handle-hor"></div></div>
</div>

<div class="player-option-wrap" id="mouseover-sharing-wrap">
	<div class="player-option-label">
		<label>Show sharing buttons on mouse-over</label>
	</div>

	<div class="player-option-content">
		<div class="self-clear">
			<div class="setting-group align-left" style="width:140px;margin-right:57px;">
				<img src="<?php echo assets('assets/icons/facebook.png?v=1'); ?>" alt="" class="margin-right align-left" style="margin-top:3px;" />
				<input name="mouseover-facebook" id="player-mouseover_facebook" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
			</div>

			<div class="setting-group align-left" style="width:140px;margin-right:57px;">
				<img src="<?php echo assets('assets/icons/twitter.png?v=1'); ?>" alt="" class="margin-right align-left" style="margin-top:3px;" />
				<input name="mouseover-twitter" id="player-mouseover_twitter" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
			</div>

			<div class="setting-group align-left" style="width:131px;">
				<img src="<?php echo assets('assets/icons/googleplus.png?v=1'); ?>" alt="" class="margin-right align-left" style="margin-top:3px;" />
				<input name="mouseover-googleplus" id="player-mouseover_googleplus" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
			</div>
		</div>
	</div>
</div>

<div class="player-option-wrap" id="player-entrance-wrap">
	<div class="player-option-label">
		<label for="general-player_entrance">Animate the entrance of your video</label>
	</div>
	<div class="player-option-content">
		<div class="align-left" style="width:252px;">
			<select name="player_entrance" id="general-player_entrance" data-selectbox-wrapper-height="80" data-behavior="SelectBox">
				<option value="none">None</option>
				<option value="css3-rollIn">Roll in</option>
				<option value="css3-fadeInDown">Fade in &amp; down</option>
				<option value="css3-bounceIn">Bounce in</option>
				<option value="css3-rotateIn">Rotate in</option>
				<option value="css3-bounceInLeft">Bounce in from left</option>
				<option value="css3-bounceInRight">Bounce in from right</option>
				<option value="css3-pulse">Pulse</option>
				<option value="css3-flipInX">Flip in horizontally</option>
				<option value="css3-bounceInDown">Bounce in &amp; down</option>
				<option value="css3-lightSpeedIn">Light-speed in</option>
			</select>
		</div>
		<div class="align-left" style="position:relative;top:-2px;left:10px;">
			<input type="button" id="general-player_entrance-demo" data-behavior="Button" data-button-width="30" data-button-type="action" data-button-icon="refresh" data-button-iconpos="notext" value="Replay" />
		</div>
	</div>
</div>

<div class="player-option-wrap">
	<div class="player-option-label">
		<label for="player_controls">Choose when to display the control bar</label>
	</div>
	<div class="player-option-content">
		<div class="align-left" style="width:300px;">
			<select name="player_controls" id="player_controls" data-selectbox-wrapper-height="80" data-behavior="SelectBox">
				<option value="mouseover">On mouseover</option>
				<option value="hide">Never show</option>
				<option value="fauxlive">Show streaming animation</option>
			</select>
		</div>
	</div>
</div>

<?php if($evp->settings->advanced_options_stretching && $file->source == 2) : ?>
<div class="player-option-wrap" id="player_stretching-wrap">
	<div class="player-option-label">
		<label for="player_stretching">Choose how to stretch the video</label>
	</div>
	<div class="player-option-content">
		<div class="align-left" style="width:300px;">
			<select name="player_stretching" id="player_stretching" data-selectbox-wrapper-height="80" data-behavior="SelectBox">
				<option value="exactfit">Exact fit (Best option)</option>
				<option value="uniform">Uniform (Black borders)</option>
				<option value="fill">Fill (Can distort)</option>
				<option value="none">None (Shows at native size)</option>
			</select>
		</div>
	</div>
</div>
<?php endif; ?>

<div class="player-option-wrap" id="general-related_image_label-wrap">
	<div class="player-option-label">
		<label for="general-related_image_label" style="font-size:15px;top:5px;">Add a label to appear on top of your splash image before playback</label>
	</div>

	<div class="player-option-content">
		<div class="styled setting-group descend">
			<input name="related_image_label" id="general-related_image_label" type="text" value="" data-behavior="EvpTieToElement" style="width:282px;" />
		</div>
	</div>
</div>

<?php if($file->type == 'video' && $file->source != '3') : ?>
<div class="player-option-wrap" id="player-lightsout-wrapper">
	<div class="player-option-label">
		<label for="player-lightsout-show">Dim the page during video playback</label>
	</div>
	<div class="player-option-content">
		<input name="player_lightsout" id="player_lightsout" type="checkbox" value="on" data-behavior="EvpTieToElement iPhoneCheckbox" />
	</div>
</div>
<?php endif; ?>

<div class="player-option-wrap" id="general-using_delayedstart-wrapper" data-behavior="PointyTip" data-tip-direction="9" title="Offset the start of your video" rel="Enter a time, in minutes and seconds, to offset this video! As soon as it starts to play, it will jump to that position.">
<div class="player-option-label">
		<label>Start playback in the middle of this video</label>
	</div>
	<div class="player-option-content">
		<input name="use_delayedstart" id="general-using_delayedstart" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
		<div style="width:132px;margin:0 0 10px 0;" id="general-using_delayedstart-wrap">
			<div class="align-left margin-right" style="width:58px;">
				<div class="group">
					<label>Minutes</label>
					<input type="text" name="delayedstart_minutes" id="delayedstart_minutes" data-behavior="EvpTieToElement" style="width:40px;" />
				</div>
			</div>

			<div style="float:left;position:relative;top:31px;left:-5px;">:</div>

			<div class="align-left" style="width:58px;">
				<div class="group">
					<label>Seconds</label>
					<input type="text" name="delayedstart_seconds" id="delayedstart_seconds" data-behavior="EvpTieToElement" style="width:40px;" />
				</div>
			</div>
		</div>
	</div>
</div>

<?php if(($evp->s3 || $evp->local) && $file->source != 3) : ?>
<div class="player-option-wrap" id="watermark-wrap">
	<div class="player-option-label">
		<label>Watermark your video with your logo</label>
	</div>
	<div class="player-option-content">
		<input name="watermark_enabled" id="general-watermark_enabled" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
		<div id="general-watermark-wrap" class="margin-top">
			<div id="general-watermark" class="margin-bottom align-left margin-right">
				<img src="<?php echo $file_settings->options['watermark']; ?>" alt="" />
				<a class="margin-top margin-bottom" id="general-watermark-uploader-select" data-behavior="Button" data-button-type="small" data-button-width="90">Select image</a>
				<div class="ui-icon ui-icon-delete" id="general-watermark-uploader-delete" style="position: absolute; top: 5px; right: 5px; cursor: pointer;"></div>
			</div>
			<div id="general-watermark-uploader" class="align-left">
				<div id="general-watermark-list"></div>
			</div>
			<div class="align-left">
				<div id="general-watermark-position">
					<p>Select a position</p>
					<div id="general-watermark-position-top-left"></div>
					<div id="general-watermark-position-top-right"></div>
					<div id="general-watermark-position-bottom-left"></div>
					<div id="general-watermark-position-bottom-right"></div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php endif; ?>

<div class="player-option-wrap">
	<div class="player-option-label">
		<label>Password protect this video</label>
	</div>
	<div class="player-option-content">
		<input name="use_passwordprotect" id="use_passwordprotect" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
		<div id="use_passwordprotect-wrap" class="margin-top">
			<div class="styled setting-group descend margin-bottom">
				<label>Enter the password your viewers must enter (Check for mistakes!)</label>
				<input type="text" name="password_protect_password" id="password_protect_password" data-behavior="EvpTieToElement" style="width:307px;" />
			</div>

			<div class="styled setting-group margin-bottom">
				<label style="font-weight:bold;">Select a background colour</label>
				<input data-behavior="EvpTieToElement ColourPicker" type="text" id="password_protect_background" name="password_protect_background" style="width: 57px;" />
			</div>


			<div class="styled setting-group descend margin-bottom">
				<label>Enter a message for your viewers, explaining what to do</label>
				<textarea name="password_protect_body" id="password_protect_body" data-behavior="EvpTieToElement"></textarea>
			</div>
		</div>
	</div>
</div>

<div class="player-option-wrap">
	<div class="player-option-label">
		<label>Expire this video on a certain date</label>
	</div>
	<div class="player-option-content">
		<input name="use_expiration" id="use_expiration" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />

		<div id="use_expiration-wrap" class="margin-top">
			<div class="styled setting-group descend margin-bottom">
				<label>Display a countdown under your video?</label>
				<input name="expiration_show_countdown" id="expiration_show_countdown" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
			</div>

			<div class="styled setting-group descend margin-bottom">
				<label>Select when this video should expire</label>
				<input type="text" name="expiration_date_local" id="expiration_date_local" data-behavior="EvpTieToElement DatePicker" data-datepicker-options="{'timePicker': true, 'format': '%Y-%m-%d %l:%M %p', 'minDate': '<?php echo gmdate('m/d/Y g:i A', strtotime('now')); ?>'}" style="width:307px;" />
				<input type="hidden" name="expiration_date_gmt" id="expiration_date_gmt" data-behavior="EvpTieToElement" />
			</div>

			<div class="styled setting-group descend margin-bottom">
				<label>Enter a message for your viewers to display after this date is reached</label>
				<textarea name="expiration_body" id="expiration_body" data-behavior="EvpTieToElement"></textarea>
			</div>
		</div>
	</div>
</div>
