<?php
$eternity = new Eternity();
$config = Registry::retrieve('config');
$config['locations']['themeDir'] = $config['locations']['absolute'].$config['locations']['folder_name'].'/themes/3.0/';
$config['locations']['themePath'] = $config['paths']['base'].'/'.$config['locations']['folder_name'].'/themes/3.0/';
$config['paths']['install_assets'] = $config['paths']['base'].'/install/assets';
Registry::store('config', $config);

function onTemplateMerge($event, $master, $template, $page) {
	$config = Registry::retrieve('config');
	$xs = Registry::retrieve('users');
	
	// Page data etc
	$page->meta('Content-Type', 'text/html; charset=utf-8');
	
	// JavaScript
	$page->js('../../admin/themes/3.0/scripts/libraries/mootools-1.4.1-more-clientcide.js', array('position' => 'start'));
	$page->js('	new Behavior().apply(document.body);
	new Delegator().attach(document.body);', array('domready' => true));
//$page->js('scripts/global.js');
	
	// CSS
	$page->css('../../admin/themes/3.0/styles/style.reset.css');
	$page->css('../../admin/themes/3.0/styles/style.basics.css');
	
	// And the master variables needed
	$master->set('config', $config);
	$master->set('themeDir', $config['locations']['themeDir']);
	$master->set('themePath', $config['locations']['themePath']);
	$master->set('eternity', Registry::get('Eternity'));
	$master->set('xs', $xs);
}
?>