<?php
// Now the database is created, we need to insert a user
$database = Registry::retrieve('database');
$seed = randomStr(15, 'alphanumeric');
$username = strtolower(escape(trim($misc['email']), true));
$password = escape(trim($misc['password']), true);
$database->query("INSERT INTO {$data['evp']['prefix']}users (`seed`, `username`, `password`) VALUES ('{$seed}', '{$username}', SHA1('{$password}'))");
$user_id = $database->getInsertId();
// Now insert them to the admin group
$database->query("INSERT INTO {$data['evp']['prefix']}users_relationships (`user_id`, `group_id`) VALUES ('{$user_id}', '1')");
// Now insert some misc settings
if(!empty($misc['s3_accesskey']) && !empty($misc['s3_secretkey'])) {
	$database->query("INSERT INTO {$data['evp']['prefix']}settings (`name`, `value`) VALUES ('s3_accesskey', '".trim(unescape($misc['s3_accesskey']))."')");
	$database->query("INSERT INTO {$data['evp']['prefix']}settings (`name`, `value`) VALUES ('s3_secretkey', '".trim(unescape($misc['s3_secretkey']))."')");
	
	// Most importantly, store their bucket
	$bucket = Registry::retrieve('evp_bucket');
	$database->query("INSERT INTO {$data['evp']['prefix']}settings (`name`, `value`) VALUES ('s3_bucket', '{$data['evp']['default_bucket']}')");
	
	// Mark it that we are using S3
	$database->query("INSERT INTO {$data['evp']['prefix']}settings (`name`, `value`) VALUES ('use_s3', '1')");
	
	// Are we self-hosted? If so, disable mod_rewrite by default
	/*
	if(EVP::$defaults['hosted'] !== true) {
		$database->query("INSERT INTO {$data['evp']['prefix']}settings (`name`, `value`) VALUES ('mod_rewrite', '0');");
	}
	*/
	
	// Do we need to set up CloudFront?
	if($misc['cf_enable'] == '1') {
		$hash = array();
		S3_RTMP::setAuth($misc['s3_accesskey'], $misc['s3_secretkey']);
		$d = S3_RTMP::createDistribution($data['evp']['default_bucket'], true, array(), "Created by ".Serenity::$defaults['project_name']." on ".gmdate('Y-m-d H:i:s'));
		if($d) {
			$hash['cloudfront_distribution'] = $d['id'];
			$hash['cloudfront_domain'] = $d['domain'];
			$hash['use_cloudfront'] = '1';
		} else { // Could not create the dist. - error is triggered - unset use_cloudfront
			$hash['use_cloudfront'] = '0';
		}
		if(!empty($hash)) {
			foreach($hash as $key => $value) {
				$database->query("INSERT INTO {$data['evp']['prefix']}settings (`name`, `value`) VALUES ('{$key}', '{$value}')");
			}
		}
	}
}
?>