<?php
$apiData = array();

$prefix = $config['evp']['prefix'];

// Make sure it's not already been done
if($evp->settings->upgrade_evs1_1_survey == true) {
	$apiData['success'] = true;
	$apiData['message'] = 'Your database is already upgraded!';
} else {
	// Create the survey table
	query("CREATE TABLE `{$prefix}surveys` (
	  `file_ref` varchar(255) NOT NULL,
	  `uuid` varchar(60) NOT NULL,
	  `date` datetime NOT NULL,
	  `survey_name` varchar(100) NOT NULL,
	  `question_idx` tinyint(1) unsigned NOT NULL,
	  `answer_idx` tinyint(1) unsigned NOT NULL,
	  KEY `file_ref` (`file_ref`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;");
	
	// Mark it as upgraded so that access is restored
	$evp->updateSetting('upgrade', $evp->options->project_version);
	$evp->updateSetting('upgrade_date', gmtime());
	$evp->updateSetting('upgrade_evs1_1_survey', 1);
	
	$apiData['success'] = true;
	$apiData['message'] = 'Upgraded your database successfully!';
}
?>