<?php
class Project extends Base {
	public function getNotification($name, $substitutes = false) {
		$name = escape($name, true);
		$data = getRow("SELECT `name`, `subject`, `message` FROM {$this->options->prefix}notifications WHERE `name` = '{$name}'");
		if(!$data) return false;
		$data->subject = unescape($data->subject, true);
		$data->message = unescape($data->message, true);
		$config = Registry::retrieve('config');
		// Let's add some default substitutes
		if(!isset($substitutes['location'])) $substitutes['location'] = $config['locations']['absolute'];
		if(!isset($substitutes['site_name']) && isset($this->settings->site_name)) $substitutes['site_name'] = $this->settings->site_name;
		if(!empty($substitutes)) {
			$data->message = substitute($data->message, $substitutes);
		}
		return $data;
	}
	
	public function updateSetting($key, $value) {
		$key = unescape($key, true);
		if(is_array($value) || is_object($value)) $value = encode($value);
		$value = unescape($value, true);
		query("DELETE FROM {$this->options->prefix}settings WHERE `name` = '{$key}'");
		query("INSERT INTO {$this->options->prefix}settings (`name`, `value`) VALUES ('{$key}', '{$value}')");
		$this->setSettings($this->options->prefix.'settings');
		return $this;
	}
}
?>