<?php
require('application.php');
require($config['paths']['base'].'/libraries/ajax.php');

$eternity = new Eternity();
$evp = new EVP($config['evp']);
$evp_api = Registry::get('EVP_API');
$xs->checkCurrent();

if(empty($_GET['plugin_file'])) Ajax::failed(array('msg' => 'You have not specified a valid file to load.'));

$file_reference = $file_ref = $_GET['file_ref'];
$plugin_file = basename(trim($_GET['plugin_file']));
$plugin_slug = basename(escape($_GET['plugin']));
$plugin_idx = escape($_GET['plugin_idx']);
$path = $config['paths']['base'].'/player/plugins/'.$plugin_slug.'/'.$plugin_file;

$file = $evp->getFile($file_reference);
$plugin = $evp->getWidget($plugin_slug, $file, $plugin_idx);

if(file_exists($path)) {
	include($path);
} else {
	Ajax::failed(array('msg' => 'The file specified is invalid and cannot be loaded.'));
}
?>