<?php
// This file can access $file, $file_settings and $widget
// You can assign things to $widget if you need to
// File-specific stuff goes in $widget->file_options

?>
EVP3.players.extend('EVP3.widgets.<?php echo $widget->slug; ?>', {
	'init': function(evp, file, widget, file_options, row) {
		this.evp = evp;
		this.row = row;
		this.widget = widget;
		this.file = file;
		this.file_options = file_options;
		this.build();
	},
	'build': function() {
		var klass = this;
		
		var element = $('<div class="evp-widget evp-widget-<?php echo $widget->slug; ?>" id="evp-widget-<?php echo $widget->slug; ?>-<?php echo $widget_idx; ?>"></div>');
		
		element.css({
			'float': 'left',
			'background': 'url('+EVP3.settings.location+'/player/widgets/<?php echo $widget->slug; ?>/powered-by.png?v=4)',
			'width': 200,
			'height': 32,
			'cursor': 'pointer'
		});
		
		element.click(function() {
			klass.event();
			return false;
		});
		
		element.appendTo(this.file.player['bar_row_'+this.row]);
	},
	'event': function() {
		var url = 'http://'+(this.file_options.affiliate_id || '<?php echo $evp->settings->cb_affiliate_id; ?>' || 'webactix')+'.webactix.hop.clickbank.net';
		var w = window.open(url);
	}
});