<?php
$form_id = 'evp-'.randomStr(5);
?>
<form id="<?php echo $form_id; ?>" class="styled" method="post" action="<?php echo url('player/widgets/load.php', array('widget' => $widget_slug, 'file_ref' => $file_reference, 'widget_idx' => $widget_idx, 'widget_file' => 'save.php')); ?>">

	<div class="align-left" style="width:255px;">
		<div class="setting-group descend">
			<label>Are new comments enabled?</label>
			<input type="checkbox" name="enabled" value="true" data-behavior="iPhoneCheckbox" <?php echo (($widget->file_options['enabled'] == true || !isset($widget->file_options['enabled'])) ? 'checked="checked"' : ''); ?> />
		</div>
	</div>
	<div class="align-left" style="width:255px;">
		<div class="setting-group descend">
			<label>Should the pane be open by default?</label>
			<input type="checkbox" name="autoOpen" value="true" data-behavior="iPhoneCheckbox" <?php echo ($widget->file_options['autoOpen'] == true ? 'checked="checked"' : ''); ?> />
		</div>
	</div>
	
	<div class="clear"></div>
	
	<div class="setting-group descend">
		<label>Roughly how many comments should show up in the pane?</label>
		<input type="text" name="height" value="<?php echo pick($widget->file_options['height'], '7'); ?>" style="width:30px;" />
	</div>
	
	<div class="setting-group descend">
		<label>Would you like to add commenters to your mailing list?</label>
		<input type="checkbox" name="harvestEmails" id="<?php echo $form_id; ?>-harvestEmails" value="true" data-behavior="iPhoneCheckbox" <?php echo ($widget->file_options['harvestEmails'] == true ? 'checked="checked"' : ''); ?> />
	</div>
	
	<div class="setting-group descend">
		<div id="<?php echo $form_id; ?>-harvest">
			<label>Enter the HTML code for your mailing list here.</label>
			<p style="font-size:13px;">Make sure there are only two fields; one for the commenter name, and one for their email. Your form will not be displayed to the user.</p>
			<textarea name="harvestCode" class="ui_code" style="width:510px;height:60px;"><?php echo $widget->file_options['harvestCode']; ?></textarea>
		</div>
	</div>
	
	<div class="align-right">
		<input id="<?php echo $form_id; ?>-submit" type="submit" value="Save" data-behavior="Button" data-button-width="100" />
	</div>
	
	<div class="clear"></div>
</form>
<script type="text/javascript">
window.addEvent('domready', function() {
	var form = $('<?php echo $form_id; ?>');
	var parent = form.getParent('.widget-config-panel');
	var submit_button = $('<?php echo $form_id; ?>-submit');
	
	<?php if($widget->file_options['harvestEmails'] != 'true') : ?>
	$('<?php echo $form_id; ?>-harvest').setStyle('display', 'none');
	<?php endif; ?>
	
	$('<?php echo $form_id; ?>-harvestEmails').addEvent('change', function() {
		var checked = !!this.get('checked');
		if(checked) {
			$('<?php echo $form_id; ?>-harvest').reveal();
			parent.morph({
				'height': parent.getData('originalHeight').toInt() + 165,
				'top': parent.getData('originalTop').toInt() - 165
			});
		} else {
			$('<?php echo $form_id; ?>-harvest').dissolve();
			parent.morph({
				'height': parent.getData('originalHeight').toInt() + 10,
				'top': parent.getData('originalTop')
			});
		}
	});
	
	form.set('send', {
		'onComplete': function(response) {
			form.getParent('.widget-config-panel').unspin().retrieve('evp-widget-config-close')(response);
		}
	});
	
	submit_button.addEvent('click', function(event) {
		if(event) event.stop();
		form.getParent('.widget-config-panel').spin();
		// We could do validation here etc, but let's just go for it
		form.send();
	});
});
</script>