<?php
// This file can access $file, $file_settings and $widget
// You can assign things to $widget if you need to
// File-specific stuff goes in $widget->file_options

?>
EVP3.players.extend('EVP3.widgets.<?php echo $widget->slug; ?>', {
	'init': function(evp, file, widget, file_options, row) {
		this.evp = evp;
		this.row = row;
		this.widget = widget;
		this.file = file;
		this.file_options = file_options;
		
		if(EVP.helpers.isHTML5() || ($.browser.msie && $.browser.version <= 8)) return false;
		
		// Attach the global event
		var klass = this;
		window.evpBarGPlus = function(url, state) {
			if(state && state == 'on') {
				klass.evp.track('stats.google_shares');
			}
		}
		
		this.build();
	},
	'build': function() {
		var klass = this;
		
		var element = $('<div class="evp-widget evp-widget-<?php echo $widget->slug; ?>" id="evp-widget-<?php echo $widget->slug; ?>-<?php echo $widget_idx; ?>"></div>');
		
		element.css({
			'float': 'left',
			'background': 'url('+EVP3.settings.location+'/player/widgets/<?php echo $widget->slug; ?>/googleplus.png?v=1) no-repeat top left',
			'width': 32,
			'height': 32,
			'cursor': 'pointer'
		}).prop('title', 'Click here to publicly +1 this!');
		
		var gel = $('<div><g:plusone callback="evpBarGPlus" annotation="none" count="false" href="'+(this.file_options.url || window.location.href)+'"></g:plusone></div>').css({
			'opacity': 0
		});
		gel.appendTo(element);
		
		element.appendTo(this.file.player['bar_row_'+this.row]);
		
	//gapi.plusone.go();
	}
});