<?php
// This file can access $file, $file_settings and $widget
// You can assign things to $widget if you need to
// File-specific stuff goes in $widget->file_options

?>
(function() {
	function stripslashes(str) {
		return (str + '').replace(/\\(.?)/g, function (s, n1) {
		 switch (n1) {
		 case '\\':
		     return '\\';
		 case '0':
		     return '\u0000';
		 case '':
		     return '';
		 default:
		     return n1;
		 }
		});
	}
	
	EVP3.players.extend('EVP3.widgets.<?php echo $widget->slug; ?>', {
		'init': function(evp, file, widget, file_options, row) {
			this.evp = evp;
			this.row = row;
			this.widget = widget;
			this.file = file;
			this.file_options = file_options;
			this.build();
		},
		'build': function() {
			var klass = this;
			
			var element = $('<div class="evp-widget evp-widget-<?php echo $widget->slug; ?>" id="evp-widget-<?php echo $widget->slug; ?>-<?php echo $widget_idx; ?>"></div>');
			
			element.css({
				'float': 'left',
				'width': 32,
				'height': 32,
				'cursor': 'pointer'
			});
			
			$('<span class="st_sharethis_large" onhover="false" displayText="ShareThis" st_title="'+stripslashes(this.file_options.title || '')+'" st_url="'+(this.file_options.url || '')+'"></span>').appendTo(element);
			
			window.switchTo5x = false;
			var script = 'http://w.sharethis.com/button/buttons.js';
			if(window.location.protocol == 'https:') script = 'https://ws.sharethis.com/button/buttons.js';
			
			$.getScript(script, function() {
				//
			});
			
			element.appendTo(this.file.player['bar_row_'+this.row]);
		}
	});
})();