<?php
$form_id = 'evp-'.randomStr(5);
?>
<form id="<?php echo $form_id; ?>" class="styled" method="post" action="<?php echo url('player/widgets/load.php', array('widget' => $widget_slug, 'file_ref' => $file_reference, 'widget_idx' => $widget_idx, 'widget_file' => 'save.php')); ?>">
	<div class="setting-group descend">
		<label>Related account</label>
		<input type="text" name="related" value="<?php echo unescape($widget->file_options['related'], true); ?>" class="margin-bottom" style="width:250px;" />
		<p>Include your Twitter username here to have your Twitter account recommended after they tweet!</p>
	</div>
	
	<div class="setting-group descend">
		<label>Share this URL</label>
		<input type="text" id="<?php echo $form_id; ?>-url" name="url" value="<?php echo unescape($widget->file_options['url'], true); ?>" class="margin-bottom" style="width:290px;" />
		<div class="align-right" style="position:relative;top:3px;">
			<input id="<?php echo $form_id; ?>-evpurl" type="button" data-behavior="Button" data-button-width="100" data-button-type="action_small" value="Use EVS URL" />
		</div>
		<p class="clear">Enter a URL here to make this button share that page! Alternatively, leave it blank to share whatever URL the video is posted on.</p>
	</div>

	<div class="setting-group descend">
		<label>Enter the default tweet</label>
		<textarea class="ui_code ui_noresize ui-monospace margin-bottom" style="width:380px;height:55px;" name="tweet"><?php echo unescape($widget->file_options['tweet'], true); ?></textarea>
		<span class="ui-gateway-content-twitter-counter" style="left:-270px;"></span>
	</div>
	
	<div class="align-right">
		<input id="<?php echo $form_id; ?>-submit" type="submit" value="Save" data-behavior="Button" data-button-width="100" />
	</div>
	
	<div class="clear"></div>
</form>
<script type="text/javascript">
window.addEvent('domready', function() {
	var form = $('<?php echo $form_id; ?>');
	var submit_button = $('<?php echo $form_id; ?>-submit');
	
	$('<?php echo $form_id; ?>-evpurl').addEvent('click', function() {
		$('<?php echo $form_id; ?>-url').set('value', '<?php echo $file->page_url; ?>');
	});
	
	twitter_tweet = form.getElement('textarea[name="tweet"]');
	twitter_counter = form.getElement('.ui-gateway-content-twitter-counter');
	
	var twitter_update = function() {
		var remaining = (140 - (this.get('value').length));
		twitter_counter.set('text', remaining);
		if(remaining >= 0) {
			twitter_counter.setStyle('color', 'green');
			this.setStyle('border-color', 'green');
		} else {
			twitter_counter.setStyle('color', 'red');
			this.setStyle('border-color', 'red');
		}
	};
	
	twitter_tweet.addEvent('keyup', twitter_update);
	twitter_update.bind(twitter_tweet)();
	
	form.set('send', {
		'onComplete': function(response) {
			form.getParent('.widget-config-panel').unspin().retrieve('evp-widget-config-close')(response);
		}
	});
	
	submit_button.addEvent('click', function(event) {
		if(event) event.stop();
		form.getParent('.widget-config-panel').spin();
		// We could do validation here etc, but let's just go for it
		form.send();
	});
});
</script>