<?php
$form_id = 'evp-'.randomStr(5);

// Use the same buttons as the event widget
$buttonlist = $evp->loadFromDirectory('player/event-widgets/button/');

$gallery_button = array();
$gallery_buttonorder = array('button-5', 'button-17', 'button-11', 'button-1', 'button-2', 'button-14', 'button-18', 'button-7', 'button-3');

foreach($buttonlist as $f) {
	$key = array_search($f->slug, $gallery_buttonorder);
	if(is_numeric($key)) $gallery_button[$key] = $f;
	else array_push($gallery_button, $f);
}

ksort($gallery_button);
?>
<form id="<?php echo $form_id; ?>" class="styled" method="post" action="<?php echo url('themes/3.0/assets/page-widgets/load.php', array('widget' => $pageWidget_slug, 'file_ref' => $file_reference, 'widget_idx' => $pageWidget_idx, 'widget_file' => 'save.php', 'source_mode' => $source_mode)); ?>">

	<?php /*
	<div class="setting-group descend">
		<label>Enter your button's text</label>
		<div class="clear"></div>
		<input type="text" name="text" value="<?php echo unescape($pageWidget->file_options['text'], true); ?>" style="width:208px;" />
		<input type="text" name="text-colour" id="<?php echo $form_id; ?>-text-colour" data-behavior="ColourPicker" value="<?php echo pick($pageWidget->file_options['text-colour'], '#000000'); ?>" style="width:70px;margin:0;" />
	</div>
	*/ ?>
	
	<div class="setting-group descend">
		<label>Enter your button's URL</label>
		<input type="text" id="<?php echo $form_id; ?>-href" name="href" value="<?php echo unescape($pageWidget->file_options['href'], true); ?>" style="width:300px;" />
	</div>
	
	<input type="hidden" id="<?php echo $form_id; ?>-button-seed" name="button_seed" value="<?php echo $pageWidget->file_options['button_seed']; ?>" />
	
	<label style="float:none;font-weight:bold;">Select your button</label>
	<div id="<?php echo $form_id; ?>-gallery"></div>
	
	<div class="setting-group">
		<input id="<?php echo $form_id; ?>-submit" type="submit" value="Save" data-behavior="Button" data-button-width="100" data-button-type="action" class="clear align-right" />
	</div>
</form>
<script type="text/javascript">
window.addEvent('domready', function() {
	var form = $('<?php echo $form_id; ?>');
	var submit_button = $('<?php echo $form_id; ?>-submit');
	
	var preview_element = $('page-preview-area').getElement('div.widget[data-widget-idx="<?php echo $pageWidget_idx; ?>"]');
	
	var build_gallery = function(obj, selected) {
		var wrapper = new Element('div', {
			'class': 'ui-event-widget-gallery-wrapper ui-settings-selector'
		});
		
		var inside = new Element('div', {
			'class': 'ui-event-widget-gallery'
		}).inject(wrapper);
		
		var scroll = new Element('div', {
			'class': 'ui-event-widget-scroll'
		}).inject(inside);
		
		var count = 0;
		
		Object.each(obj, function(data, idx) {
			var el = new Element('div', {
				'class': 'ui-event-widget-gallery-item',
				'name': data.slug,
				'events': {
					'click': function() {
						wrapper.getElements('.ui-event-widget-gallery-item').removeClass('active');
						this.addClass('active');
						wrapper.fireEvent('onGallerySelect', [this.get('name')]);
					}
				}
			});
			
			var img = new Element('img', {
				'src': data.location+'/button.png'
			}).inject(el);
			
			new Element('div').inject(el); // This is for the activation image
			
			el.inject(scroll);
			
			if(selected && selected == data.slug) img.fireEvent.pass('click', img).delay(250);
			
			count++;
		});
		
		new Element('div', {'class': 'scrollbar-hor'}).adopt(
			new Element('div', {'class': 'handle-hor'})
		).inject(wrapper);
		
		var slider = makeScrollbar(wrapper.getElement('div'), wrapper.getElement('.scrollbar-hor'), wrapper.getElement('.scrollbar-hor').getElement('div'), true, false);
		
		scroll.setStyle('width', (count * 220)+'px');
		
		slider.autosize.delay(250, slider);
		
		return wrapper;
	}
	
	// Build the gallery
	var gallery = build_gallery(<?php echo encode($gallery_button); ?>, ('<?php echo $pageWidget->file_options['button_seed']; ?>' || ''));
	gallery.inject($('<?php echo $form_id; ?>-gallery'));
	
	<?php /*
	form.getElement('textarea').addEvent('keyup', function() {
 	// Save the data
 	form.getParent('.widget-config-panel').retrieve('evp-widget-config-close')({'data': {'file_options': {'text': this.get('value')}}}, false); // Don't close
 	// Update the live preview
 	window.widgets_build_preview(preview_element, '<?php echo $pageWidget_slug; ?>', '<?php echo $pageWidget_idx; ?>');
	});
	
	form.getElement('[name="text-colour"]').addEvent('change', function() {
 	// Save the data
 	form.getParent('.widget-config-panel').retrieve('evp-widget-config-close')({'data': {'file_options': {'text-colour': this.get('value')}}}, false); // Don't close
 	// Update the live preview
 	window.widgets_build_preview(preview_element, '<?php echo $pageWidget_slug; ?>', '<?php echo $pageWidget_idx; ?>');
	});
	*/ ?>
	
	gallery.addEvent('onGallerySelect', function(button_seed) {
		$('<?php echo $form_id; ?>-button-seed').set('value', button_seed);
			// Update the live preview
			form.getParent('.widget-config-panel').unspin().retrieve('evp-widget-config-close')({'data': {'file_options': {'href': $('<?php echo $form_id; ?>-href').get('value'), 'button_seed': button_seed}}}, false);
	});
	
	form.set('send', {
		'onComplete': function(response) {
			form.getParent('.widget-config-panel').unspin().retrieve('evp-widget-config-close')(response);
		}
	});
	
	submit_button.addEvent('click', function(event) {
		if(event) event.stop();
		form.getParent('.widget-config-panel').spin();
		// We could do validation here etc, but let's just go for it
		form.send();
	});
});
</script>