<?php
// This file can access $file, $file_settings and $pageWidget
// You can assign things to $pageWidget if you need to
// File-specific stuff goes in $pageWidget->file_options

// This MUST expose a function called build_page_widget_[slug](), which returns the appropriate HTML

function build_page_widget_disqus_comments($pageWidget, $file, $file_settings) {
	global $file_ref;
	
	$string = '<div class="evp-site-block evp-site-widget evp-site-widget-disqus-comments"><div class="evp-site-content">';
	
	$string.= '<div id="disqus_thread"></div><script type="text/javascript">
    var disqus_shortname = \''.$pageWidget->file_options['shortname'].'\';
		var disqus_identifier = \''.$file_ref.'\';
		var disqus_url = \''.currentUrl().'\';
    (function() {
        var dsq = document.createElement(\'script\'); dsq.type = \'text/javascript\'; dsq.async = true;
        dsq.src = \'http://\' + disqus_shortname + \'.disqus.com/embed.js\';
        (document.getElementsByTagName(\'head\')[0] || document.getElementsByTagName(\'body\')[0]).appendChild(dsq);
    })();
</script>
<noscript>Please enable JavaScript to view the <a href="http://disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript>
<a href="http://disqus.com" class="dsq-brlink">blog comments powered by <span class="logo-disqus">Disqus</span></a>';
	
	$string.= '</div></div>';
	
	return $string;
}

?>