<?php
// This file can access $file, $file_settings and $pageWidget
// You can assign things to $pageWidget if you need to
// File-specific stuff goes in $pageWidget->file_options

// This MUST expose a function called build_page_widget_[slug](), which returns the appropriate HTML

function build_page_widget_image($pageWidget, $file, $file_settings) {
	$href = $pageWidget->file_options['href'];
	if(!empty($href) && substr($href, 0, 4) != 'http') $href = 'http://'.$href;
	
	$html = '<div class="evp-site-block evp-site-widget evp-site-widget-image" style="'.(empty($pageWidget->file_options['width']) ? '' : 'width:'.($pageWidget->file_options['width'] + 25).'px;').' '.(empty($pageWidget->file_options['height']) ? '' : 'height:'.($pageWidget->file_options['height'] + 25).'px;').'"><div class="evp-site-content"><center>';
	
	$src = str_replace(array('http://', 'https://', '//', $pageWidget->file_options['src']);
	
	$img = '<img src="'.$src.'" '.(empty($pageWidget->file_options['width']) ? '' : 'width="'.$pageWidget->file_options['width'].'"').' '.(empty($pageWidget->file_options['height']) ? '' : 'height="'.$pageWidget->file_options['height'].'"').' alt="" />';
	
	if(!empty($href)) $img = '<a href="'.$href.'" style="border:none;text-decoration:none;">'.$img.'</a>';
	
	$html.= $img;
	$html.= '</center></div></div>';
	
	return $html;
}

?>