<?php
// This file can access $file, $file_settings and $pageWidget
// You can assign things to $pageWidget if you need to
// File-specific stuff goes in $pageWidget->file_options

// This MUST expose a function called build_page_widget_[slug](), which returns the appropriate HTML

function build_page_widget_my_event($pageWidget, $file, $file_settings) {
	global $file_ref;
	$evp = Registry::get('EVP');
	
	$available_elements = array();
	if(!empty($file_settings->events)) {
		foreach($file_settings->events as $name => $pel) {
			if($pel->data->{'event-mode'} == 'external') $available_elements[$name] = $name;
		}
	}
	
	$element = $pageWidget->file_options['element'];
	
	if(empty($element)) return;
	
	$code = '';
	
//$code.= '<div class="evp-site-block evp-site-widget evp-site-widget-element"><div class="evp-site-content"><center>';
	$code.= '<div id="evp-element-'.makeSeed($element).'-wrapper"></div>';
	
	$code.= '<script type="text/javascript">'."\n";
	$code.= '(function() {'."\n";
	$code.= '	var this_evp = false;'."\n";
	$code.= '	var tevp_int = setInterval(function() {'."\n";
	$code.= '		var tevp;'."\n";
	$code.= '		try {'."\n";
	$code.= '			tevp = EVP3.files[\''.$file_ref.'\'];'."\n";
	$code.= '		} catch(e) {}'."\n";
	$code.= '		if(typeof tevp != \'undefined\' && typeof tevp.evp != \'undefined\') {'."\n";
	$code.= '			this_evp = tevp;'."\n";
	$code.= '			clearInterval(tevp_int);'."\n";
	$code.= '   setTimeout(fn, 100);'."\n";
	$code.= '		}'."\n";
	$code.= '	}, 10);'."\n";
	$code.= '	var fn = function() {'."\n";
	$code.= '		var event = this_evp.events[\''.$element.'\'];'."\n";
	$code.= '		var html = this_evp.evp.build_event_html(event);'."\n";
	$code.= '  html = \'<div id="evp-element-'.$file_ref.'-'.makeSeed($element).'" class="evp-element" style="display:none;position:relative;width:\'+parseInt(event.data[\'event-width\'])+\'px;height:\'+parseInt(event.data[\'event-height\'])+\'px;">\'+html+\'</div>\';'."\n";
//$code.= '		html = \'<div id="evp-element-'.$file_ref.'-'.makeSeed($element).'" class="evp-element" style="display:none;">\'+html+\'</div>\';';
	$code.= '		EVP3.query(\'[id="evp-element-'.makeSeed($element).'-wrapper"]\').html(html);'."\n";
	$code.= '	};'."\n";
	$code.= '})();'."\n";
	$code.= '</script>'."\n";
	
//$code.= '</center></div></div>';

	if($pageWidget->file_options['align_centre'] == true) $code = '<center>'.$code.'</center>';

	return $code;
}

?>