<?php
$form_id = 'evp-'.randomStr(5);
?>
<form id="<?php echo $form_id; ?>" class="styled" method="post" action="<?php echo url('themes/3.0/assets/page-widgets/load.php', array('widget' => $pageWidget_slug, 'file_ref' => $file_reference, 'widget_idx' => $pageWidget_idx, 'widget_file' => 'save.php', 'source_mode' => $source_mode)); ?>">

	<div class="setting-group descend">
		<label>Enter your title</label>
		<div class="clear"></div>
		<textarea name="text" style="width:300px;display:block;float:left;margin:0 10px 15px 0;"><?php echo unescape($pageWidget->file_options['text'], true); ?></textarea>
		<input type="text" name="text-colour" id="<?php echo $form_id; ?>-text-colour" data-behavior="ColourPicker" value="<?php echo pick($pageWidget->file_options['text-colour'], '#000000'); ?>" style="width:70px;margin:0;" />
	</div>
	
	<div class="setting-group">
		<input id="<?php echo $form_id; ?>-submit" type="submit" value="Save" data-behavior="Button" data-button-width="100" data-button-type="action" class="clear align-right" />
	</div>
</form>
<script type="text/javascript">
window.addEvent('domready', function() {
	var form = $('<?php echo $form_id; ?>');
	var submit_button = $('<?php echo $form_id; ?>-submit');
	var preview_element = $('page-preview-area').getElement('div.widget[data-widget-idx="<?php echo $pageWidget_idx; ?>"]');
	
	form.set('send', {
		'onComplete': function(response) {
			form.getParent('.widget-config-panel').unspin().retrieve('evp-widget-config-close')(response);
		}
	});
	
	form.getElement('textarea').addEvent('keyup', function() {
 	// Save the data
 	form.getParent('.widget-config-panel').retrieve('evp-widget-config-close')({'data': {'file_options': {'text': this.get('value')}}}, false); // Don't close
 	// Update the live preview
 	window.widgets_build_preview(preview_element, '<?php echo $pageWidget_slug; ?>', '<?php echo $pageWidget_idx; ?>');
	});
	
	form.getElement('[name="text-colour"]').addEvent('change', function() {
 	// Save the data
 	form.getParent('.widget-config-panel').retrieve('evp-widget-config-close')({'data': {'file_options': {'text-colour': this.get('value')}}}, false); // Don't close
 	// Update the live preview
 	window.widgets_build_preview(preview_element, '<?php echo $pageWidget_slug; ?>', '<?php echo $pageWidget_idx; ?>');
	});
	
	submit_button.addEvent('click', function(event) {
		if(event) event.stop();
		form.getParent('.widget-config-panel').spin();
		// We could do validation here etc, but let's just go for it
		form.send();
	});
});
</script>