<!DOCTYPE html>
<html xmlns:og="http://ogp.me/ns#" itemscope itemtype="http://schema.org/Article">
<head>
<title><?php echo $page->getTitle(); ?></title>
<?php echo $page->getMeta(); ?>
<meta itemprop="name" content="<?php echo $file_settings->options['page-seo-title']; ?>">
<meta itemprop="description" content="<?php echo escape($file_settings->options['page-seo-description'], true); ?>">
<meta itemprop="image" content="<?php echo $file_settings->options['related-image']; ?>">
<link rel="alternate" type="application/json+oembed" href="<?php echo url('oembed.php', array('format' => 'json', 'url' => url('video', array('file_ref' => $file_ref)), 'responsive' => ($_GET['responsive'] == true), 'autoResponsive' => ($_GET['autoResponsive'] == true), 'responsiveOnlyMobile' => ($_GET['responsiveOnlyMobile'] == true))); ?>" title="<?php echo $file_settings->options['page-seo-title']; ?>">
<link rel="alternate" type="application/xml+oembed" href="<?php echo url('oembed.php', array('format' => 'xml', 'url' => url('video', array('file_ref' => $file_ref)), 'responsive' => ($_GET['responsive'] == true), 'autoResponsive' => ($_GET['autoResponsive'] == true), 'responsiveOnlyMobile' => ($_GET['responsiveOnlyMobile'] == true))); ?>" title="<?php echo $file_settings->options['page-seo-title']; ?>">
<?php echo $page->getCSS(); ?>
<!--[if IE 6]>
<link rel="stylesheet" href="<?php echo $themeDir; ?>styles/style.browser.ie6.css" />
<![endif]-->
<?php echo $page->getJavaScript(); ?>
<?php if($theme->config->allow_custom_background !== false) : ?>
<style type="text/css">
<?php if(!empty($file_settings->options['page-background-image']) || !empty($file_settings->options['page-background-colour'])) echo 'body { padding: 20px 0; background:'.(empty($file_settings->options['page-background-image']) ? '' : 'url('.url('themes/3.0/assets/backgrounds/'.$file_settings->options['page-background-image']).'/background.png?v=1) repeat').' '.$file_settings->options['page-background-colour'].'; }';
echo "\n";
if(empty($file_settings->options['page-background-image']) && !empty($file_settings->options['page-background-colour'])) {
	$start_color = $file_settings->options['page-background-colour'];
	$end_color = '#'.generateGradient($start_color, '#ffffff', 1);
	echo 'body {background: '.$file_settings->options['page-background-colour'].';}';
}
?>
</style>
<?php endif; ?>
</head>
<body class="evp-page">
	<!-- APP -->
</body>
</html>