<?php
$withContentArea = ($theme->config->allow_content_area === true && ($file_settings->options['page-layout-allowcontentarea'] == true || $file_settings->options['page-layout-allowcontentarea'] == 'true'));
$withContentArea = ($theme->config->fake_content_area === true ? true : $withContentArea);
$contentAreaWidth = $file_settings->options['width'] + 20;
if(!empty($file_settings->options['frame']) && $file_settings->options['frame'] != 'no-frame') {
	$contentAreaWidth += 220;
}
$main_file_settings = false;
if($file_settings->source_mode == 'playlist') {
	$main_file_id = $file_settings->files[0];
	if(!empty($main_file_id)) {
		$main_file_settings = $evp->collateFileSettings($main_file_id);
	}
	
	if($file_settings->list_position == 3 || $file_settings->list_position == 4) {
		$contentAreaWidth += 166;
		if(!empty($main_file_settings)) $contentAreaWidth += $main_file_settings->options['width'];
	} else {
		$contentAreaWidth += 166;
		if(!empty($main_file_settings)) $contentAreaWidth += $main_file_settings->options['width'];
	}
}

if($contentAreaWidth < 700) $contentAreaWidth = 700;

if(file_exists($theme->path.'/include.header.php')) include($theme->path.'/include.header.php');
?>

<div id="ui-page-wrapper" class="<?php if($withContentArea) echo 'evp-with-content-area'; ?>" style="<?php if($withContentArea) echo "width:{$contentAreaWidth}px;"; ?>">
<div id="page-header-area"></div>
<div id="ui-content-wrapper" class="<?php if($withContentArea) echo 'evp-with-content-area'; ?>" style="<?php if($withContentArea) echo "width:{$contentAreaWidth}px;"; ?>">
<div id="page-content-area" class="<?php if($withContentArea) echo 'evp-with-content-area'; ?>" style="<?php if($withContentArea) echo "width:{$contentAreaWidth}px;"; ?>">

	<?php
	if(!empty($file_settings->options['page_widgets_order']) && !empty($file_settings->page_widgets)) {
		foreach($file_settings->options['page_widgets_order'] as $order => $oidx) {
			$pageWidget = $evp->getPageWidget($file_settings->page_widgets[$oidx]['slug'], $file, $oidx, $file_settings);
			if($pageWidget) {
				$pageWidget_idx = $order;
				
				if(!empty($pageWidget->config->configPrepare)) {
					include_once($pageWidget->path.'/'.$pageWidget->config->configPrepare);
				}
				
				$call = "build_page_widget_".str_replace('-', '_', $pageWidget->slug);
				if(function_exists($call)) {
					echo call_user_func_array($call, array($pageWidget, $file, ($main_file_settings ? $main_file_settings : $file_settings)));
				}
			}
		}
	}
	?>
		
	<div class="site small">
		<div id="footer">
			<?php if(!($evp->isCommercial() && $evp->settings->commercial_disablepoweredby == '1')) : ?>
			<a href="<?php echo $evp->options->project_affiliate_website; ?>">Powered by <?php echo $evp->options->project_name; ?></a> <?php echo date('Y'); ?>+
			<?php endif; ?>
		</div>
	</div>

</div>
</div>
</div>

<?php if(file_exists($theme->path.'/include.footer.php')) include($theme->path.'/include.footer.php'); ?>