<?php
require('application.php');
require('application.bootstrap.php');

$file_ref = $_GET['file_ref'];
$site_url = base64_decode($_GET['url']);

if(stripos($site_url, 'http') === false) $site_url = 'http://'.$site_url;

$parts = explode('::', $file_ref, 2);
$file_id = $parts[0];
$file_profile = $parts[1];

$lightbox_style = pick($_GET['s'], '1');
if(!in_array('style-'.$lightbox_style, array('style-1', 'style-2', 'style-3', 'style-4', 'style-5'))) $lightbox_style = '1';
$lightbox_style = 'style-'.$lightbox_style;

$embed_code = $evp->videoEmbedCode($file_id, 'sd', $file_profile, 'veil', 'js', array(
	'auto_play' => true,
	'related_image_mode' => 'lightbox',
	'related_image_play' => false,
	'lightbox_style' => $lightbox_style
));
?>
<!DOCTYPE html>
<html>
<head>
<title></title>
<link rel="stylesheet" href="<?php echo url('player/assets/colorbox-1.3.18/'.$lightbox_style.'/colorbox.css?v=8-5'); ?>" />
<style type="text/css">
html, body { margin: 0; padding: 0; }
#fr { width: 100%; height: 500px; border: none; padding: 0; margin: 0; }
#p { position: absolute; top: 200px; background: #000; color: #fff; padding: 20px; left: 50%; }
</style>
<script type="text/javascript">
var i = setInterval(function() {
	if(typeof EVP3 == 'undefined') return false;
	clearInterval(i);
	var $window = EVP3.query(window);
	var fn = function() {
		EVP3.query('#fr').css({
			'width': $window.width(),
			'height': $window.height()
		});
	}
	$window.bind('resize', fn);
	$window.bind('load', fn);
	fn();
	<?php if(!empty($embed_code)) : ?>
	EVP3.query(window).ready(function() {
		setTimeout(function() {
			EVP3.query('#veil .evp-lightbox-trigger').trigger('click');
		}, 1000);
	});
	<?php endif; ?>
}, 10);
</script>
</head>
<body>

<iframe src="<?php echo $site_url; ?>" id="fr"></iframe>

<?php if(!empty($embed_code)) : ?>
<div style="visibility:hidden;position:absolute;left:-99999px;">
<?php echo $embed_code; ?>
</div>
<?php endif; ?>

</body>
</html>