<?php
require('application.php');
require('application.bootstrap.php');
$page = new Page('files.metadata.php', 'master.php', array('theme' => $evp->settings->theme, 'version' => $evp->options->project_version));
$page->title(array(pick($evp->settings->site_name, $evp->options->project_name), 'Your Files', 'Compiling your metadata'));

//$evp->updateFileCache();

$redirect = $_GET['redirect'];

// We ready for a file?
$id = escape(trim($_GET['id']));
if(empty($id)) {
	redirect('admin/list.files.php');
} else {
	// Grab the data
	$file = $evp->getFile($id);
	
	// Already got metadata?
	if(!empty($file->metadata)) redirect(url($redirect));
	
	$file_ref = $file->id;
	
	// Profile info?
	$profile = makeSeed($_GET['profile']);
	if($profile == 'default') $profile = '';
	if(!empty($profile)) {
		$file_ref.= '::'.$profile;
	}
	
	// And expose
	$page->set(array(
		'redirect' => $redirect,
		'profiles' => $profiles,
		'profiles_simple' => $profiles_simple,
		'profile' => $profile,
		'file' => $file,
		'file_ref' => $file_ref
	));
}

// And end!
$page->addEvent('onTemplateMerge', 'onTemplateMerge');
echo $page->parse();
?>