<?php
require('application.php');
require('application.bootstrap.php');
$page = new Page('files.permissions.php', 'master.php', array('theme' => $evp->settings->theme, 'version' => $evp->options->project_version));
$page->title(array(pick($evp->settings->site_name, $evp->options->project_name), 'Files', 'Update your file permissions'));
$xs->restrictTo(array('groups' => array('Administrators')), 'signin.php', array('return' => pass_create()), true);

if(!$evp->s3) redirect('admin/settings.php');

$direction = pick($_GET['direction'], 'private');
$files = $evp->s3->getFiles();

$page->set('files', $files);
$page->set('direction', $direction);

$return_url = pass_resolve($_GET['pass']);
if(empty($return_url)) $return_url = url('admin/list.files.php');
$page->set('return_url', $return_url);

if(empty($files)) redirect($return_url);

$page->addEvent('onTemplateMerge', 'onTemplateMerge');
echo $page->parse();
?>