<?php
require('application.php');
require('application.bootstrap.php');
$page = new Page('help.php', 'master.php', array('theme' => $evp->settings->theme, 'version' => $evp->options->project_version));
$page->title(array(pick($evp->settings->site_name, $evp->options->project_name), 'Help &amp; Support'));
$xs->restrictTo(array('groups' => array('Administrators', 'Managers')), 'signin.php', array('return' => pass_create()), true);

$help_url = 'https://evsuite.com/inline-help.php';

$request = new Request_Curl(array(
 'method' => 'get',
 'url' => $help_url
));

$help_url_data = array('v' => $evp->options->project_version);
if($evp->options->hosted == true) $help_url_data['subdomain'] = $config['locations']['subdomain'];

$help_content = $request->send($help_url_data);

$page->set('help_content', $help_content);

$page->addEvent('onTemplateMerge', 'onTemplateMerge');
echo $page->parse();
?>
