<?php
require('application.php');
require('application.bootstrap.php');
$page = new Page('pages.builder.php', 'master.php', array('theme' => $evp->settings->theme, 'version' => $evp->options->project_version));
$page->title(array(pick($evp->settings->site_name, $evp->options->project_name), 'Pages', 'Page builder'));
$xs->restrictTo(array('groups' => array('Administrators', 'Managers', 'Users')), 'signin.php', array('return' => pass_create()), true);

$mode = pick($_GET['mode'], 'playlist');
$id = pick($_GET['id'], false);

if(!empty($_GET['id'])) {
	//
} else {
	$currentPage = new stdClass;
	$currentPage->options = new stdClass;
	$currentPage->page_widgets = new stdClass;
}
$file_settings = new stdClass;
$file_settings->options = $currentPage->options;
$file_settings->page_widgets = $currentPage->page_widgets;
if(empty($file_settings->options)) $file_settings->options = array();
if(empty($file_settings->page_widgets)) $file_settings->page_widgets = array();
$file = new stdClass;
$file->id = $currentPage->id;
$profile = '';
$file_ref = $currentPage->id;

$page->set(array('mode' => $mode, 'id' => $id, 'file' => $file, 'profile' => $profile, 'file_ref' => $file_ref, 'file_settings' => $file_settings));

// Any special things this page needs?
$page->css('styles/style.page.files.page.css');
$page->js('scripts/custom/evp-ties.js');
$page->js('scripts/libraries/moorainbow.js');
$page->js('scripts/libraries/scroll.js');

$page->js('scripts/libraries/jquery-1.5.1.min.js');
$page->js('jQuery.noConflict();');
$page->js('scripts/libraries/plupload/plupload.js');
$page->js('scripts/libraries/plupload/plupload.html5.js');

$page->css('scripts/libraries/cleditor/jquery.cleditor.css');
$page->js('scripts/libraries/cleditor/jquery.cleditor.min.js');

// And end!
$page->addEvent('onTemplateMerge', 'onTemplateMerge');
echo $page->parse();
?>