<!-- BUFFER -->
<script type="text/javascript">
window.addEvent('load', function() {
	var queue = new Request.Queue({
		'onEnd': function() {
			window.url('<?php echo $return_url; ?>');
		//$('complete-wrap').setStyle('visibility', 'visible');
		}
	});
	
	$('files').getElements('tbody tr').each(function(row) {
		var xhr = new Request.JSON({
			'link': '',
			'url': '<?php echo url('api.php', false, true); ?>',
			'onRequest': function() {
				var current = Object.keys(queue.getRunning())[0];
				if(current && $(current)) $(current).spin();
			},
			'onSuccess': function(response) {
				var current = response.request_id;
				if(current && $(current)) $(current).unspin();
				if(response.success !== true) {
					$(current).getElements('.retry').setStyle('visibility', 'visible');
					$(current).morph({'background-color': '#ffecce'});
					$(current).getElements('.status').set('text', 'Failed!');
				} else {
					$(current).morph({'background-color': '#edfbd8'});
					$(current).getElements('.status').set('text', 'Completed successfully.');
				}
			},
			'onFailure': function() {
				var current = Object.keys(queue.getRunning())[0];
				if(current && $(current)) {
					$(current).getElements('.retry').setStyle('visibility', 'visible');
					$(current).morph({'background-color': '#ffecce'});
					$(current).getElements('.status').set('text', 'Failed!');
				}
			}
		});
		
		queue.addRequest(row.get('id'), xhr);
		
		xhr.post(Object.merge(<?php echo json_encode($operation_json); ?>, {
			'request_id': row.get('id'),
			'target_name': row.getData('name'),
			'username': '<?php echo $currentUser->username; ?>',
			'password': '<?php echo $currentUser->password; ?>'
		}));
		
		row.store('xhr', xhr);
	});
	
	var actn = function(row) {
		if(!row) return;
		xhr.post(Object.merge(<?php echo json_encode($operation_json); ?>, {
			'request_id': row.get('id'),
			'target_name': row.getData('name'),
			'username': '<?php echo $currentUser->username; ?>',
			'password': '<?php echo $currentUser->password; ?>'
		}));
	}
	
	$('files').getElements('.retry').addEvent('click', function() {
		var row = this.getParent('tr');
		actn(row);
	});
});
</script>

<div class="table table-padded alt clear" id="files"><div class="wrap">
	<h2><?php echo $operation_title; ?></h2>
	<table data-behavior="HtmlTable" data-htmltable-sortable="true">
		<thead>
			<tr>
				<th>File name</th>
				<th width="200">Status</th>
				<th width="40">&nbsp;</th>
			</tr>
		</thead>
		<tfoot><tr><td colspan="3"><div id="complete-wrap" style="visibility:hidden;"><a id="complete" class="align-right" href="<?php echo $return_url; ?>" data-behavior="Button" data-button-width="100">Continue</a></div></td></tr></tfoot>
		<tbody>
			<?php
				foreach($files as $idx => $i) {
					echo '<tr id="row-'.mt_rand().'" data-name="'.escape($i->file_name).'">';
					echo '<td>'.$i->file_name.'</td>';
					echo '<td><span class="status">Waiting&hellip;</status></td>';
					echo '<td><a class="retry" style="visibility: hidden;">Retry</a></td>';
					echo '</tr>';
				}
			?>
		</tbody>
	</table>
</div></div>