<?php
// This file is only present for hosted installations
// Self-hosted people are left a little to their own devices

// This is for the system which locates the license key
// This is the main user, so the first administrator we find
$primary_username = grab(getRow("SELECT `username` FROM {$evp->options->prefix}users WHERE `id` = '1'"), 'username');

$download_url = url('https://evsuite.com/index-xfg3gvbh4edaa-desktopdownload.php', array(
	'primaryUsername' => $primary_username,
	'currentUsername' => $xs->userData->username,
	'isClient' => ($xs->isMemberOf($xs->userData->id, 'Users') || $xs->isMemberOf($xs->userData->id, 'Clients')),
	'isHostedInstall' => $evp->options->hosted,
	'subdomain' => $config['locations']['subdomain'],
	'baseUrl' => url(),
	'closeUrl' => url('admin/xhr.tour.php', array('mode' => 'tour-finish')),
	'source' => 'tour'
));
?>
<style type="text/css">
#cboxClose, #cboxNext, #cboxPrevious { display: none !important; display: none; }
</style>
<script type="text/javascript">
window.addEvent('domready', function() {
	var ti = setInterval(function() {
		if(typeof EVP3 == 'undefined') return false;
		clearInterval(ti);

		EVP3.query.colorbox.init();

		(function() {
			var width = (navigator.platform.toLowerCase().indexOf('mac') !== -1 ? '800px' : '830px');
			var height = (navigator.platform.toLowerCase().indexOf('mac') !== -1 ? '650px' : '680px');
			EVP3.query.colorbox({'iframe': true, 'href': '<?php echo $download_url; ?>', 'innerWidth': width, 'innerHeight': height, 'rel': 'walkthrough', 'transition': 'fade', 'open': true, 'escKey': false, 'overlayClose': false, 'current': ''});
		}).delay(100);

	}, 100);
});
</script>
