<?php
// Get the potential skins
$pageWidgets = $evp->getPageWidgets();

$available_elements = array();
if(!empty($file_settings->events)) {
	foreach($file_settings->events as $name => $pel) {
		$pel = new Object($pel);
		if($pel->data->{'event-mode'} == 'external') $available_elements[$name] = $name;
	}
}

if(empty($available_elements)) {
	foreach($pageWidgets as $idx => $pw) if($pw->slug == 'my-event') unset($pageWidgets[$idx]);
}

//$pageWidgetList = array_chunk($pageWidgets, 2);
?>

<script type="text/javascript">
window.addEvent('domready', function() {
	function widgets_save_order() {
		var data = $('thisFile').retrieve('data');
		data.page_widgets_order = [];
		$('page-preview').getElements('.widget').each(function(el, order_idx) {
			var widget_idx = el.getData('widget-idx');
			data.page_widgets_order[order_idx] = widget_idx;
		});
		$('thisFile').store('data', data);
	}

	function widgets_build_preview(el, widget_slug, idx) {

		$(el).getElements('.widget-live-preview').destroy();

		var page_widgets = $('thisFile').retrieve('page-widgets');
		var this_widget = page_widgets[idx] || {};
		var preview = new Element('div', {'class': 'evp-site-content widget-live-preview'}).inject(el);

		var def = function() {
			$('widget-'+$(el).getData('widget-slug')).clone().set('class', '').inject(preview);
		//new Element('p', {'text': $(el).getData('widget-name')}).inject(preview);
		}

	//if(!this_widget) return def();
		switch(widget_slug) {
			case 'my-event':
				if(this_widget.element) {
					$('widget-my-event').clone().set('class', '').inject(preview).getElement('p').set('text', this_widget.element+' (Event)');
				} else {
					def();
				}
				break;
			case 'button':
				if(this_widget.button_seed) {
					preview.addClass('evp-site-content-invisible');
					new Element('img', {'src': '../player/event-widgets/button/'+this_widget.button_seed+'/button.png', 'styles': {'max-width':'400px'}}).inject(preview);
				} else {
					def();
				}
				break;
			case 'my-video':
				var lbl = 'Your <?php echo $prettyMode; ?>: <?php echo $file->name; ?>';
				<?php if($file->id == 'default') : ?>lbl = 'Your <?php echo $prettyMode; ?> will appear here';<?php endif; ?>
				$(el).getElements('.widget-delete').setStyles({'display':'none'});
				var skin = $('thisFile').retrieve('data').skin || 'minima';
				new Element('img', {'src': '../player/assets/jwplayer-5.10/skins/'+skin+'/'+skin+'.png', 'styles': {'width': '415px'}}).inject(preview);
				new Element('div', {'class': 'my-video-inline-label-bg'}).inject(preview);
				new Element('p', {'class': 'my-video-inline-label', 'text': lbl}).inject(preview);
				break;
			case 'title':
				if(this_widget.text) {
					preview.addClass('widget-trigger-config');
					new Element('h1', {'html': (this_widget.text || ''), 'styles': {'width': '410px', 'margin': '0 auto', 'font-size': '28px', 'text-align': 'center', 'font-weight': 'bold', 'color': (this_widget['text-colour'] || '')}}).inject(preview);
				} else {
					def();
				}
				break;
			case 'text':
				if(this_widget.text) {
					preview.addClass('widget-trigger-config');
					var text = html_entity_decode(stripslashes(stripslashes(this_widget.text || ''))); // Double-unescape?? Why??
					new Element('div', {'html': text}).inject(preview);
				} else {
					def();
				}
				break;
			case 'facebook-like':
				preview.addClass('widget-live-preview-box');
				new Element('img', {'src': '../themes/3.0/assets/page-widgets/facebook-like/preview-large.png', 'styles': {'width': '410px'}}).inject(preview);
				break;
			case 'facebook-comments':
				preview.addClass('widget-live-preview-box');
				new Element('img', {'src': '../themes/3.0/assets/page-widgets/facebook-comments/preview-large.png', 'styles': {'width': '410px'}}).inject(preview);
				break;
			case 'disqus-comments':
				preview.addClass('widget-live-preview-box');
				new Element('img', {'src': '../themes/3.0/assets/page-widgets/disqus-comments/preview-large.png', 'styles': {'width': '410px'}}).inject(preview);
				break;
			case 'image':
				preview.setStyle('text-align', 'center');
				if(this_widget.src) {
					new Element('img', {'styles': {'max-width': '415px'}, 'src': this_widget.src}).inject(preview);
				} else {
					def();
				}
				break;
			default:
				def();
				break;
		}

	}

	window.widgets_build_preview = widgets_build_preview; // Expose globally

	function widgets_build(widget_slug, idx) {
		if(typeof idx == 'undefined') idx = '';
		idx = ''+idx; // Force into a string so it gets saved even if 0
		var orig = $('widget-'+widget_slug);
		if(!orig) {
			if(typeof console !== 'undefined') console.error('The widget '+widget_slug+' could not be identified!');
			return false;
		}
		var el = orig.clone();
		if(idx) el.setData('widget-idx', idx);
		el.set('class', 'widget widget-'+widget_slug);

		// Remove the little image thing and the text
		el.empty();

		// Configuration?
		if(el.getData('widget-config-remote')) {
			new Element('div', {'class': 'widget-config ui-icon ui-icon-gear', 'title': 'Configure this widget'}).inject(el, 'top');
		} else {
			//
		}

		// Make the delete
		new Element('div', {'class': 'widget-delete ui-icon ui-icon-delete', 'title': 'Remove this widget'}).inject(el, 'bottom');

		// Show the config etc on mouseover
		el.addEvents({
			'mouseenter': function() {
				el.getElements('.widget-delete, .widget-config').fade(1);
			},
			'mouseleave': function() {
				el.getElements('.widget-delete, .widget-config').fade(0.4);
			}
		});

		el.getElements('.widget-delete, .widget-config').fade(0.4);

		// Let's add a new item into the widget storage, if it's not already set
		if(!idx) {
			var data = $('thisFile').retrieve('data');
			var page_widgets = $('thisFile').retrieve('page-widgets');
			if(typeof page_widgets == 'undefined') page_widgets = {};

			// Widget data
			var widget_data = {
				'name': el.getData('widget-name'),
				'slug': el.getData('widget-slug'),
				'data': el.getData('widget-data')
			};
			// Push the data
			var idx = Number.random(1, 9999999);//$('page-preview').getElements('.widget').length + 1;
			page_widgets[idx] = widget_data;
			// Set the IDX
			page_widgets[idx].idx = idx;
			// Store this data inside the actual HTML element
			el.setData('widget-idx', idx);
			// And update the data
			$('thisFile').store('data', data);
			$('thisFile').store('page-widgets', page_widgets);

			// Trigger the config window
			var config_button = el.getElement('.widget-config');
			if(config_button) {
				show_config_panel.bind(config_button).delay(250);
			}
		}

		// Now we should make an accurate preview of this, depending on what kind of widget it is
		widgets_build_preview(el, widget_slug, idx);

		// And return
		return el;
	}

	function show_config_panel() {
		// First, close all other widget windows
		$$('.widget-config-panel').dissolve();

		// And onwards
		var widget = this.getParent('.widget');
		var config_remote = widget.getData('widget-config-remote');
		var widget_slug = widget.getData('widget-slug');
		var widget_idx = widget.getData('widget-idx');

		var config_remote_url = '<?php echo url('admin/xhr.php', array('method' => 'page_widget_config_load', 'file_ref' => $file_ref)); ?>&widget='+widget_slug+'&widget_idx='+widget_idx+'&source_mode=<?php echo $mode; ?>';

		if(widget.retrieve('widget-config-panel-setup')) {
			widget.retrieve('widget-config-panel').reveal();
		} else {
			// Open up the area
			var panel = new Element('div', {
				'class': 'widget-config-panel',
				'styles': {
					'position': 'absolute'
				}
			}).inject($('page-editor'), 'bottom');

			// Insert the title
			new Element('h2', {'text': widget.getData('widget-name')}).inject(panel);

			var panel_content = new Element('div', {'class': 'widget-config-panel-content'}).inject(panel);

			// Create the area
			var widgetArea = new WidgetisedArea(config_remote_url, {'file_id': '<?php echo $file->id; ?>', 'profile': '<?php echo $profile; ?>'}, {
			//'spin': $$('#page-preview', panel),
				'update': panel_content,
				'update-method': 'update',
				'animation': 'fade'
			});

			widgetArea.start();

			// Allow closing
			var c = function() {
				this.dissolve();
			}

			panel.store('evp-widget-config-close', function(response, close) { // Obj or string of new data
				if(typeof response == 'string') response = JSON.decode(response);
				if(response) {
					var page_widgets = $('thisFile').retrieve('page-widgets');
					page_widgets[widget_idx] = Object.merge({}, page_widgets[widget_idx], response.data.file_options);
					$('thisFile').store('page-widgets', page_widgets);

					widgets_build_preview(widget, widget_slug, widget_idx);
				}
				if(close === false) return; // Don't close if this is exactly false
				c.bind(panel)();
			});

			new Element('div', {'class': 'ui-icon ui-icon-delete'}).addEvent('click', c.bind(panel)).inject(panel, 'bottom');

			// Store
			widget.store('widget-config-panel-setup', true);
			widget.store('widget-config-panel', panel);
			widget.store('widget-config-widgetarea', widgetArea);
		}
	}

	$('page-preview').addEvent('click:relay(.widget-config,.widget-trigger-config)', show_config_panel);

	$('page-preview').addEvent('click:relay(.widget-delete)', function() {
		var widget = this.getParent('.widget');
		var widget_idx = widget.getData('widget-idx');

		widget.kill(widgets_save_order);
		$$('.widget-config-panel').dissolve();

		// Delete it from the storage
		var page_widgets = $('thisFile').retrieve('page-widgets');
		delete page_widgets[widget_idx];
		$('thisFile').store('page-widgets', page_widgets);
	});

	<?php
	// This part will write the JS to re-create the existing widget
	if(!empty($file_settings->page_widgets) && !empty($file_settings->options['page_widgets_order'])) {
		foreach($file_settings->options['page_widgets_order'] as $oidx) {
			if(!empty($file_settings->page_widgets[$oidx])) {
				$pageWidget = $file_settings->page_widgets[$oidx];
				?>
				var w = widgets_build('<?php echo $pageWidget['slug']; ?>', <?php echo $oidx; ?>);
				if(w) w.inject($('page-preview'), 'bottom');
				<?php
			}
		}
		echo 'widgets_save_order();';
	}
	?>

	var sort = new Sortables($('page-preview'), {
		'clone': false,
		'revert': false,
		'opacity': 0.7,
		'onStart': function() {
			//
		},
		'onComplete': function() {
			// Reset the widget_order key
			widgets_save_order.delay(500); // Delay to make sure the clone has gone. Really?
		}
	});

	$('page-widgets').getElements('.page-widget-selector-widget').addEvent('mousedown', function(event) {
 	event.stop();
		var shirt = this;

	//$('page-preview').tween('background-color', '#DCEDF2');

		var to_clone = shirt;
		var pos = to_clone.getPosition();
		var clone = to_clone.clone().setStyles({
			'left': pos.x,
			'top': pos.y,
   'opacity': 0.7,
   'position': 'absolute',
			'z-index': 10,
			'padding': 0,
			'margin': 0
  }).inject(document.body);

  var drag = new Drag.Move(clone, {
			'droppables': $('page-preview'),
				'onEnter': function() {
					var sortClone = clone.clone();
					sortClone.setStyles({'opacity': 1, 'position': 'static'}).inject($('page-preview'));
					sort.addItems(sortClone);
					clone.setStyle('display','none').store('clone', sortClone);
					sort.start(event, sortClone);
				},
				'onLeave': function(){
					var sortClone = clone.retrieve('clone');
					sort.end();
					sort.removeItems(sortClone);
					clone.setStyle('display','');
					sortClone.destroy();
				},
				'onDrop': function(el, drop){
					if(drop){
						var widget = widgets_build(shirt.getData('widget-slug'));
      widget.replaces(clone.retrieve('clone'));
						sort.addItems(widget);
						widgets_save_order();
						new Fx.Scroll($('page-preview')).toElement(widget);
						el.destroy();
					} else {
						el.get('morph').start({
							opacity: 0,
							left: pos.x,
							top: pos.y
						}).chain(el.destroy.bind(el));
					}
				},
	   'onCancel': function(dragging) {
	    dragging.destroy();
	   }
			});
			drag.start(event);
  });
});
</script>

<div id="page-widgets">
	<p class="margin-right">Drag the widgets below onto the preview on the right to build your page!</p>
	<?php foreach($pageWidgets as $pageWidget) : ?>
		<div class="page-widget-selector-widget" data-widget-name="<?php echo $pageWidget->name; ?>" data-widget-slug="<?php echo $pageWidget->slug; ?>" data-widget-config-remote="<?php echo $pageWidget->config->configRemote; ?>" data-widget-config-width="<?php echo $pageWidget->config->configWidth; ?>" data-widget-config-height="<?php echo $pageWidget->config->configHeight; ?>" id="widget-<?php echo $pageWidget->slug; ?>">
			<img src="<?php echo $pageWidget->location; ?>preview.png?v=1.0.5" class="page-widget-selector-preview" />
			<p><?php echo $pageWidget->name; ?></p>
		</div>
	<?php endforeach; ?>
</div>

<div style="width:190px;margin:0 0 10px 0;padding:10px;border:1px solid #CAD8E2;" class="styled descend panel" id="page-layout-contentarea">
	<div class="setting-group">
		<label for="page-layout-allowcontentarea">Wrap my content in a box?</label>
		<div class="align-left">
			<input name="page-layout-allowcontentarea" id="page-layout-allowcontentarea" type="checkbox" value="true" data-behavior="EvpTieToElement iPhoneCheckbox" />
		</div>
		<div class="clear"></div>
	</div>
</div>

<div style="width:190px;margin:0;padding:10px;margin-bottom:10px;border:1px solid #CAD8E2;" class="styled descend panel">
	<div class="setting-group">
		<label for="page-sharing-facebook">Share video or the page?</label>
		<div data-behavior="RadioGroup" data-radiogroup-width="93" id="page-sharing">
			<label for="page-sharing-facebook-video">The video</label>
			<input type="radio" id="page-sharing-facebook-video" name="page-sharing-facebook" value="video" data-behavior="EvpTieToElement" />
			<label for="page-sharing-facebook-page">The page</label>
			<input type="radio" id="page-sharing-facebook" name="page-sharing-facebook" value="page" checked="checked" data-behavior="EvpTieToElement" />
		</div>
		<div class="clear"></div>
	</div>
</div>
