<?php include('application.php'); include('application.bootstrap.php'); ?>
<?php
if(empty($_GET['mode'])) {
	$mode = 'video';
} else {
	$mode = $_GET['mode'];
}

$prettyMode = 'video';
if($mode == 'playlist') $prettyMode = 'playlist';
elseif($mode == 'splittest') $prettyMode = 'split test';

?>

<?php
if($mode == 'video') {
	// Get the file
	$file = $evp->getFile($_GET['file_id']);
	
	$file_ref = $file->id;
	
	// Get the profile
	$profile = trim($_GET['profile']);
	if(!empty($profile)) {
		$profile = str_replace($file->id.'::', '', $profile);
		$file_ref.= '::'.$profile;
	}
	
	// Get the file settings
	$file_settings = $evp->collateFileSettings($file, $profile);
	
	$current_page_seed = grab(getRow("SELECT `value` FROM {$evp->options->prefix}files_data WHERE `key` = 'data[page_seed]' && `file_id` = '{$file_ref}'"), 'value');
	
	// Do we need to add in page widgets?
	$w = (array)$file_settings->page_widgets;
	if(empty($file_settings->options['page_widgets_order']) || empty($w)) {
		$file_settings->options['page_widgets_order'] = array('0' => '0', '1' => '1');
		$file_settings->page_widgets = array(
			array(
				'idx' => '0',
				'slug' => 'title',
				'name' => 'Title',
				'text' => makeReadable($file->data['page_seed'])
			),
			array(
				'idx' => '1',
				'slug' => 'my-video',
				'name' => 'My Video'
			)
		);
		
		// Instantly save and update these new things
		$evp->api->files_setdata($file_ref, $file_settings, array('options', 'page_widgets'));
		$file = $evp->getFile($file_ref);
		$file_settings = $evp->collateFileSettings($file, $profile);
	}
} else {
	// Are we building a new page?
	if(!empty($_GET['file_id'])) {
		if($mode == 'playlist') {
			$file = $evp->getPlaylist($_GET['file_id']);
		} elseif($mode == 'splittest') {
			$file = $evp->getSplitTest($_GET['file_id']);
		}
		$currentPage = $file;
	} else {
		$currentPage = new stdClass;
		$currentPage->options = array();
		$currentPage->page_widgets = array();
	}
	$file_settings = new stdClass;
	$file_settings->options = $currentPage->options;
	$file_settings->page_widgets = $currentPage->page_widgets;
	if(empty($file_settings->options)) $file_settings->options = array();
	if(empty($file_settings->page_widgets)) $file_settings->page_widgets = array();
	if(empty($file)) {
		$file = new stdClass;
		$file->id = $currentPage->id;
	}
	$profile = '';
	$file_ref = $currentPage->id;
	$current_page_seed = pick($currentPage->data['page_seed'], makeSeed($file->name));
	
	// Do we need to add in page widgets?
	$w = (array)$file_settings->page_widgets;
	if(empty($file_settings->options['page_widgets_order']) || empty($w)) {
		$file_settings->options['page_widgets_order'] = array('0' => '0', '1' => '1');
		$file_settings->page_widgets = array(
			array(
				'idx' => '0',
				'slug' => 'title',
				'name' => 'Title',
				'text' => makeReadable($current_page_seed)
			),
			array(
				'idx' => '1',
				'slug' => 'my-video',
				'name' => 'My Video'
			)
		);
	}
}

// Get every other page seed
$existing_seeds = array();
$existing_seeds_raw = getArray("SELECT `value` FROM {$evp->options->prefix}files_data WHERE `key` = 'data[page_seed]'");
if(!empty($existing_seeds_raw)) {
	foreach($existing_seeds_raw as $i) {
		if($i->value !== $current_page_seed) $existing_seeds[] = $i->value;
	}
}
?>

<script type="text/javascript">
<?php if($file->id == 'default') : ?>
window.onbeforeunload = function() {
	var msg = '** WARNING **\n\nIf you leave this page now, your default settings will NOT be saved or applied to new videos! Please cancel and continue through all of the steps!';
	return msg;
};
<?php endif; ?>

window.addEvent('domready', function() {
	<?php include($config['locations']['themePath'].'include.attach.php'); ?>
	
	EVP_Help.setContext({
		'content': '<p>You can use the drag-and-drop page builder below to easily create and customise a page for your video, without needing to write a single line of code!</p><p>Drag each widget from the left and customise them as you like!</p>',
		'video': 'basic-pagebuilder.mp4'
	});
	
	// Make the tabs
	var ts = new TabSwapper({
		'tabs': $('options').getElements('ul.tabs li'),
		'sections': $('panels').getElements('> .tab-panel'),
		'smooth': true,
		'rearrangeDOM': false,
		'onActive': function(idx, panel, tab) {
			//
		}
	});
	
	var xhr = new Request({
		'url': '<?php echo url('admin/xhr.php'); ?>',
		'method': 'post',
		'onRequest': function() {
			$('ui-save').spin({'msg': 'Saving...'});
		},
		'onSuccess': function(responseText, responseXML) {
			var file_id = $('thisFile').retrieve('file_id'), file_profile = $('thisFile').retrieve('file_profile');
			<?php if($mode == 'video') : ?>
			<?php
			$finish_url = url('admin/files.embed.php');
			if($file->id == 'default') $finish_url = url('settings.php', false, false);
			?>
			window.url('<?php echo $finish_url; ?>?default_saved=success&id='+(file_id)+'&profile='+(file_profile));
			<?php else : ?>
			window.url('list.<?php echo $mode; ?>s.php?id='+(file_id)+'&show_page_url=true');
			<?php endif; ?>
		},
		'onFailure': function() {
			$('ui-save').unspin();
		}
	});
	$('thisFile').store('save', xhr);
	
	$('ui-save').addEvent('click', function(event) {
		
		if($('page_seed')) {
			if($('page_seed').retrieve('valid') === false) {
				StickyWin.alert('Error!', 'Please enter a valid page name before saving!<br /><br />The name that you enter can\'t be in use for any other file. Once you enter a valid one, the box will turn green and you can continue.');
				$('page_seed').focus();
				return false;
			}
		}
		
		window.onbeforeunload = null;
		if(event) event.stop();
		$('thisFile').retrieve('save').send({
			'method': 'post',
			'data': {
				'method': 'file_setdata',
				'file_ref': $('thisFile').retrieve('file_ref'),
				'data': {
					'options': $('thisFile').retrieve('data'),
					'page_widgets': $('thisFile').retrieve('page-widgets')
				},
				'relevant': ['options', 'page_widgets'],
				'page_seed': ($('page_seed') && $('page_seed').retrieve('valid') ? $('page_seed').get('value') : false),
				'mode': '<?php echo $mode; ?>'
			}
		});
	});
	
	if($('ui-breadcrumbs-files-embed-code')) {
		$('ui-breadcrumbs-files-embed-code').removeEvents('click').addEvent('click', function() {
			$('ui-save').fireEvent('click');
		});
	}
	
	$$('.ui-return').addEvent('click', function(event) {
		if(event) event.stop();
		ts.show(0);
	});
	
	$$('.ui-options-next').addEvent('click', function() {
		ts.show(ts.now + 1);
	});
	
	$$('.ui-options-back').addEvent('click', function() {
		ts.show(ts.now - 1);
	});
	
	// Renaming the page
	if($('page_seed')) {
		var existing_seeds = <?php echo json_encode($existing_seeds); ?>;
		$('page_seed').set('value', '<?php echo $current_page_seed; ?>').addEvent('change', function() {
			var val = this.get('value').makeSeed();
			this.set('value', val);
			if(existing_seeds.indexOf(val) != -1) {
				this.setStyle('border-color', 'red').store('valid', false);
			} else {
				this.setStyle('border-color', 'green').store('valid', true);
			}
		}).fireEvent('change');
		
		var page_seed_save = new Request({
			'url': '<?php echo url('admin/xhr.php'); ?>',
			'method': 'post',
			'onRequest': function() {
				$('page_seed_save').spin();
			},
			'onSuccess': function() {
				$('page_seed_save').unspin();
			},
			'onFailure': function() {
				$('page_seed_save').unspin();
			}
		});
		
		$('page_seed_save').addEvent('click', function() {
			if($('page_seed').retrieve('valid') === true) {
				page_seed_save.post({'method': 'page_seed', 'file_ref': $('thisFile').retrieve('file_ref'), 'page_seed': $('page_seed').get('value'), 'mode': '<?php echo $mode; ?>'});
			}
		});
	}
	
	// The content area?
	if($('page-layout-allowcontentarea')) {
		$('page-layout-allowcontentarea').addEvent('change', function() {
			if(this.get('checked')) {
				$('page-preview').addClass('evp-with-content-area');
			} else {
				$('page-preview').removeClass('evp-with-content-area');
			}
		});
	}
});
</script>

<div class="box"><div class="wrap self-clear">
	<?php if($mode == 'playlist') : ?>
		<h2>Build the page for the playlist "<?php echo $file->name; ?>"</h2>
	<?php elseif($mode == 'splittest') : ?>
		<h2>Build the page for the split test "<?php echo $file->name; ?>"</h2>
	<?php else : ?>
		<h2><span>Build the video page<?php if($file->id !== 'default') : ?> for </span>"<?php echo $file->name; ?>"<?php endif; ?></h2>
	<?php endif; ?>
	
	<?php if($file->id !== 'default') : ?>
	<h2 class="align-left"><?php echo url(); ?><span class="styled"><input type="text" id="page_seed" name="page_seed" style="margin:-5px 5px 0 5px;" /></span>/</h2><div style="margin:5px 0 0 0;" class="align-left"><input type="button" id="page_seed_save" data-behavior="Button" data-button-width="100" data-button-icon="check" data-button-iconpos="notext" value="Save" /></div>
	<?php endif; ?>
	
	<div class="clear align-left" id="page-editor">
		<?php include(getWidgetInclude('files.page.content')); ?>
	</div>
	<div class="align-left">
		<div class="area fancy-scroll" id="page-preview-area">
			<div id="ui-page-wrapper">
				<div id="page-header-area"></div>
				<div id="page-preview-wrapper">
					<div id="ui-content-wrapper">
						<div id="page-preview"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
		<div id="focus">
			<div id="options">
				<ul class="tabs">
					<li id="tab-layout">Layout</li>
					<li id="tab-general">Page SEO</li>
				</ul>
			</div>
			<div id="panels" class="panel">			
				<div class="tab-panel"><div class="wrap">
				
					<?php include(getWidgetInclude('files.page.layout')); ?>
					
					<div class="clear"></div>
				</div></div>
				
				<div class="tab-panel styled descend"><div class="wrap">
					
					<div class="align-left margin-right">
						<div class="setting-group">
							<label for="page-seo-title">Enter the title to be shown in web browsers</label>
							<input name="page-seo-title" id="page-seo-title" type="text" data-behavior="EvpTieToElement" style="width:300px;" />
						</div>
						
						<div class="setting-group">
							<label for="page-seo-keywords">Please enter comma-separated keywords</label>
							<input name="page-seo-keywords" id="page-seo-keywords" type="text" data-behavior="EvpTieToElement" style="width:300px;" />
						</div>
					</div>
					
					<div class="align-left">
						<div class="setting-group">
							<label for="page-seo-description">Enter a description of the page for search engines</label>
							<textarea name="page-seo-description" id="page-seo-description" data-behavior="EvpTieToElement" style="width:490px;height:87px;"></textarea>
						</div>
					</div>
					
					<div class="clear"></div>
				</div></div>
				
			</div>
		</div>
	
	<div class="clear" id="ui-save-options">
		<?php /*
		<div class="align-left">
			<a class="ui-return" data-behavior="Button" data-button-icon="back" data-button-iconpos="left" data-button-width="90">Back</a>
		</div>
		*/ ?>
		<div class="align-right" style="text-align: center;">
			<a id="ui-save" data-behavior="Button" data-button-icon="forward" data-button-iconpos="right" data-button-width="180">Save &amp; continue</a>
		</div>
		<div class="clear"></div>
	</div>
	
</div></div>