<?php include('application.php'); include('application.bootstrap.php'); ?>

<?php
// Get the file
$file = $evp->getFile($_GET['file_id']);

$file_ref = $file->id;

// Get the profile
$profile = trim($_GET['profile']);
if(!empty($profile)) {
	$profile = str_replace($file->id.'::', '', $profile);
	$file_ref.= '::'.$profile;
}

// Get the file statistics
$stats = $evp->statistics->getStats($file_ref);

// And the settings, for the skin preview
$file_settings = $evp->collateFileSettings($file, $profile);
if(empty($file_settings->options['skin'])) $file_settings->options['skin'] = 'minima';

// Work out the average drop-off time
$average_drop_off = $evp->statistics->averageDropOff($file_ref);
?>

<div class="box alt clear ui-stats-pad-small"><div class="wrap self-clear auto">
	<?php
	$ve_x = 0;
	if(empty($file->metadata['duration']) || $file->metadata['duration'] == 0) $file->metadata['duration'] = 1;
	$secondsAsPixels = (90 / $file->metadata['duration']);
	$ve_x = round($secondsAsPixels * $average_drop_off);
	if($ve_x >= 84) $ve_x = 84; // Stops it going too far to the right!
	?>
	<h2 style="position:relative;">Quick stats: <span><?php echo string_trim($file->name, 50); ?></span><input type="button" href="files.livestats.php?id=<?php echo $file_ref; ?>" data-behavior="Button" rel="Click here to get full Analytics for your videos!" data-button-width="120" data-button-type="action_small" id="dashboard-analytics-more" value="Get more stats" /></h2>
	<div class="stats-box">
		<div class="stats-box-icon stats-box-videos">
			<strong>Effectiveness</strong>
			<div class="stats-effectiveness-bar-single">
				<div class="ui-gradient ui-gradient-black" style="left: <?php echo $ve_x; ?>px;"></div>
			</div>
		</div>
		<div class="stats-box-icon stats-box-videos">
			<strong>Drop-off time</strong>
			<span><?php echo secondsToHMS($average_drop_off); ?></span>
		</div>
		<div class="stats-box-icon stats-box-completion-percentage">
			<strong>Completion %</strong>
			<span><?php echo ($stats->static->starts > 0 && $stats->static->completes > 0 ? ceil(($stats->static->completes / $stats->static->starts) * 100) : 0); ?>%</span>
		</div>
	</div>
	
	<div class="stats-box">
		<div class="stats-box-icon stats-box-starts">
			<strong>Starts</strong>
			<span><?php echo number_format($stats->static->starts); ?></span>
		</div>
		<div class="stats-box-icon stats-box-completions">
			<strong>Completions</strong>
			<span><?php echo number_format($stats->static->completes); ?></span>
		</div>
		<div class="stats-box-icon stats-box-sales">
			<strong>Total sales</strong>
			<span><?php echo number_format($stats->total_sales); ?></span>
		</div>
	</div>
	
	<div class="stats-box">
		<div class="stats-box-icon stats-box-income">
			<strong>Total income</strong>
			<span>$<?php echo formatPrice($stats->total_income); ?></span>
		</div>
	</div>
</div></div>