<?php
$eternity = new Eternity();
$evp = new EVP($config['evp']);
$config = Registry::retrieve('config');
$config['locations']['themeDir'] = $config['locations']['absolute'].(empty($config['locations']['folder_name']) ? '' : $config['locations']['folder_name'].'/').'themes/'.$evp->settings->theme.'/';
$config['locations']['themePath'] = $config['paths']['base'].'/'.$config['locations']['folder_name'].'/themes/'.$evp->settings->theme.'/';

if($evp->options->hosted === true && empty($evp->settings->us3_s3_setup_unfinished) && !empty($evp->settings->s3_accesskey) && !empty($evp->settings->s3_secretkey) && !empty($evp->settings->s3_bucket)) {
	$config['locations']['themeDir'] = $config['locations']['protocol'].'://'.$evp->settings->s3_bucket.'.s3.amazonaws.com/themes/'.$evp->settings->theme.'/';
	$config['locations']['folder_absolute'] = url($config['locations']['protocol'].'://'.$evp->settings->s3_bucket.'.s3.amazonaws.com/');
}

Registry::store('config', $config);
if(!(isset($config['xs']['noTrackerUpdate']) && $config['xs']['noTrackerUpdate'] === true)) $xs->checkCurrent();

function onTemplateMerge($event, $master, $template, $page) {
	$config = Registry::retrieve('config');
	$xs = Registry::retrieve('users');
	
	header('Content-Type: text/html; charset=utf-8');
	
	// Page data etc
	$page->meta('Content-Type', 'text/html; charset=utf-8');
	
	// JavaScript
//	$page->js($config['locations']['protocol'].'://ajax.googleapis.com/ajax/libs/mootools/1.4.1/mootools-yui-compressed.js', array('position' => 'start'));
	$page->js($config['locations']['themeDir'].'../../admin/themes/3.0/scripts/libraries/mootools-1.4.5-more-mini.js', array('position' => 'start'));
	$page->js($config['locations']['themeDir'].'../../admin/themes/3.0/scripts/global.js');
	
	// CSS
	$page->css($config['locations']['themeDir'].'styles/style.layout.css', array('position' => 'start'));
	$page->css($config['locations']['themeDir'].'styles/style.basics.css', array('position' => 'start'));
	$page->css($config['locations']['themeDir'].'styles/style.reset.css', array('position' => 'start'));
	
	// And the master variables needed
	$master->set('config', $config);
	$master->set('themeDir', $config['locations']['themeDir']);
	$master->set('themePath', $config['locations']['themePath']);
	$master->set('evp', Registry::get('EVP'));
	$master->set('eternity', Registry::get('Eternity'));
	$master->set('xs', $xs);
	$master->set('currentUser', $xs->userData);
}
?>