<?php
// This file can access $file, $file_settings and $widget
// You can assign things to $widget if you need to
// File-specific stuff goes in $widget->file_options
?>
EVP3.players.extend('EVP3.widgets.<?php echo $widget->slug; ?>', {
	'init': function(evp, file, widget, file_options, row) {
		this.evp = evp;
		this.row = row;
		this.widget = widget;
		this.file = file;
		this.file_options = file_options;
		this.build();
	},
	'build': function() {
		var klass = this;
		
		var element = $('<a href="'+$.base64Decode(this.file.encoded_download_url)+'" class="evp-widget evp-widget-<?php echo $widget->slug; ?>" id="evp-widget-<?php echo $widget->slug; ?>-<?php echo $widget_idx; ?>"></a>');
		
		element.css({
			'display': 'block',
			'float': 'left',
			'background': 'url('+EVP3.settings.location+'/player/widgets/<?php echo $widget->slug; ?>/download.png?v=2) no-repeat 0 <?php echo ($using_cf ? '-32px' : '0'); ?>',
			'width': 101,
			'height': 32,
			'cursor': 'pointer',
			'border': 'none',
			'text-decoration': 'none'
		});
		
		<?php if($using_cf) : ?>
		element.click(function() {
			return false;
		});
		<?php endif; ?>
		
		element.appendTo(this.file.player['bar_row_'+this.row]);
	}
});