<?php
$form_id = 'evp-'.randomStr(5);
?>
<form id="<?php echo $form_id; ?>" class="styled" method="post" action="<?php echo url('player/widgets/load.php', array('widget' => $widget_slug, 'file_ref' => $file_reference, 'widget_idx' => $widget_idx, 'widget_file' => 'save.php')); ?>">

	<div class="align-left margin-right" style="width:210px;">
		<div class="setting-group descend">
			<label>Your PayPal email address</label>
			<input type="text" name="paypal_email" value="<?php echo unescape($widget->file_options['paypal_email'], true); ?>" class="margin-bottom" style="width:194px;" />
		</div>
	</div>
	
	<div class="align-left" style="width:210px;">
		<div class="setting-group descend">
			<label>Item name <span style="font-weight:normal;font-size:12px;">(Displayed to donators)</span></label>
			<input type="text" name="item_name" value="<?php echo unescape($widget->file_options['item_name'], true); ?>" class="margin-bottom" style="width:194px;" />
		</div>
	</div>
	
	<div class="setting-group descend clear">
		<label>Brief introduction <span style="font-weight:normal;font-size:12px;">(Perhaps explain what the donation will be used for!)</span></label>
		<input type="text" name="intro" value="<?php echo unescape(pick($widget->file_options['intro'], 'Please enter the amount you wish to donate.'), true); ?>" class="margin-bottom" style="width:415px;" />
	</div>
	
	<div class="align-left margin-right" style="width:100px;">
		<div class="setting-group descend">
			<label>Currency</label>
			<?php echo build_select('', 'paypal_currency', array(
				'USD' => 'US Dollar',
				'GBP' => 'Pound (GBP)',
				'EUR' => 'Euro',
				'NZD' => 'New Zealand Dollar',
				'AUD' => 'Australian Dollar',
				'CAD' => 'Canadian Dollar'
			), $widget->file_options['paypal_currency'], false, array('style' => 'width:100px;')); ?>
		</div>
	</div>
	
	<div class="align-left margin-right" style="width:140px;">
		<div class="setting-group descend">
			<label>Suggested amount</label>
			<input type="text" name="item_suggested" value="<?php echo unescape($widget->file_options['item_suggested'], true); ?>" class="margin-bottom" style="width:115px;" />
		</div>
	</div>
	
	<div class="align-left" style="width:170px;">
		<div class="setting-group descend">
			<label>Your 'thank you' page</label>
			<input type="text" name="paypal_return" value="<?php echo unescape($widget->file_options['paypal_return'], true); ?>" class="margin-bottom" style="width:154px;" />
		</div>
	</div>
	
	<div class="setting-group clear">
		<input id="<?php echo $form_id; ?>-submit" type="submit" value="Save" data-behavior="Button" data-button-width="100" />
	</div>
</form>
<script type="text/javascript">
window.addEvent('domready', function() {
	var form = $('<?php echo $form_id; ?>');
	var submit_button = $('<?php echo $form_id; ?>-submit');
	var item_suggested = form.getElement('[name="item_suggested"]').addEvent('keydown', function(event) {
		var isNumber = (event.code >= 48 && event.code <= 57);
		var isDelete = (event.code == 8 || event.code == 46);
		var isFullStop = (event.code == 190);
		if(!(isNumber || isDelete || isFullStop)) event.preventDefault();
	});
	
	form.set('send', {
		'onComplete': function(response) {
			form.getParent('.widget-config-panel').unspin().retrieve('evp-widget-config-close')(response);
		}
	});
	
	submit_button.addEvent('click', function(event) {
		if(event) event.stop();
		form.getParent('.widget-config-panel').spin();
		// We could do validation here etc, but let's just go for it
		form.send();
	});
});
</script>