<?php
require('application.php');
require($config['paths']['base'].'/libraries/ajax.php');

$eternity = new Eternity();
$evp = new EVP($config['evp']);
$evp_api = Registry::get('EVP_API');
$xs->checkCurrent();

if(empty($_GET['widget_file'])) Ajax::failed(array('msg' => 'You have not specified a valid file to load.'));

$file_reference = $file_ref = urldecode($_GET['file_ref']);
$widget_file = basename(trim($_GET['widget_file']));
$widget_slug = basename(escape($_GET['widget']));
$widget_idx = escape($_GET['widget_idx']);
$path = $config['paths']['base'].'/player/widgets/'.$widget_slug.'/'.$widget_file;

$file = $evp->getFile($file_reference);
$widget = $evp->getWidget($widget_slug, $file, $widget_idx);

if(file_exists($path)) {
	include($path);
} else {
	Ajax::failed(array('msg' => 'The file specified is invalid and cannot be loaded.'));
}
?>