<?php
// This file can access $file, $file_settings and $widget
// You can assign things to $widget if you need to
// File-specific stuff goes in $widget->file_options

?>
(function() {
	function stripslashes(str) {
		return (str + '').replace(/\\(.?)/g, function (s, n1) {
		 switch (n1) {
		 case '\\':
		     return '\\';
		 case '0':
		     return '\u0000';
		 case '':
		     return '';
		 default:
		     return n1;
		 }
		});
	}
	EVP3.players.extend('EVP3.widgets.<?php echo $widget->slug; ?>', {
		'init': function(evp, file, widget, file_options, row) {
			this.evp = evp;
			this.row = row;
			this.widget = widget;
			this.file = file;
			this.file_options = file_options;
			
			this.build();
		},
		'build': function() {
			var klass = this;
			
			var element = $('<div class="evp-widget evp-widget-<?php echo $widget->slug; ?>" id="evp-widget-<?php echo $widget->slug; ?>-<?php echo $widget_idx; ?>"></div>');
			
			element.css({
				'float': 'left',
				'background': 'url('+EVP3.settings.location+'/player/widgets/<?php echo $widget->slug; ?>/delicious.png?v=1)',
				'width': 32,
				'height': 32,
				'cursor': 'pointer'
			});
			
			element.click(function() {
				klass.event();
				return false;
			});
			
			element.appendTo(this.file.player['bar_row_'+this.row]);
		},
		'event': function() {
	  var f = 'http://www.delicious.com/save?url=' + encodeURIComponent(this.file_options.url || window.location.href) + '&title=' + encodeURIComponent(stripslashes(this.file_options.title || document.title)) + '&notes=' + encodeURIComponent('' + (window.getSelection ? window.getSelection() : document.getSelection ? document.getSelection() : document.selection.createRange().text)) + '&v=6&';
	  var a = function () {
	   if (!window.open(f + 'noui=1&jump=doclose', 'deliciousuiv6', 'location=1,links=0,scrollbars=0,toolbar=0,width=710,height=660')) location.href = f + 'jump=yes'
	  };
	  if (/Firefox/.test(navigator.userAgent)) {
	   setTimeout(a, 0);
	  } else {
	   a();
	  }
		}
	});
})();