<?php
// This file can access $file, $file_settings and $widget
// You can assign things to $widget if you need to
// File-specific stuff goes in $widget->file_options

$related_image = $file_settings->options['related_image'];

?>
(function() {
	function stripslashes(str) {
		return (str + '').replace(/\\(.?)/g, function (s, n1) {
		 switch (n1) {
		 case '\\':
		     return '\\';
		 case '0':
		     return '\u0000';
		 case '':
		     return '';
		 default:
		     return n1;
		 }
		});
	}
	
	EVP3.players.extend('EVP3.widgets.<?php echo $widget->slug; ?>', {
		'init': function(evp, file, widget, file_options, row) {
			this.evp = evp;
			this.row = row;
			this.widget = widget;
			this.file = file;
			this.file_options = file_options;
			this.build();
		},
		'build': function() {
			var klass = this;
			
			var element = $('<div class="evp-widget evp-widget-<?php echo $widget->slug; ?>" id="evp-widget-<?php echo $widget->slug; ?>-<?php echo $widget_idx; ?>"></div>');
			
			element.css({
				'float': 'left',
				'background': 'url('+EVP3.settings.location+'/player/widgets/<?php echo $widget->slug; ?>/pinterest.png?v=1)',
				'width': 32,
				'height': 32,
				'cursor': 'pointer'
			});
			
			element.click(function() {
				klass.event();
				return false;
			});
			
			element.appendTo(this.file.player['bar_row_'+this.row]);
		},
		'event': function() {
			var url = 'http://pinterest.com/pin/create/button/?';
			var str = $.param({
				'url': this.file_options.url || window.location.href,
				'description': stripslashes(this.file_options.title || document.title),
				'media': '<?php echo addslashes($related_image); ?>'
			});
			
			if($.browser.msie) {
				var w = window.open(url+str);
			} else {
				var w = window.open(url+str, 'evp-google-window', 'width=720,height=370,status=1,toolbar=1');
			}
		//this.evp.track('stats.pinterest_pins');
		}
	});
})();