<?php
require('application.php');
require($config['paths']['base'].'/libraries/ajax.php');

$eternity = new Eternity();
$evp = new EVP($config['evp']);
$evp_api = Registry::get('EVP_API');
$xs->checkCurrent();

if(empty($_GET['widget_file'])) Ajax::failed(array('msg' => 'You have not specified a valid file to load.'));

$file_reference = $file_ref = $_GET['file_ref'];
$pageWidget_file = basename(trim($_GET['widget_file']));
$pageWidget_slug = basename(escape($_GET['widget']));
$pageWidget_idx = escape($_GET['widget_idx']);
$path = $config['paths']['base'].'/themes/3.0/assets/page-widgets/'.$pageWidget_slug.'/'.$pageWidget_file;

$source_mode = pick($_GET['source_mode'], 'video');

if($source_mode == 'video') {
	$file = $evp->getFile($file_reference);
	$profile = grab(explode('::', $file_reference, 2), 1);
	$file_settings = false;
} elseif($source_mode == 'playlist') {
	$file = $evp->getPlaylist($file_reference);
	$file_settings = $file;
} elseif($source_mode == 'splittest') {
	$file = $evp->getSplitTest($file_reference);
	$file_settings = $file;
}

$pageWidget = $evp->getPageWidget($pageWidget_slug, $file, $pageWidget_idx, $file_settings);

if(file_exists($path)) {

	if($source_mode != 'video') $file_reference = $source_mode.'::'.$file_reference;
	
	include($path);
} else {
	Ajax::failed(array('msg' => 'The file specified is invalid and cannot be loaded.'));
}
?>