<?php
$form_id = 'evp-'.randomStr(5);
?>
<form id="<?php echo $form_id; ?>" class="styled" method="post" action="<?php echo url('themes/3.0/assets/page-widgets/load.php', array('widget' => $pageWidget_slug, 'file_ref' => $file_reference, 'widget_idx' => $pageWidget_idx, 'widget_file' => 'save.php', 'source_mode' => $source_mode)); ?>">

	<div class="setting-group descend">
		<label>Enter your text</label>
		<div class="clear"></div>
		<textarea id="<?php echo $form_id; ?>-textarea" class="ui_code" name="text" style="display:block;clear:both;width:300px;height:120px;font-size:12px;"><?php echo stripslashes(unescape($pageWidget->file_options['text'])); ?></textarea>
	</div>
	
	<div class="setting-group">
		<input id="<?php echo $form_id; ?>-submit" type="submit" value="Save" data-behavior="Button" data-button-width="100" data-button-type="action" class="clear align-right" />
	</div>
</form>
<script type="text/javascript">
window.addEvent('domready', function() {
	var form = $('<?php echo $form_id; ?>');
	var submit_button = $('<?php echo $form_id; ?>-submit');
	
	var preview_element = $('page-preview-area').getElement('div.widget[data-widget-idx="<?php echo $pageWidget_idx; ?>"]');
	
	setTimeout(function() {
		(function($) {
			 var editor = $('#<?php echo $form_id; ?>-textarea').cleditor({
			 	'bodyStyle': 'margin:4px; font:14px Arial,Verdana; cursor:text',
				'width': '314',
				'height': '200',
				'controls': 'bold italic underline strikethrough | link | font size | color highlight | alignleft center alignright',
				'docCSSFile': '<?php echo assets('scripts/libraries/cleditor/editor.css'); ?>'
			 });
			 
			 $(editor[0].doc).bind('keyup mouseup', function() {
			 	editor[0].updateTextArea();
			 	// Save the data
			 	form.getParent('.widget-config-panel').retrieve('evp-widget-config-close')({'data': {'file_options': {'text': $('#<?php echo $form_id; ?>-textarea').val()}}}, false); // Don't close
			 	// Update the live preview
			 	window.widgets_build_preview(preview_element, '<?php echo $pageWidget_slug; ?>', '<?php echo $pageWidget_idx; ?>');
			 });
		})(jQuery);
	}, 0); // Fixing Firefox
	
	form.set('send', {
		'onComplete': function(response) {
			form.getParent('.widget-config-panel').unspin().retrieve('evp-widget-config-close')(response);
		}
	});
	
	submit_button.addEvent('click', function(event) {
		if(event) event.stop();
		form.getParent('.widget-config-panel').spin();
		// We could do validation here etc, but let's just go for it
		form.send();
	});
});
</script>
