<?php
// This file can access $file, $file_settings and $pageWidget
// You can assign things to $pageWidget if you need to
// File-specific stuff goes in $pageWidget->file_options

// This MUST expose a function called build_page_widget_[slug](), which returns the appropriate HTML

function build_page_widget_text($pageWidget, $file, $file_settings) {
	$width = $file_settings->options['width'] + 15;
	if($width < 400) $width = 400;
	if($width > 800) $width = 800;
	
	$width -= 40;
	
	return '<div class="evp-site-block evp-site-widget evp-site-widget-text" style="width:'.$width.'px;"><div class="evp-site-content">'.stripslashes(unescape($pageWidget->file_options['text'], true)).'</div></div>';
}

?>