<?php
$eternity = new Eternity();
$evp = new EVP($config['evp']);
$config = Registry::retrieve('config');
$config['locations']['themeDir'] = $config['locations']['absolute'].$config['locations']['folder_name'].'/themes/'.$evp->settings->theme.'/';
$config['locations']['themePath'] = $config['paths']['base'].'/'.$config['locations']['folder_name'].'/themes/'.$evp->settings->theme.'/';
Registry::store('config', $config);

if($evp->options->hosted === true) {
	$config['locations']['themeDir'] = $config['locations']['protocol'].'://'.$evp->settings->s3_bucket.'.s3.amazonaws.com/'.$config['locations']['folder_name'].'/themes/'.$evp->settings->theme.'/';
	$config['locations']['folder_absolute'] = url($config['locations']['protocol'].'://'.$evp->settings->s3_bucket.'.s3.amazonaws.com/'.$config['locations']['folder_name'].'/');
}

$xs->checkCurrent();

function onTemplateMerge($event, $master, $template, $page) {
	$config = Registry::retrieve('config');
	$xs = Registry::retrieve('users');
	
	// Page data etc
	$page->meta('Content-Type', 'text/html; charset=utf-8');
	
	// JavaScript
	$page->js('scripts/libraries/mootools-1.4.1-more-clientcide.js', array('position' => 'start'));
	$page->js('scripts/custom/mootools-events.js');
	$page->js('scripts/custom/mootools-behaviors.js');
	$page->js('scripts/custom/mootools-extensions.js');
	$page->js('scripts/libraries/form-replacements/form-replacements.js');
	$page->js('scripts/libraries/scrollspy.js');
	$page->js('scripts/libraries/moobutton.js');
	$page->js('scripts/global.js');
	
	// CSS
	$page->css('scripts/libraries/form-replacements/form-replacements.css');
	$page->css('styles/style.reset.css');
	$page->css('styles/style.basics.css');
	$page->css('styles/style.layout.css');
	$page->css('styles/style.components.css');
	$page->css('styles/style.actions.css');
	$page->css('styles/style.css');
	
	// And the master variables needed
	$master->set('config', $config);
	$master->set('themeDir', $config['locations']['themeDir']);
	$master->set('themePath', $config['locations']['themePath']);
	$master->set('evp', Registry::get('EVP'));
	$master->set('eternity', Registry::get('Eternity'));
	$master->set('xs', $xs);
	$master->set('currentUser', $xs->userData);
}
?>